/*****************************************************************************
 *- Utility Function Declarations (Non-Exported) ----------------------------*
 *****************************************************************************/

#pragma once
#include <visatype.h>

ViStatus rscmwwlm_InitAttributes(ViSession instrSession);

ViStatus rscmwwlm_DefaultInstrSetup(ViSession openInstrSession);

ViStatus rscmwwlm_CheckStatus(ViSession instrSession);

ViStatus rscmwwlm_instanceRepCap(ViSession instrSession,
                                 ViInt32   instance,
                                 ViChar    repCap[]);

ViStatus _VI_FUNC rscmwwlm_QueryMeasStatus(ViSession instrSession,
                                           ViString  cmd,
                                           ViInt32*  mainState,
                                           ViInt32*  syncState,
                                           ViInt32*  resourcesState);

ViStatus _VI_FUNC rscmwwlm_ConfigureLimit(ViSession instrSession,
                                          ViString  cmd,
                                          ViReal64  limitValue,
                                          ViInt32   limitState,
                                          ViReal64  low,
                                          ViReal64  high);

ViStatus _VI_FUNC rscmwwlm_GetOFDMResults(ViSession instrSession,
                                          ViString  cmd,
                                          ViInt32   timeout,
                                          ViInt32   arraySize,
                                          ViInt32*  reliability,
                                          ViInt32*  modulationType,
                                          ViString  modulationList[],
                                          ViReal64  result[],
                                          ViInt32*  guardInterval,
                                          ViString  guardIntervalList[],
                                          ViInt32*  returnedValues);

ViStatus _VI_FUNC rscmwwlm_GetACSISOResults(ViSession instrSession,
                                            ViString  cmd,
                                            ViInt32   timeout,
                                            ViInt32   arraySize,
                                            ViInt32*  reliability,
                                            ViInt32*  modulationType,
                                            ViString  modulationList[],
                                            ViReal64  result[],
                                            ViInt32*  guardInterval,
                                            ViString  guardIntervalList[],
                                            ViInt32*  returnedValues);

ViStatus _VI_FUNC rscmwwlm_GetDSSSResults(ViSession instrSession,
                                          ViString  cmd,
                                          ViInt32   timeout,
                                          ViInt32   arraySize,
                                          ViInt32*  reliability,
                                          ViInt32*  modulationType,
                                          ViString  modulationList[],
                                          ViInt32*  burstType,
                                          ViString  burstList[],
                                          ViReal64  result[],
                                          ViInt32*  returnedValues);

ViStatus _VI_FUNC rscmwwlm_GetMeasResults(ViSession instrSession,
                                          ViString  cmd,
                                          ViInt32   timeout,
                                          ViInt32   arraySize,
                                          ViInt32*  reliability,
                                          ViReal64  result[],
                                          ViInt32*  returnedValues);

ViStatus _VI_FUNC rscmwwlm_GetMeasResultsMIMO(ViSession instrSession,
                                              ViString  cmd,
                                              ViInt32   timeout,
                                              ViInt32   arraySize,
                                              ViInt32*  reliability,
                                              ViInt32   modulationType[],
                                              ViString  modulationList[],
                                              ViReal64  results[],
                                              ViInt32*  returnedValues);

ViStatus _VI_FUNC rscmwwlm_GetLimitCheck(ViSession instrSession,
                                         ViString  cmd,
                                         ViInt32   arraySize,
                                         ViInt32*  reliability,
                                         ViInt32   result[],
                                         ViInt32*  returnedValues);

ViStatus _VI_FUNC rscmwwlm_GetOFDMMeasLimitCheck(ViSession instrSession,
                                                 ViString  cmd,
                                                 ViInt32   arraySize,
                                                 ViInt32*  reliability,
                                                 ViInt32*  modulationType,
                                                 ViInt32   result[],
                                                 ViInt32*  guardInterval,
                                                 ViInt32*  returnedValues);

ViStatus _VI_FUNC rscmwwlm_GetOFDMMIMOMeasLimitCheck(ViSession instrSession,
                                                     ViString  cmd,
                                                     ViInt32   arraySize,
                                                     ViInt32*  reliability,
                                                     ViInt32*  modulationType,
                                                     ViInt32   result[],
                                                     ViInt32*  returnedValues);

ViStatus _VI_FUNC rscmwwlm_GetOFDMMeasResultsMIMO(ViSession instrSession,
                                                  ViString  cmd,
                                                  ViInt32   timeout,
                                                  ViInt32   arraySize,
                                                  ViInt32*  reliability,
                                                  ViInt32*  modulationType,
                                                  ViString  modulationList[],
                                                  ViReal64  results[],
                                                  ViInt32*  returnedValues);

ViStatus _VI_FUNC rscmwwlm_GetOFDMSISOResults(ViSession instrSession,
                                              ViString  cmd,
                                              ViInt32   timeout,
                                              ViInt32   arraySize,
                                              ViInt32*  reliability,
                                              ViInt32*  modulationType,
                                              ViString  modulationList[],
                                              ViReal64  results[],
                                              ViInt32*  guardInterval,
                                              ViString  guardIntervalList[],
                                              ViInt32*  returnedValues);

ViStatus _VI_FUNC rscmwwlm_GetOFDMMIMOResults(ViSession instrSession,
                                              ViString  cmd,
                                              ViInt32   timeout,
                                              ViInt32   arraySize,
                                              ViInt32*  reliability,
                                              ViInt32   modulationType[],
                                              ViString  modulationList[],
                                              ViReal64  results[],
                                              ViInt32   guardInterval[],
                                              ViString  guardIntervalList[],
                                              ViInt32*  returnedValues);

ViStatus _VI_FUNC rscmwwlm_GetACSISOMeasLimitCheck(ViSession instrSession,
                                                   ViString  cmd,
                                                   ViInt32   arraySize,
                                                   ViInt32*  reliability,
                                                   ViInt32*  modulationType,
                                                   ViInt32   result[],
                                                   ViInt32*  guardInterval,
                                                   ViInt32*  returnedValues);

ViStatus _VI_FUNC rscmwwlm_GetDSSSMeasLimitCheck(ViSession instrSession,
                                                 ViString  cmd,
                                                 ViInt32   arraySize,
                                                 ViInt32*  reliability,
                                                 ViInt32*  modulationType,
                                                 ViInt32*  burstType,
                                                 ViInt32   result[],
                                                 ViInt32*  returnedValues);

ViStatus _VI_FUNC rscmwwlm_GetBinaryAndDecimalValue(ViSession instrSession,
                                                    ViString  cmd,
                                                    ViInt32   arraySize,
                                                    ViInt32*  reliability,
                                                    ViChar    binaryVal[],
                                                    ViInt32*  decimalVal);

ViStatus _VI_FUNC rscmwwlm_GetBinaryAndDoubleValue(ViSession instrSession,
                                                   ViString  cmd,
                                                   ViInt32   arraySize,
                                                   ViInt32*  reliability,
                                                   ViChar    binaryVal[],
                                                   ViReal64* decimalVal);

ViStatus _VI_FUNC rscmwwlm_GetOFDMSegmentResults(ViSession instrSession,
                                                 ViString  cmd,
                                                 ViInt32   segmentCount,
                                                 ViInt32   arraySize,
                                                 ViInt32*  reliability,
                                                 ViInt32   segmentReliability[],
                                                 ViInt32   numberOfBursts[],
                                                 ViInt32   modulationType[],
                                                 ViString  modulationList[],
                                                 ViReal64  results[],
                                                 ViInt32   guardInterval[],
                                                 ViString  guardIntervalList[],
                                                 ViInt32*  returnedValues);

ViStatus _VI_FUNC rscmwwlm_GetDSSSSegmentResults(ViSession instrSession,
                                                 ViString  cmd,
                                                 ViInt32   segmentCount,
                                                 ViInt32   arraySize,
                                                 ViInt32*  reliability,
                                                 ViInt32   segmentReliability[],
                                                 ViInt32   numberOfBursts[],
                                                 ViInt32   modulationType[],
                                                 ViString  modulationList[],
                                                 ViInt32   burstType[],
                                                 ViString  burstList[],
                                                 ViReal64  results[],
                                                 ViInt32*  returnedValues);

ViStatus _VI_FUNC rscmwwlm_GetTSMOFDMMeasResults(ViSession instrSession,
                                                 ViString  cmd,
                                                 ViInt32   segmentCount,
                                                 ViInt32   arraySize,
                                                 ViInt32*  reliability,
                                                 ViInt32   segmentReliability[],
                                                 ViInt32   numberOfBursts[],
                                                 ViReal64  results[],
                                                 ViReal64  outOfTolerance[],
                                                 ViInt32*  returnedValues);

ViStatus _VI_FUNC rscmwwlm_GetTSMDSSSMeasResults(ViSession instrSession,
                                                 ViString  cmd,
                                                 ViInt32   segmentCount,
                                                 ViInt32   arraySize,
                                                 ViInt32*  reliability,
                                                 ViInt32   segmentReliability[],
                                                 ViInt32   numberOfBursts[],
                                                 ViReal64  results[],
                                                 ViReal64  outOfTolerance[],
                                                 ViInt32*  returnedValues);

ViStatus rscmwwlm_GetIndexOfToken(ViConstString stringToFind,
                                  ViString      table[],
                                  ViInt32*      index);

ViStatus _VI_FUNC rscmwwlm_GetDataAcquisitionResult(ViSession instrSession,
                                                    ViString  cmd,
                                                    ViInt32   timeout,
                                                    ViInt32*  reliability,
                                                    ViInt32*  decodeStatus,
                                                    ViReal64* MCS,
                                                    ViReal64* power,
                                                    ViReal64* pilotEVM);

ViStatus rscmwwlm_GetIndexInNumArray(ViInt32   value,
                                     ViInt32   table[],
                                     ViUInt32  size,
                                     ViUInt32* index);

ViStatus rscmwwlm_utility_error_message(ViSession instrSession,
                                        ViStatus  errorCode,
                                        ViChar    errorMessage[]);

