/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks include file
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2022-07-20 15:22:37Z
 *****************************************************************************/

#ifndef __RSCMWWLS_ATTRIBUTES_HEADER
#define __RSCMWWLS_ATTRIBUTES_HEADER

#include "rscore.h"

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************
 *- Read Callbacks ----------------------------------------------------------*
 *****************************************************************************/
ViStatus rscmwwls_stringToHex_ReadCallback(ViSession          io,
                                           ViConstString      repCapName,
                                           RsCoreAttributePtr attr);

ViStatus rscmwwls_FormatDataFrameStationRepCapInt32_ReadCallback(
                            ViSession          io,
                            ViConstString      repCapName,
                            RsCoreAttributePtr attr);

ViStatus rscmwwls_FormatDataFrameStationRepCapString_ReadCallback(
                            ViSession          io,
                            ViConstString      repCapName,
                            RsCoreAttributePtr attr);

ViStatus rscmwwls_FormatTriggerFrameStationRepCapInt32_ReadCallback(
                            ViSession          io,
                            ViConstString      repCapName,
                            RsCoreAttributePtr attr);

ViStatus rscmwwls_FormatTriggerFrameStationRepCapBool_ReadCallback(
                            ViSession          io,
                            ViConstString      repCapName,
                            RsCoreAttributePtr attr);

ViStatus rscmwwls_FormatTriggerFrameStationRepCapReal64_ReadCallback(
                            ViSession          io,
                            ViConstString      repCapName,
                            RsCoreAttributePtr attr);

ViStatus rscmwwls_FormatQOSTIDStationRepCapInt32_ReadCallback(
                            ViSession          io,
                            ViConstString      repCapName,
                            RsCoreAttributePtr attr);

ViStatus rscmwwls_FormatAMPDUStationRepCapString_ReadCallback(
                            ViSession          io,
                            ViConstString      repCapName,
                            RsCoreAttributePtr attr);

ViStatus rscmwwls_FormatIP4StationRepCapString_ReadCallback(ViSession          io,
                                                            ViConstString      repCapName,
                                                            RsCoreAttributePtr attr);

ViStatus rscmwwls_FormatUECapabilityStationRepCapString_ReadCallback(
                            ViSession          io,
                            ViConstString      repCapName,
                            RsCoreAttributePtr attr);

ViStatus rscmwwls_FormatUECapabilityStationRepCapReal64_ReadCallback(
                            ViSession          io,
                            ViConstString      repCapName,
                            RsCoreAttributePtr attr);

ViStatus rscmwwls_FormatDUTStationRepCapString_ReadCallback(ViSession          io,
                                                            ViConstString      repCapName,
                                                            RsCoreAttributePtr attr);

ViStatus rscmwwls_FormatHETBStationRepCapString_ReadCallback(ViSession          io,
                                                             ViConstString      repCapName,
                                                             RsCoreAttributePtr attr);

ViStatus rscmwwls_withReliability_ReadCallback(ViSession          io,
                                               ViConstString      repCapName,
                                               RsCoreAttributePtr attr);

/*****************************************************************************
 *- Write Callbacks ---------------------------------------------------------*
 *****************************************************************************/
ViStatus rscmwwls_FormatSignalingStationRepCapNone_WriteCallback(
                            ViSession          io,
                            ViConstString      repCapName,
                            RsCoreAttributePtr attr,
                            void               *value);

ViStatus rscmwwls_stringToHex_WriteCallback(ViSession          io,
                                            ViConstString      repCapName,
                                            RsCoreAttributePtr attr,
                                            void               *value);

ViStatus rscmwwls_FormatDataFrameStationRepCapInt32_WriteCallback(
                            ViSession          io,
                            ViConstString      repCapName,
                            RsCoreAttributePtr attr,
                            void               *value);

ViStatus rscmwwls_FormatDataFrameStationRepCapString_WriteCallback(
                            ViSession          io,
                            ViConstString      repCapName,
                            RsCoreAttributePtr attr,
                            void               *value);

ViStatus rscmwwls_FormatTriggerFrameStationRepCapInt32_WriteCallback(
                            ViSession          io,
                            ViConstString      repCapName,
                            RsCoreAttributePtr attr,
                            void               *value);

ViStatus rscmwwls_FormatTriggerFrameStationRepCapBool_WriteCallback(
                            ViSession          io,
                            ViConstString      repCapName,
                            RsCoreAttributePtr attr,
                            void               *value);

ViStatus rscmwwls_FormatTriggerFrameStationRepCapReal64_WriteCallback(
                            ViSession          io,
                            ViConstString      repCapName,
                            RsCoreAttributePtr attr,
                            void               *value);

ViStatus rscmwwls_FormatQOSTIDStationRepCapInt32_WriteCallback(
                            ViSession          io,
                            ViConstString      repCapName,
                            RsCoreAttributePtr attr,
                            void               *value);

ViStatus rscmwwls_FormatAMPDUStationRepCapString_WriteCallback(
                            ViSession          io,
                            ViConstString      repCapName,
                            RsCoreAttributePtr attr,
                            void               *value);

ViStatus rscmwwls_FormatIP4StationRepCapString_WriteCallback(ViSession          io,
                                                             ViConstString      repCapName,
                                                             RsCoreAttributePtr attr,
                                                             void               *value);

ViStatus rscmwwls_FormatDUTStationRepCapString_WriteCallback(ViSession          io,
                                                             ViConstString      repCapName,
                                                             RsCoreAttributePtr attr,
                                                             void               *value);

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreRangeTableRanged rscmwwls_rngInputExternalAttenuation;
extern RsCoreRangeTableRanged rscmwwls_rngOutputExternalAttenuation;
extern RsCoreRangeTableRanged rscmwwls_rngRFSignalPowerUplink;
extern RsCoreRangeTableDiscrete rscmwwls_rngConnectionStandard;
extern RsCoreRangeTableDiscrete rscmwwls_rngTriggerSlope;
extern RsCoreRangeTableDiscrete rscmwwls_rngRxTriggerPulseLength;
extern RsCoreRangeTableRanged rscmwwls_rngTriggerPulseLengthValue;
extern RsCoreRangeTableDiscrete rscmwwls_rngPERModulationCodingRate;
extern RsCoreRangeTableDiscrete rscmwwls_rngPERAcknowledgementType;
extern RsCoreRangeTableDiscrete rscmwwls_rngQueryPacketSwitchedState;
extern RsCoreRangeTableDiscrete rscmwwls_rngPERDataPattern;
extern RsCoreRangeTableRanged rscmwwls_rngPERNumberOfPackets;
extern RsCoreRangeTableRanged rscmwwls_rngPERDataInterval;
extern RsCoreRangeTableRanged rscmwwls_rngPERPayloadSize;
extern RsCoreRangeTableRanged rscmwwls_rngPERLimit;
extern RsCoreRangeTableRanged rscmwwls_rngQueryUECapabilityMACVersion;
extern RsCoreRangeTableDiscrete rscmwwls_rngDisableEnable;
extern RsCoreRangeTableDiscrete rscmwwls_rngPacketGeneratorProtocol;
extern RsCoreRangeTableRanged rscmwwls_rngRFSignalChannel;
extern RsCoreRangeTableDiscrete rscmwwls_rngRXFilterType;
extern RsCoreRangeTableDiscrete rscmwwls_rngSSIDConnection;
extern RsCoreRangeTableDiscrete rscmwwls_rngSecurityEncryptionType;
extern RsCoreRangeTableRanged rscmwwls_rngPortNumber;
extern RsCoreRangeTableRanged rscmwwls_rngMixerLevelOffset;
extern RsCoreRangeTableDiscrete rscmwwls_rngConnectionMode;
extern RsCoreRangeTableDiscrete rscmwwls_rngOperationMode;
extern RsCoreRangeTableDiscrete rscmwwls_rngRFTXMIMOMode;
extern RsCoreRangeTableDiscrete rscmwwls_rngTriggerMode;
extern RsCoreRangeTableDiscrete rscmwwls_rngRadiusServerMode;
extern RsCoreRangeTableDiscrete rscmwwls_rngHotspotNumberOfDigits;
extern RsCoreRangeTableDiscrete rscmwwls_rngPacketGeneratorIPVersion;
extern RsCoreRangeTableDiscrete rscmwwls_rngIPVersionSupport;
extern RsCoreRangeTableDiscrete rscmwwls_rngDAUSegmentNumber;
extern RsCoreRangeTableRanged rscmwwls_rngDAUNodeID;
extern RsCoreRangeTableDiscrete rscmwwls_rngTxTriggerPulseLength;
extern RsCoreRangeTableDiscrete rscmwwls_rngOperatingChannelWidth;
extern RsCoreRangeTableRanged rscmwwls_rngRFNp20Index;
extern RsCoreRangeTableRanged rscmwwls_rngRFNp20Frequency;
extern RsCoreRangeTableRanged rscmwwls_rngRFFrequencyOffset;
extern RsCoreRangeTableDiscrete rscmwwls_rngMessageMonitoringLoggingPCIPv4Address;
extern RsCoreRangeTableDiscrete rscmwwls_rngUsedDefinedVHTSupportedRates;
extern RsCoreRangeTableRanged rscmwwls_rngBSSColor;
extern RsCoreRangeTableDiscrete rscmwwls_rngMCS;
extern RsCoreRangeTableDiscrete rscmwwls_rngCodingType;
extern RsCoreRangeTableDiscrete rscmwwls_rngDataFrameStreams;
extern RsCoreRangeTableDiscrete rscmwwls_rngTriggerFrameTriggerType;
extern RsCoreRangeTableRanged rscmwwls_rngTriggerFrameNumberOfSymbols;
extern RsCoreRangeTableDiscrete rscmwwls_rngTriggerFrameBandwidth;
extern RsCoreRangeTableDiscrete rscmwwls_rngTriggerFrameGILTF;
extern RsCoreRangeTableDiscrete rscmwwls_rngTriggerFrameMUMIMOLTF;
extern RsCoreRangeTableDiscrete rscmwwls_rngTriggerFrameRUAllocation;
extern RsCoreRangeTableDiscrete rscmwwls_rngTriggerFrameCodingType;
extern RsCoreRangeTableDiscrete rscmwwls_rngTriggerFrameTargetRSSIMode;
extern RsCoreRangeTableRanged rscmwwls_rngTriggerFrameTargetRSSIControl;
extern RsCoreRangeTableRanged rscmwwls_rngTriggerFrameTransmissionPeriodicalInterval;
extern RsCoreRangeTableDiscrete rscmwwls_rngTID;
extern RsCoreRangeTableDiscrete rscmwwls_rngQOSTIDPrioritizationMode;
extern RsCoreRangeTableDiscrete rscmwwls_rngQOSTIDBARMethod;
extern RsCoreRangeTableDiscrete rscmwwls_rngHTSmoothing;
extern RsCoreRangeTableDiscrete rscmwwls_rngTriggerBandwidth;
extern RsCoreRangeTableDiscrete rscmwwls_rngRXTriggerRate;
extern RsCoreRangeTableRanged rscmwwls_rngHETBNumberOfFrames;
extern RsCoreRangeTableDiscrete rscmwwls_rngMeasurementState;
extern RsCoreRangeTableDiscrete rscmwwls_rngAssociationStationPriority;
extern RsCoreRangeTableDiscrete rscmwwls_rngNDPSoundingBandwidth;
extern RsCoreRangeTableDiscrete rscmwwls_rngNDPSoundingCodebookSize;
extern RsCoreRangeTableDiscrete rscmwwls_rngNDPSoundingGILTF;
extern RsCoreRangeTableDiscrete rscmwwls_rngNDPSoundingFeedbackMethod;
extern RsCoreRangeTableDiscrete rscmwwls_rngNDPSoundingNumberOfColumns;
extern RsCoreRangeTableDiscrete rscmwwls_rngNDPSoundingSpatialStreams;
extern RsCoreRangeTableDiscrete rscmwwls_rngNDPSoundingSubcarrierGrouping;
extern RsCoreRangeTableDiscrete rscmwwls_rngNDPSoundingStation;
extern RsCoreRangeTableRanged rscmwwls_rngNDPSoundingTransmissionInterval;
extern RsCoreRangeTableDiscrete rscmwwls_rngNDPSoundingReportType;
extern RsCoreRangeTableRanged rscmwwls_rngFadingAWGNBandwidthRatio;
extern RsCoreRangeTableRanged rscmwwls_rngFadingAWGNSignalNoiseRatio;
extern RsCoreRangeTableRanged rscmwwls_rngFadingSimulatorInsertionLoss;
extern RsCoreRangeTableDiscrete rscmwwls_rngFadingSimulatorProfile;
extern RsCoreRangeTableRanged rscmwwls_rngPERPayloadSize_001;
extern RsCoreRangeTableDiscrete rscmwwls_rngPERDestinationStation;
extern RsCoreRangeTableRanged rscmwwls_rngInputAntennaExternalAttenuation;
extern RsCoreRangeTableRanged rscmwwls_rngOutputAntennaExternalAttenuation;
extern RsCoreRangeTableDiscrete rscmwwls_rngPacketGeneratorDestination;
extern RsCoreRangeTableRanged rscmwwls_rngAntennaExpectedNominalPower;
extern RsCoreRangeTableRanged rscmwwls_rngAntennaMixerLevelOffset;
extern RsCoreRangeTableDiscrete rscmwwls_rngRFBand;
extern RsCoreRangeTableDiscrete rscmwwls_rngRXTriggerDelayType;
extern RsCoreRangeTableDiscrete rscmwwls_rngRXTriggerSpatialStreams;
extern RsCoreRangeTableDiscrete rscmwwls_rngScenario;
extern RsCoreRangeTableDiscrete rscmwwls_rngSecurityType;
extern RsCoreRangeTableDiscrete rscmwwls_rngGroupTransform;
extern RsCoreRangeTableDiscrete rscmwwls_rngSAEAuthentication;
extern RsCoreRangeTableDiscrete rscmwwls_rngKeyMode;
extern RsCoreRangeTableDiscrete rscmwwls_rngProtectionManagmentFrames;

/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttribute g_RS_ATTR_RANGE_CHECK;
extern RsCoreAttribute g_RS_ATTR_QUERY_INSTRUMENT_STATUS;
extern RsCoreAttribute g_RS_ATTR_SIMULATE;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_PREFIX;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_LOCATOR;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_VENDOR;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_REVISION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS;
extern RsCoreAttribute g_RS_ATTR_GROUP_CAPABILITIES;
extern RsCoreAttribute g_RS_ATTR_FUNCTION_CAPABILITIES;
extern RsCoreAttribute g_RS_ATTR_CHANNEL_COUNT;
extern RsCoreAttribute g_RS_ATTR_DRIVER_SETUP;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_MANUFACTURER;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_MODEL;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION;
extern RsCoreAttribute g_RS_ATTR_OPTIONS_LIST;
extern RsCoreAttribute g_RS_ATTR_IO_RESOURCE_DESCRIPTOR;
extern RsCoreAttribute g_RS_ATTR_LOGICAL_NAME;
extern RsCoreAttribute g_RS_ATTR_PRIMARY_ERROR;
extern RsCoreAttribute g_RS_ATTR_SECONDARY_ERROR;
extern RsCoreAttribute g_RS_ATTR_ERROR_ELABORATION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_CLASS_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_REVISION;
extern RsCoreAttribute g_RS_ATTR_OPC_TIMEOUT;
extern RsCoreAttribute g_RSCMWWLS_ATTR_SIGNALING_END_TO_END;
extern RsCoreAttribute g_RSCMWWLS_ATTR_RF_SIGNAL_FREQUENCY;
extern RsCoreAttribute g_RSCMWWLS_ATTR_RF_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSCMWWLS_ATTR_QUERY_RF_SIGNAL_BANDWIDTH;
extern RsCoreAttribute g_RSCMWWLS_ATTR_RF_OPERATING_CHANNEL_WIDTH;
extern RsCoreAttribute g_RSCMWWLS_ATTR_RF_BAND;
extern RsCoreAttribute g_RSCMWWLS_ATTR_RF_SIGNAL_BURST_POWER_DOWNLINK;
extern RsCoreAttribute g_RSCMWWLS_ATTR_RF_SIGNAL_CHANNEL;
extern RsCoreAttribute g_RSCMWWLS_ATTR_RF_NP20_INDEX;
extern RsCoreAttribute g_RSCMWWLS_ATTR_RF_NP20_FREQUENCY;
extern RsCoreAttribute g_RSCMWWLS_ATTR_RF_NP20_CHANNEL;
extern RsCoreAttribute g_RSCMWWLS_ATTR_RF_TX_MIMO_MODE;
extern RsCoreAttribute g_RSCMWWLS_ATTR_RF_TX2_TX1_POWER_RATIO;
extern RsCoreAttribute g_RSCMWWLS_ATTR_QUERY_ACTIVE_SCENARIO;
extern RsCoreAttribute g_RSCMWWLS_ATTR_RF_SIGNAL_ROUTING_STANDARD_CELL_FADING;
extern RsCoreAttribute g_RSCMWWLS_ATTR_RF_SIGNAL_ROUTING_MIMO_2X2_FADING;
extern RsCoreAttribute g_RSCMWWLS_ATTR_INPUT_ANTENNA_EXTERNAL_ATTENUATION;
extern RsCoreAttribute g_RSCMWWLS_ATTR_OUTPUT_ANTENNA_EXTERNAL_ATTENUATION;
extern RsCoreAttribute g_RSCMWWLS_ATTR_ANTENNA_EXPECTED_NOMINAL_POWER;
extern RsCoreAttribute g_RSCMWWLS_ATTR_ANTENNA_APPROXIMATE_BURST_POWER;
extern RsCoreAttribute g_RSCMWWLS_ATTR_ANTENNA_MIXER_LEVEL_OFFSET;
extern RsCoreAttribute g_RSCMWWLS_ATTR_EXTERNAL_DAU_ENABLED;
extern RsCoreAttribute g_RSCMWWLS_ATTR_EXTERNAL_DAU_SEGMENT_NUMBER;
extern RsCoreAttribute g_RSCMWWLS_ATTR_EXTERNAL_DAU_NODE_ID;
extern RsCoreAttribute g_RSCMWWLS_ATTR_SIGNALING_MAIN_STATE;
extern RsCoreAttribute g_RSCMWWLS_ATTR_SIGNALING_SELECTED_STATION;
extern RsCoreAttribute g_RSCMWWLS_ATTR_CONNECT;
extern RsCoreAttribute g_RSCMWWLS_ATTR_DUT_DISCONNECTION;
extern RsCoreAttribute g_RSCMWWLS_ATTR_RECONNECT;
extern RsCoreAttribute g_RSCMWWLS_ATTR_CONNECTION_OPERATION_MODE;
extern RsCoreAttribute g_RSCMWWLS_ATTR_CONNECTION_MULTI_STATION;
extern RsCoreAttribute g_RSCMWWLS_ATTR_CONNECTION_STANDARD;
extern RsCoreAttribute g_RSCMWWLS_ATTR_BEACON_INTERVAL;
extern RsCoreAttribute g_RSCMWWLS_ATTR_BASIC_SERVICE_SET_IDENTIFIER;
extern RsCoreAttribute g_RSCMWWLS_ATTR_SERVICE_SET_IDENTIFIER;
extern RsCoreAttribute g_RSCMWWLS_ATTR_BSS_COLOR;
extern RsCoreAttribute g_RSCMWWLS_ATTR_COUNTRY_CODE_STATE;
extern RsCoreAttribute g_RSCMWWLS_ATTR_CONNECTION_DTIM_PERIOD;
extern RsCoreAttribute g_RSCMWWLS_ATTR_HT_SMOOTHING;
extern RsCoreAttribute g_RSCMWWLS_ATTR_CONNECTION_MODE;
extern RsCoreAttribute g_RSCMWWLS_ATTR_SSID_CONNECTION;
extern RsCoreAttribute g_RSCMWWLS_ATTR_CONNECTION_HOTSPOT_NUMBER_OF_DIGITS;
extern RsCoreAttribute g_RSCMWWLS_ATTR_USER_DEFINED_SUPPORTED_RATES;
extern RsCoreAttribute g_RSCMWWLS_ATTR_USED_DEFINED_VHT_SUPPORTED_RATES;
extern RsCoreAttribute g_RSCMWWLS_ATTR_TWT_BROADCAST_ENABLE;
extern RsCoreAttribute g_RSCMWWLS_ATTR_SUPPORT_DSSS;
extern RsCoreAttribute g_RSCMWWLS_ATTR_ASSOCIATION_RESERVE_MAC_ADDRESS;
extern RsCoreAttribute g_RSCMWWLS_ATTR_ASSOCIATION_AUTOMATIC_DISASSOCIATION;
extern RsCoreAttribute g_RSCMWWLS_ATTR_ASSOCIATION_ALLOW_PREEMPTION;
extern RsCoreAttribute g_RSCMWWLS_ATTR_ASSOCIATION_STATION_PRIORITY;
extern RsCoreAttribute g_RSCMWWLS_ATTR_TWT_MINIMUM_WAKE_DURATION;
extern RsCoreAttribute g_RSCMWWLS_ATTR_HIDDEN_SECURITY_MODE;
extern RsCoreAttribute g_RSCMWWLS_ATTR_SECURITY_ENCRYPTION;
extern RsCoreAttribute g_RSCMWWLS_ATTR_PROTECTION_MANAGMENT_FRAMES;
extern RsCoreAttribute g_RSCMWWLS_ATTR_SAE_AUTHENTICATION;
extern RsCoreAttribute g_RSCMWWLS_ATTR_GROUP_TRANSFORM;
extern RsCoreAttribute g_RSCMWWLS_ATTR_HIDDEN_PRIVATE_SECURITY_KEY;
extern RsCoreAttribute g_RSCMWWLS_ATTR_SECURITY_RSERVER_MODE;
extern RsCoreAttribute g_RSCMWWLS_ATTR_IP_VERSION_SUPPORT;
extern RsCoreAttribute g_RSCMWWLS_ATTR_SECURITY_RSERVER_PORT_NUMBER;
extern RsCoreAttribute g_RSCMWWLS_ATTR_SECURITY_RSERVER_SKEY;
extern RsCoreAttribute g_RSCMWWLS_ATTR_DATA_FRAME_SELECTED_STATION;
extern RsCoreAttribute g_RSCMWWLS_ATTR_DATA_HEMU_FRAME_USER_MCS;
extern RsCoreAttribute g_RSCMWWLS_ATTR_DATA_HEMU_FRAME_USER_CODING_TYPE;
extern RsCoreAttribute g_RSCMWWLS_ATTR_DATA_HEMU_FRAME_USER_STREAMS;
extern RsCoreAttribute g_RSCMWWLS_ATTR_DATA_HEMU_FRAME_DUMMY_USER_MCS;
extern RsCoreAttribute g_RSCMWWLS_ATTR_DATA_HEMU_FRAME_RU_ALLOCATION;
extern RsCoreAttribute g_RSCMWWLS_ATTR_DATA_HEMU_FRAME_USER_ALLOCATION;
extern RsCoreAttribute g_RSCMWWLS_ATTR_TRIGGER_FRAME_SELECTED_STATION;
extern RsCoreAttribute g_RSCMWWLS_ATTR_TRIGGER_FRAME_TRIGGER_TYPE;
extern RsCoreAttribute g_RSCMWWLS_ATTR_TRIGGER_FRAME_NUMBER_OF_SYMBOLS;
extern RsCoreAttribute g_RSCMWWLS_ATTR_TRIGGER_FRAME_CS_REQUIRED;
extern RsCoreAttribute g_RSCMWWLS_ATTR_TRIGGER_FRAME_BANDWIDTH;
extern RsCoreAttribute g_RSCMWWLS_ATTR_TRIGGER_FRAME_GI_LTF;
extern RsCoreAttribute g_RSCMWWLS_ATTR_TRIGGER_FRAME_MU_MIMO_LTF;
extern RsCoreAttribute g_RSCMWWLS_ATTR_TRIGGER_FRAME_LDCP_EXTRA_SYMBOL;
extern RsCoreAttribute g_RSCMWWLS_ATTR_TRIGGER_FRAME_RU_ALLOCATION;
extern RsCoreAttribute g_RSCMWWLS_ATTR_TRIGGER_FRAME_CODING_TYPE;
extern RsCoreAttribute g_RSCMWWLS_ATTR_TRIGGER_FRAME_MCS;
extern RsCoreAttribute g_RSCMWWLS_ATTR_TRIGGER_FRAME_DCM;
extern RsCoreAttribute g_RSCMWWLS_ATTR_TRIGGER_FRAME_STARTING_SPATIAL_STREAM;
extern RsCoreAttribute g_RSCMWWLS_ATTR_TRIGGER_FRAME_NUMBER_OF_SPATIAL_STREAMS;
extern RsCoreAttribute g_RSCMWWLS_ATTR_TRIGGER_FRAME_TARGET_RSSI_MODE;
extern RsCoreAttribute g_RSCMWWLS_ATTR_TRIGGER_FRAME_TARGET_RSSI_CONTROL;
extern RsCoreAttribute g_RSCMWWLS_ATTR_TRIGGER_FRAME_TRANSMISSION_SINGLE_SHOT;
extern RsCoreAttribute g_RSCMWWLS_ATTR_TRIGGER_FRAME_TRANSMISSION_PERIODICAL_ENABLED;
extern RsCoreAttribute g_RSCMWWLS_ATTR_TRIGGER_FRAME_TRANSMISSION_PERIODICAL_INTERVAL;
extern RsCoreAttribute g_RSCMWWLS_ATTR_QOS_TID_SELECTED_STATION;
extern RsCoreAttribute g_RSCMWWLS_ATTR_QOS_TID_E2E_DATA;
extern RsCoreAttribute g_RSCMWWLS_ATTR_QOS_TID_PER;
extern RsCoreAttribute g_RSCMWWLS_ATTR_QOS_TID_PRIORITIZATION_MODE;
extern RsCoreAttribute g_RSCMWWLS_ATTR_QOS_TID_BAR_METHOD;
extern RsCoreAttribute g_RSCMWWLS_ATTR_A_MPDU_SELECTED_STATION;
extern RsCoreAttribute g_RSCMWWLS_ATTR_AMPDU_TX_ENABLED;
extern RsCoreAttribute g_RSCMWWLS_ATTR_HEMAC_BSR_SUPPORT;
extern RsCoreAttribute g_RSCMWWLS_ATTR_NDP_SOUNDING_STATION;
extern RsCoreAttribute g_RSCMWWLS_ATTR_NDP_SOUNDING_FEEDBACK_METHOD;
extern RsCoreAttribute g_RSCMWWLS_ATTR_NDP_SOUNDING_BANDWIDTH;
extern RsCoreAttribute g_RSCMWWLS_ATTR_NDP_SOUNDING_SPATIAL_STREAMS;
extern RsCoreAttribute g_RSCMWWLS_ATTR_NDP_SOUNDING_GI_LTF;
extern RsCoreAttribute g_RSCMWWLS_ATTR_NDP_SOUNDING_REPORT_TYPE;
extern RsCoreAttribute g_RSCMWWLS_ATTR_NDP_SOUNDING_RU_START_INDEX;
extern RsCoreAttribute g_RSCMWWLS_ATTR_NDP_SOUNDING_RU_END_INDEX;
extern RsCoreAttribute g_RSCMWWLS_ATTR_NDP_SOUNDING_CODEBOOK_SIZE;
extern RsCoreAttribute g_RSCMWWLS_ATTR_NDP_SOUNDING_NUMBER_OF_COLUMNS;
extern RsCoreAttribute g_RSCMWWLS_ATTR_NDP_SOUNDING_SUBCARRIER_GROUPING;
extern RsCoreAttribute g_RSCMWWLS_ATTR_NDP_SOUNDING_TRANSMISSION_STATE;
extern RsCoreAttribute g_RSCMWWLS_ATTR_NDP_SOUNDING_TRANSMISSION_INTERVAL;
extern RsCoreAttribute g_RSCMWWLS_ATTR_NDP_SOUNDING_TRANSMISSION_SINGLE_SHOT;
extern RsCoreAttribute g_RSCMWWLS_ATTR_CLEAN_EVENT_LOG;
extern RsCoreAttribute g_RSCMWWLS_ATTR_FADING_AWGN_ENABLED;
extern RsCoreAttribute g_RSCMWWLS_ATTR_FADING_AWGN_BANDWIDTH_RATIO;
extern RsCoreAttribute g_RSCMWWLS_ATTR_FADING_AWGN_SIGNAL_NOISE_RATIO;
extern RsCoreAttribute g_RSCMWWLS_ATTR_FADING_SIMULATOR_ENABLED;
extern RsCoreAttribute g_RSCMWWLS_ATTR_FADING_SIMULATOR_INSERTION_LOSS;
extern RsCoreAttribute g_RSCMWWLS_ATTR_FADING_SIMULATOR_PROFILE;
extern RsCoreAttribute g_RSCMWWLS_ATTR_TRIGGER_SLOPE;
extern RsCoreAttribute g_RSCMWWLS_ATTR_TX_TRIGGER_SLOPE;
extern RsCoreAttribute g_RSCMWWLS_ATTR_RX_TRIGGER_SLOPE;
extern RsCoreAttribute g_RSCMWWLS_ATTR_TRIGGER_PULSE_LENGTH;
extern RsCoreAttribute g_RSCMWWLS_ATTR_TX_TRIGGER_PULSE_LENGTH;
extern RsCoreAttribute g_RSCMWWLS_ATTR_RX_TRIGGER_PULSE_LENGTH;
extern RsCoreAttribute g_RSCMWWLS_ATTR_TRIGGER_PULSE_LENGTH_VALUE;
extern RsCoreAttribute g_RSCMWWLS_ATTR_TX_TRIGGER_PULSE_LENGTH_VALUE;
extern RsCoreAttribute g_RSCMWWLS_ATTR_RX_TRIGGER_PULSE_LENGTH_VALUE;
extern RsCoreAttribute g_RSCMWWLS_ATTR_TRIGGER_MODE;
extern RsCoreAttribute g_RSCMWWLS_ATTR_RX_TRIGGER_BANDWIDTH;
extern RsCoreAttribute g_RSCMWWLS_ATTR_RX_TRIGGER_RATE;
extern RsCoreAttribute g_RSCMWWLS_ATTR_RX_TRIGGER_DELAY_TYPE;
extern RsCoreAttribute g_RSCMWWLS_ATTR_RX_TRIGGER_RATE_RESTRICTION;
extern RsCoreAttribute g_RSCMWWLS_ATTR_RX_TRIGGER_SPATIAL_STREAMS;
extern RsCoreAttribute g_RSCMWWLS_ATTR_IPV4_CMW;
extern RsCoreAttribute g_RSCMWWLS_ATTR_IPV4_SELECTED_STATION;
extern RsCoreAttribute g_RSCMWWLS_ATTR_IPV4_IP_ADDRESS;
extern RsCoreAttribute g_RSCMWWLS_ATTR_PACKET_GENERATOR_PROTOCOL;
extern RsCoreAttribute g_RSCMWWLS_ATTR_PACKET_GENERATOR_IP_VERSION;
extern RsCoreAttribute g_RSCMWWLS_ATTR_PACKET_GENERATOR_DESTINATION;
extern RsCoreAttribute g_RSCMWWLS_ATTR_QUERY_SECOND_STATE;
extern RsCoreAttribute g_RSCMWWLS_ATTR_QUERY_THIRD_STATE;
extern RsCoreAttribute g_RSCMWWLS_ATTR_QUERY_PACKET_SWITCHED_STATE;
extern RsCoreAttribute g_RSCMWWLS_ATTR_QUERY_STATION_SSID;
extern RsCoreAttribute g_RSCMWWLS_ATTR_QUERY_RX_POWER_INDICATOR;
extern RsCoreAttribute g_RSCMWWLS_ATTR_UE_CAPABILITY_SELECTED_STATION;
extern RsCoreAttribute g_RSCMWWLS_ATTR_QUERY_UE_CAPABILITY_MAC_ADDRESS;
extern RsCoreAttribute g_RSCMWWLS_ATTR_QUERY_UE_CAPABILITY_MAC_VERSION;
extern RsCoreAttribute g_RSCMWWLS_ATTR_QUERY_UE_ASSIGNED_IP_ADDRESS;
extern RsCoreAttribute g_RSCMWWLS_ATTR_QUERY_UE_RX_BURST_POWER;
extern RsCoreAttribute g_RSCMWWLS_ATTR_IP_VERSION_4_DHCP;
extern RsCoreAttribute g_RSCMWWLS_ATTR_IP_VERSION_6_PREFIX;
extern RsCoreAttribute g_RSCMWWLS_ATTR_MESSAGE_MONITORING_ADD_WLAN_SIGNALING_TO_LOGGING;
extern RsCoreAttribute g_RSCMWWLS_ATTR_MESSAGE_MONITORING_LOGGING_PC_IPV4_ADDRESS;
extern RsCoreAttribute g_RSCMWWLS_ATTR_DUT_SELECTED_STATION;
extern RsCoreAttribute g_RSCMWWLS_ATTR_DUT_UE_MAC;
extern RsCoreAttribute g_RSCMWWLS_ATTR_DUT_UE_IP4_ADDRESS;
extern RsCoreAttribute g_RSCMWWLS_ATTR_DUT_UE_IP6_ADDRESS;
extern RsCoreAttribute g_RSCMWWLS_ATTR_DUT_CMW_IP4_ADDRESS;
extern RsCoreAttribute g_RSCMWWLS_ATTR_DUT_CMW_IP6_ADDRESS;
extern RsCoreAttribute g_RSCMWWLS_ATTR_HE_TB_SELECTED_STATION;
extern RsCoreAttribute g_RSCMWWLS_ATTR_HE_TB_UPH_INFO;
extern RsCoreAttribute g_RSCMWWLS_ATTR_HE_TB_UE_CAPABILITY;
extern RsCoreAttribute g_RSCMWWLS_ATTR_QUERY_RX_TRIGGER_FRAMES;
extern RsCoreAttribute g_RSCMWWLS_ATTR_RESET_STATISTICS;
extern RsCoreAttribute g_RSCMWWLS_ATTR_STATISTICS_SETTINGS;
extern RsCoreAttribute g_RSCMWWLS_ATTR_STATISTICS_RX_PSDU_HEMU;
extern RsCoreAttribute g_RSCMWWLS_ATTR_STATISTICS_RX_PSDU_HESU;
extern RsCoreAttribute g_RSCMWWLS_ATTR_STATISTICS_RX_PSDU_HETB;
extern RsCoreAttribute g_RSCMWWLS_ATTR_STATISTICS_RX_PSDU_HT;
extern RsCoreAttribute g_RSCMWWLS_ATTR_STATISTICS_RX_PSDU_NHT;
extern RsCoreAttribute g_RSCMWWLS_ATTR_STATISTICS_RX_PSDU_VHT;
extern RsCoreAttribute g_RSCMWWLS_ATTR_PER_MODULATION_CODING_RATE;
extern RsCoreAttribute g_RSCMWWLS_ATTR_PER_ACKNOWLEDGEMENT_TYPE;
extern RsCoreAttribute g_RSCMWWLS_ATTR_PER_DATA_PATTERN;
extern RsCoreAttribute g_RSCMWWLS_ATTR_PER_NUMBER_OF_PACKETS;
extern RsCoreAttribute g_RSCMWWLS_ATTR_PER_DATA_INTERVAL;
extern RsCoreAttribute g_RSCMWWLS_ATTR_PER_PAYLOAD_SIZE;
extern RsCoreAttribute g_RSCMWWLS_ATTR_PER_QOS_TID;
extern RsCoreAttribute g_RSCMWWLS_ATTR_PER_DESTINATION_STATION;
extern RsCoreAttribute g_RSCMWWLS_ATTR_PER_LINK_TO_SIG_FRAME_SETTINGS;
extern RsCoreAttribute g_RSCMWWLS_ATTR_PER_DATA_HEMU_FRAME_USER_MCS;
extern RsCoreAttribute g_RSCMWWLS_ATTR_PER_DATA_HEMU_FRAME_USER_CODING_TYPE;
extern RsCoreAttribute g_RSCMWWLS_ATTR_PER_DATA_HEMU_FRAME_USER_STREAMS;
extern RsCoreAttribute g_RSCMWWLS_ATTR_PER_DATA_HEMU_FRAME_DUMMY_USER_MCS;
extern RsCoreAttribute g_RSCMWWLS_ATTR_PER_MEASUREMENT_INITIATE;
extern RsCoreAttribute g_RSCMWWLS_ATTR_PER_MEASUREMENT_ABORT;
extern RsCoreAttribute g_RSCMWWLS_ATTR_PER_MEASUREMENT_STOP;
extern RsCoreAttribute g_RSCMWWLS_ATTR_PER_LAST_ACK_RATE;
extern RsCoreAttribute g_RSCMWWLS_ATTR_HETB_NUMBER_OF_FRAMES;
extern RsCoreAttribute g_RSCMWWLS_ATTR_HETB_MEASUREMENT_INITIATE;
extern RsCoreAttribute g_RSCMWWLS_ATTR_HETB_MEASUREMENT_ABORT;
extern RsCoreAttribute g_RSCMWWLS_ATTR_HETB_MEASUREMENT_STOP;
extern RsCoreAttribute g_RSCMWWLS_ATTR_HETB_MEASUREMENT_STATE;
extern RsCoreAttribute g_RSCMWWLS_ATTR_SYSTEM_VERSION;
extern RsCoreAttribute g_RSCMWWLS_ATTR_SYSTEM_ERROR;
extern RsCoreAttribute g_RSCMWWLS_ATTR_SYSTEM_ALL_ERRORS;
extern RsCoreAttribute g_RSCMWWLS_ATTR_SYSTEM_PRESET;
extern RsCoreAttribute g_RSCMWWLS_ATTR_ID_QUERY_RESPONSE;

/*****************************************************************************
 *- Repeated Capabilities Table ---------------------------------------------*
 *****************************************************************************/
extern RsCoreRepCap rscmwwls_RsCoreRepCapTable[];
extern ViInt32 rscmwwls_RsCoreRepCapTableCount;

/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttributePtr rscmwwls_RsCoreAttributeList[];
extern ViInt32 rscmwwls_RsCoreAttributeListLength;

/****************************************************************************
 *---------------------------- End Include File ----------------------------*
 ****************************************************************************/
#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __RSCMWWLS_ATTRIBUTES_HEADER */
