/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this source file. It is generated from DrBase repository.
 *
 *  Built on: 2022-07-20 11:07:19Z
 *****************************************************************************/

#include "rscmwwlm.h"

/*****************************************************************************
 *- Repeated Capabilities ---------------------------------------------------*
 *****************************************************************************/

ViInt32 rscmwwlm_RsCoreRepCapTableCount = 13;

RsCoreRepCap rscmwwlm_RsCoreRepCapTable[13] =
  { /*
    {
      repCapName  ... Repeated capability name, e.g. "Channel"
      identifiers ... Repeated capability identifiers (comma separated values), e.g. "Ch1,Ch2,Ch3"
      cmdValues   ... Command values (comma separated values), e.g. "1,2,3"
    } */
    {
      "instance",
      "i1,i2,i3,i4,i5,i6,i7,i8,i9,i10,i11,i12,i13,i14,i15,i16,i17,i18,i19,i20,i21,i22,i23,i24,i25,i26,i27,i28,i29,i30,i31,i32",
      "1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32"
    }, {
      "measurement",
      "measEVM,measEVMS,measEVMC,measIQC,measMSC,measTSM,measSFL",
      "EVM,EVMS,EVMC,IQC,MSC,TSM,SFL"
    }, {
      "Segment",
      "seg1,seg2,seg3,seg4,seg5,seg6,seg7,seg8,seg9,seg10,seg11,seg12,seg13,seg14,seg15,seg16,seg17,seg18,seg19,seg20,seg21,seg22,seg23,seg24,seg25,seg26,seg27,seg28,seg29,seg30,seg31,seg32,seg33,seg34,seg35,seg36,seg37,seg38,seg39,seg40,seg41,seg42,"
      "seg43,seg44,seg45,seg46,seg47,seg48,seg49,seg50,seg51,seg52,seg53,seg54,seg55,seg56,seg57,seg58,seg59,seg60,seg61,seg62,seg63,seg64,seg65,seg66,seg67,seg68,seg69,seg70,seg71,seg72,seg73,seg74,seg75,seg76,seg77,seg78,seg79,seg80,seg81,seg82,seg83,"
      "seg84,seg85,seg86,seg87,seg88,seg89,seg90,seg91,seg92,seg93,seg94,seg95,seg96,seg97,seg98,seg99,seg100",
      "1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,"
      "43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,"
      "84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100"
    }, {
      "DSSSLevel",
      "DsssAB,DsssCD",
      "AB,CD"
    }, {
      "OFDMLevel",
      "OfdmA,OfdmB,OfdmC,OfdmD",
      "A,B,C,D"
    }, {
      "Bandwidth",
      "BW20,BW40",
      "NSTW,NSF"
    }, {
      "Edge",
      "mevREDG,mevFEDG",
      "REDG,FEDG"
    }, {
      "Antenna",
      "a1,a2,a3,a4,a5,a6,a7,a8",
      "1,2,3,4,5,6,7,8"
    }, {
      "Channel",
      "channel1,channel2,channel3,channel4,channel5,channel6,channel7,channel8",
      "1,2,3,4,5,6,7,8"
    }, {
      "Band",
      "B20,B40,B80,B160,B5,B10,B8080",
      "20,40,80,160,5,10,8080"
    }, {
      "Connector",
      "C1,C2,C3,C4",
      "1,2,3,4"
    }, {
      "FreqBand",
      "Band2_4GHz,Band5GHz",
      "2,5"
    }, {
      "Station",
      "S1,S2,S3",
      "1,2,3"
    }
  };

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/

static RsCoreRangeTableDiscreteEntry rscmwwlm_rngInputConnectorEntries[2] =
  {
    { RSCMWWLM_VAL_CONN_RF1C, "RF1C" },
    { RSCMWWLM_VAL_CONN_RF2C, "RF2C" }
  };
RsCoreRangeTableDiscrete rscmwwlm_rngInputConnector = { 2, rscmwwlm_rngInputConnectorEntries };

RsCoreRangeTableRanged rscmwwlm_rngExtAtt = { -50.0, 90.0, "dB" };

RsCoreRangeTableRanged rscmwwlm_rngCenterFrequency = { 100000000.0, 6000000000.0, "Hz" };

static RsCoreRangeTableDiscreteEntry rscmwwlm_rngRepModeEntries[2] =
  {
    { RSCMWWLM_VAL_REPETITION_SINGLE, "SING" },
    { RSCMWWLM_VAL_REPETITION_CONT, "CONT" }
  };
RsCoreRangeTableDiscrete rscmwwlm_rngRepMode = { 2, rscmwwlm_rngRepModeEntries };

RsCoreRangeTableRanged rscmwwlm_rngStatCount = { 1, 2000, "" };

RsCoreRangeTableRanged rscmwwlm_rngTrigThreshold = { -50.00, 0.00, "dB" };

static RsCoreRangeTableDiscreteEntry rscmwwlm_rngStopCondEntries[2] =
  {
    { RSCMWWLM_VAL_NONE, "NONE" },
    { RSCMWWLM_VAL_LIM_FAIL, "SLF" }
  };
RsCoreRangeTableDiscrete rscmwwlm_rngStopCond = { 2, rscmwwlm_rngStopCondEntries };

static RsCoreRangeTableDiscreteEntry rscmwwlm_rngTrigSlopeEntries[2] =
  {
    { RSCMWWLM_VAL_TRIGSLOPE_RISING, "REDG" },
    { RSCMWWLM_VAL_TRIGSLOPE_FALLING, "FEDG" }
  };
RsCoreRangeTableDiscrete rscmwwlm_rngTrigSlope = { 2, rscmwwlm_rngTrigSlopeEntries };

RsCoreRangeTableRanged rscmwwlm_rngTrigTimeout = { 0.01, 300.0, "s" };

RsCoreRangeTableRanged rscmwwlm_rngTrigIFMinGAP = { 0.000005, 0.01, "s" };

static RsCoreRangeTableDiscreteEntry rscmwwlm_rngInputSignalStandardEntries[14] =
  {
    { RSCMWWLM_VAL_STD_BDSS, "BDSS" },
    { RSCMWWLM_VAL_STD_GOFD, "GOFD" },
    { RSCMWWLM_VAL_STD_GDSS, "GDSS" },
    { RSCMWWLM_VAL_STD_AOFD, "AOFD" },
    { RSCMWWLM_VAL_STD_NOFD, "NSIS" },
    { RSCMWWLM_VAL_STD_CMIMO, "CMIM" },
    { RSCMWWLM_VAL_STD_SMIMO, "SMIM" },
    { RSCMWWLM_VAL_STD_ACSISO, "ACS" },
    { RSCMWWLM_VAL_STD_POFDM, "POFD" },
    { RSCMWWLM_VAL_STD_DSSS, "DSSS" },
    { RSCMWWLM_VAL_STD_LOFD, "LOFD" },
    { RSCMWWLM_VAL_STD_HTOF, "HTOF" },
    { RSCMWWLM_VAL_STD_VHT, "VHT" },
    { RSCMWWLM_VAL_STD_HEOF, "HEOF" }
  };
RsCoreRangeTableDiscrete rscmwwlm_rngInputSignalStandard = { 14, rscmwwlm_rngInputSignalStandardEntries };

static RsCoreRangeTableDiscreteEntry rscmwwlm_rngInputSignalBurstTypeEntries[4] =
  {
    { RSCMWWLM_VAL_BURST_MIXED, "MIX" },
    { RSCMWWLM_VAL_BURST_GREEN, "GRE" },
    { RSCMWWLM_VAL_BURST_DLIN, "DLIN" },
    { RSCMWWLM_VAL_BURST_AUTO, "AUTO" }
  };
RsCoreRangeTableDiscrete rscmwwlm_rngInputSignalBurstType = { 4, rscmwwlm_rngInputSignalBurstTypeEntries };

static RsCoreRangeTableDiscreteEntry rscmwwlm_rngEvaluationLengthEntries[2] =
  {
    { RSCMWWLM_VAL_EVAL_LENGTH_WHOLE, "WHOL" },
    { RSCMWWLM_VAL_EVAL_LENGTH_REDUCED, "RED" }
  };
RsCoreRangeTableDiscrete rscmwwlm_rngEvaluationLength = { 2, rscmwwlm_rngEvaluationLengthEntries };

static RsCoreRangeTableDiscreteEntry rscmwwlm_rngChannelEstimationEntries[2] =
  {
    { RSCMWWLM_VAL_CEST_PAYLOAD, "PAYL" },
    { RSCMWWLM_VAL_CEST_PREAMBLE, "PRE" }
  };
RsCoreRangeTableDiscrete rscmwwlm_rngChannelEstimation = { 2, rscmwwlm_rngChannelEstimationEntries };

RsCoreRangeTableRanged rscmwwlm_rngTSMStatisticCount = { 1, 1000, "" };

RsCoreRangeTableRanged rscmwwlm_rngTSMTriggerOffsetTime = { 0, 0.0001, "s" };

RsCoreRangeTableRanged rscmwwlm_rngTSMAverageFFTNumber = { 1, 16, "" };

RsCoreRangeTableRanged rscmwwlm_rngListModeCount = { 1, 100, "" };

RsCoreRangeTableRanged rscmwwlm_rngListModeCaptureTime = { 0.001, 1.00, "s" };

static RsCoreRangeTableDiscreteEntry rscmwwlm_rngListModeEstimationEntries[2] =
  {
    { RSCMWWLM_VAL_FILTER_OPS, "FOPS" },
    { RSCMWWLM_VAL_FILTER_ALL, "FAB" }
  };
RsCoreRangeTableDiscrete rscmwwlm_rngListModeEstimation = { 2, rscmwwlm_rngListModeEstimationEntries };

RsCoreRangeTableRanged rscmwwlm_rngLimitsLevel = { -90.00, 10.00, "dB" };

RsCoreRangeTableRanged rscmwwlm_rngAnalyzerMixerLevelOffset = { -10.00, 10.00, "dB" };

static RsCoreRangeTableDiscreteEntry rscmwwlm_rngBandwidthEntries[7] =
  {
    { RSCMWWLM_VAL_INPUT_SIGNAL_BW_20MHZ, "BW20" },
    { RSCMWWLM_VAL_INPUT_SIGNAL_BW_40MHZ, "BW40" },
    { RSCMWWLM_VAL_INPUT_SIGNAL_BW_80MHZ, "BW80" },
    { RSCMWWLM_VAL_INPUT_SIGNAL_BW_160MHZ, "BW16" },
    { RSCMWWLM_VAL_INPUT_SIGNAL_BW_5MHZ, "BW05" },
    { RSCMWWLM_VAL_INPUT_SIGNAL_BW_10MHZ, "BW10" },
    { RSCMWWLM_VAL_INPUT_SIGNAL_BW_88MHZ, "BW88" }
  };
RsCoreRangeTableDiscrete rscmwwlm_rngBandwidth = { 7, rscmwwlm_rngBandwidthEntries };

RsCoreRangeTableRanged rscmwwlm_rngLevelAOFDM80211n = { -90.0, 10.0, "dB" };

RsCoreRangeTableRanged rscmwwlm_rngMEvalMeasUpperLimits = { -2.0, 20.0, "dB" };

RsCoreRangeTableRanged rscmwwlm_rngUpperLimitOFDM80211N = { -2.0, 20.0, "dB" };

RsCoreRangeTableRanged rscmwwlm_rngPVLimit = { 0.0, 5.0e-6, "s" };

static RsCoreRangeTableDiscreteEntry rscmwwlm_rngTrainingModeEntries[2] =
  {
    { RSCMWWLM_VAL_TMOD, "TMOD" },
    { RSCMWWLM_VAL_MMOD, "MMOD" }
  };
RsCoreRangeTableDiscrete rscmwwlm_rngTrainingMode = { 2, rscmwwlm_rngTrainingModeEntries };

RsCoreRangeTableRanged rscmwwlm_rngTableAntennaNumber = { 1, 8, "" };

static RsCoreRangeTableDiscreteEntry rscmwwlm_rngAnalyzerSecondChannelPositionEntries[2] =
  {
    { RSCMWWLM_VAL_ANALYZER_POSITION_POSITIVE, "POS" },
    { RSCMWWLM_VAL_ANALYZER_POSITION_NEGATIVE, "NEG" }
  };
RsCoreRangeTableDiscrete rscmwwlm_rngAnalyzerSecondChannelPosition = { 2, rscmwwlm_rngAnalyzerSecondChannelPositionEntries };

static RsCoreRangeTableDiscreteEntry rscmwwlm_rngInputSignalFrequencyBandEntries[3] =
  {
    { RSCMWWLM_VAL_INPUT_SIGNAL_BAND_24GHZ, "B24G" },
    { RSCMWWLM_VAL_INPUT_SIGNAL_BAND_5GHZ, "B5GH" },
    { RSCMWWLM_VAL_INPUT_SIGNAL_BAND_4GHZ, "B4GH" }
  };
RsCoreRangeTableDiscrete rscmwwlm_rngInputSignalFrequencyBand = { 3, rscmwwlm_rngInputSignalFrequencyBandEntries };

RsCoreRangeTableRanged rscmwwlm_rngMultiEvalMeasurementDSSSAverageLength = { 1, 199, "" };

static RsCoreRangeTableDiscreteEntry rscmwwlm_rngMultiEvalMeasurementDSSSReferencePowerEntries[2] =
  {
    { RSCMWWLM_VAL_POWER_MAXIMUM, "MAX" },
    { RSCMWWLM_VAL_POWER_MEAN, "MEAN" }
  };
RsCoreRangeTableDiscrete rscmwwlm_rngMultiEvalMeasurementDSSSReferencePower = { 2, rscmwwlm_rngMultiEvalMeasurementDSSSReferencePowerEntries };

static RsCoreRangeTableDiscreteEntry rscmwwlm_rngMultiEvalMeasurementFFTDemodulationOffsetEntries[3] =
  {
    { RSCMWWLM_VAL_FFT_DEMOD_OFFSET_AUTO, "AUTO" },
    { RSCMWWLM_VAL_FFT_DEMOD_OFFSET_CENTER, "CENT" },
    { RSCMWWLM_VAL_FFT_DEMOD_OFFSET_PEAK, "PEAK" }
  };
RsCoreRangeTableDiscrete rscmwwlm_rngMultiEvalMeasurementFFTDemodulationOffset = { 3, rscmwwlm_rngMultiEvalMeasurementFFTDemodulationOffsetEntries };

RsCoreRangeTableRanged rscmwwlm_rngAnalyzerFrequencyOffset = { -100.0e3, 100.0e3, "Hz" };

RsCoreRangeTableRanged rscmwwlm_rngOFDM80211acAbsoluteLimit = { -90.0, 10.0, "dBm" };

RsCoreRangeTableRanged rscmwwlm_rngOFDM80211acLevel = { -90.0, 10.0, "dB" };

RsCoreRangeTableRanged rscmwwlm_rngUpperLimitOFDM80211AC = { -4.0, 20.0, "dB" };

RsCoreRangeTableRanged rscmwwlm_rngInputSignalFrequencyChannel = { 0, 200, "" };

RsCoreRangeTableRanged rscmwwlm_rngAnalyzerNumberOfSMIMOAntennas = { 1, 8, "" };

RsCoreRangeTableRanged rscmwwlm_rngModulationOFDM80211acSCErrorLimit = { 0.0, 100.0, "ppm" };

RsCoreRangeTableRanged rscmwwlm_rngModulationOFDM80211acCFErrorLimit = { 0, 100.0e6, "Hz" };

RsCoreRangeTableRanged rscmwwlm_rngModulationOFDM80211acEVMPilotLimit = { -100.0, 0.0, "dB" };

RsCoreRangeTableRanged rscmwwlm_rngModulationOFDM80211acIQOffsetLimit = { -100.0, 0.0, "dB" };

RsCoreRangeTableRanged rscmwwlm_rngModulationOFDM80211nMIMOEVMPilotLimit = { -100.0, 0, "dB" };

RsCoreRangeTableRanged rscmwwlm_rngModulationOFDM80211nMIMOSCErrorLimit = { 0.0, 25.0, "ppm" };

RsCoreRangeTableRanged rscmwwlm_rngModulationOFDM80211nMIMOCFErrorLimit = { 0.0, 120.0e3, "Hz" };

RsCoreRangeTableRanged rscmwwlm_rngModulationOFDM80211nMIMOIQOffsetLimit = { -100.0, 0, "dB" };

static RsCoreRangeTableDiscreteEntry rscmwwlm_rngInputSignalPowerClassEntries[4] =
  {
    { RSCMWWLM_VAL_INPUT_SIGNAL_POWER_CLASS_A, "CLA" },
    { RSCMWWLM_VAL_INPUT_SIGNAL_POWER_CLASS_B, "CLB" },
    { RSCMWWLM_VAL_INPUT_SIGNAL_POWER_CLASS_C_OR_D, "CLCD" },
    { RSCMWWLM_VAL_INPUT_SIGNAL_POWER_CLASS_USER, "USER" }
  };
RsCoreRangeTableDiscrete rscmwwlm_rngInputSignalPowerClass = { 4, rscmwwlm_rngInputSignalPowerClassEntries };

static RsCoreRangeTableDiscreteEntry rscmwwlm_rngMultiEvalMeasurementMaskSpectrumSelectionEntries[3] =
  {
    { RSCMWWLM_VAL_SPECTRUM_MASK_IEEE, "IEEE" },
    { RSCMWWLM_VAL_SPECTRUM_MASK_ETSI, "ETSI" },
    { RSCMWWLM_VAL_SPECTRUM_MASK_ARIB, "ARIB" }
  };
RsCoreRangeTableDiscrete rscmwwlm_rngMultiEvalMeasurementMaskSpectrumSelection = { 3, rscmwwlm_rngMultiEvalMeasurementMaskSpectrumSelectionEntries };

RsCoreRangeTableRanged rscmwwlm_rngMultiEvalMeasurementLimitsModulationOFDM80211pCenterFrequencyErrorLimit = { 0.0, 100.0e6, "Hz" };

RsCoreRangeTableRanged rscmwwlm_rngMultiEvalMeasurementLimitsModulationOFDM80211pEVMPilotLimit = { -100.0, 0.0, "dB" };

RsCoreRangeTableRanged rscmwwlm_rngMultiEvalMeasurementLimitsModulationOFDM80211pIQOffsetLimit = { -100.0, 0.0, "dB" };

RsCoreRangeTableRanged rscmwwlm_rngMultiEvalMeasurementLimitsModulationOFDM80211pSymbolClockErrorLimit = { 0.0, 100.0, "ppm" };

RsCoreRangeTableRanged rscmwwlm_rngMultiEvalMeasurementLimitsSpectrumFlatnessOFDM80211pUpper = { -4.0, 20.0, "dB" };

RsCoreRangeTableRanged rscmwwlm_rngMultiEvalMeasurementLimitsTransmitSpectrumMaskOFDM80211pAbsoluteLevelA = { -150.0, 30.0, "dBm" };

RsCoreRangeTableRanged rscmwwlm_rngMultiEvalMeasurementLimitsTransmitSpectrumMaskOFDM80211pClassARelativeLevelA = { -90.0, 10.0, "dB" };

RsCoreRangeTableRanged rscmwwlm_rngConfigureMultiEvalMeasurementOccupiedBandwidthValue = { 50.0, 100.0, "%" };

static RsCoreRangeTableDiscreteEntry rscmwwlm_rngInputSignalModulationFilterBurstsEntries[11] =
  {
    { RSCMWWLM_VAL_MODULATION_FILTER_OFDM_ALL, "ALL" },
    { RSCMWWLM_VAL_MODULATION_FILTER_OFDM_BPSK, "BPSK" },
    { RSCMWWLM_VAL_MODULATION_FILTER_OFDM_QPSK, "QPSK" },
    { RSCMWWLM_VAL_MODULATION_FILTER_OFDM_QAM16, "QAM16" },
    { RSCMWWLM_VAL_MODULATION_FILTER_OFDM_QAM64, "QAM64" },
    { RSCMWWLM_VAL_MODULATION_FILTER_DSSS_DBPSK, "DBPS" },
    { RSCMWWLM_VAL_MODULATION_FILTER_DSSS_DQPSK, "DQPS" },
    { RSCMWWLM_VAL_MODULATION_FILTER_DSSS_CCK55, "CCK5_5" },
    { RSCMWWLM_VAL_MODULATION_FILTER_DSSS_CCK11, "CCK11" },
    { RSCMWWLM_VAL_MODULATION_FILTER_OFDM_QAM256, "QAM256" },
    { RSCMWWLM_VAL_MODULATION_FILTER_OFDM_QAM1024, "QAM1024" }
  };
RsCoreRangeTableDiscrete rscmwwlm_rngInputSignalModulationFilterBursts = { 11, rscmwwlm_rngInputSignalModulationFilterBurstsEntries };

static RsCoreRangeTableDiscreteEntry rscmwwlm_rngInputSignalReceiveModeEntries[3] =
  {
    { RSCMWWLM_VAL_RECEIVE_SISO, "SISO" },
    { RSCMWWLM_VAL_RECEIVE_CMIM, "CMIM" },
    { RSCMWWLM_VAL_RECEIVE_SMIM, "SMIM" }
  };
RsCoreRangeTableDiscrete rscmwwlm_rngInputSignalReceiveMode = { 3, rscmwwlm_rngInputSignalReceiveModeEntries };

static RsCoreRangeTableDiscreteEntry rscmwwlm_rngAnalyzerConnectorTupleEntries[7] =
  {
    { RSCMWWLM_VAL_MIMO_CT12, "CT12" },
    { RSCMWWLM_VAL_MIMO_CT34, "CT34" },
    { RSCMWWLM_VAL_MIMO_CT56, "CT56" },
    { RSCMWWLM_VAL_MIMO_CT78, "CT78" },
    { RSCMWWLM_VAL_MIMO_CT14, "CT14" },
    { RSCMWWLM_VAL_MIMO_CT58, "CT58" },
    { RSCMWWLM_VAL_MIMO_CT18, "CT18" }
  };
RsCoreRangeTableDiscrete rscmwwlm_rngAnalyzerConnectorTuple = { 7, rscmwwlm_rngAnalyzerConnectorTupleEntries };

static RsCoreRangeTableDiscreteEntry rscmwwlm_rngConnectorEntries[48] =
  {
    { RSCMWWLM_VAL_ANALYZER_CONN_R11, "R11" },
    { RSCMWWLM_VAL_ANALYZER_CONN_R12, "R12" },
    { RSCMWWLM_VAL_ANALYZER_CONN_R13, "R13" },
    { RSCMWWLM_VAL_ANALYZER_CONN_R14, "R14" },
    { RSCMWWLM_VAL_ANALYZER_CONN_R15, "R15" },
    { RSCMWWLM_VAL_ANALYZER_CONN_R16, "R16" },
    { RSCMWWLM_VAL_ANALYZER_CONN_R17, "R17" },
    { RSCMWWLM_VAL_ANALYZER_CONN_R18, "R18" },
    { RSCMWWLM_VAL_ANALYZER_CONN_R21, "R21" },
    { RSCMWWLM_VAL_ANALYZER_CONN_R22, "R22" },
    { RSCMWWLM_VAL_ANALYZER_CONN_R23, "R23" },
    { RSCMWWLM_VAL_ANALYZER_CONN_R24, "R24" },
    { RSCMWWLM_VAL_ANALYZER_CONN_R25, "R25" },
    { RSCMWWLM_VAL_ANALYZER_CONN_R26, "R26" },
    { RSCMWWLM_VAL_ANALYZER_CONN_R27, "R27" },
    { RSCMWWLM_VAL_ANALYZER_CONN_R28, "R28" },
    { RSCMWWLM_VAL_ANALYZER_CONN_R31, "R31" },
    { RSCMWWLM_VAL_ANALYZER_CONN_R32, "R32" },
    { RSCMWWLM_VAL_ANALYZER_CONN_R33, "R33" },
    { RSCMWWLM_VAL_ANALYZER_CONN_R34, "R34" },
    { RSCMWWLM_VAL_ANALYZER_CONN_R35, "R35" },
    { RSCMWWLM_VAL_ANALYZER_CONN_R36, "R36" },
    { RSCMWWLM_VAL_ANALYZER_CONN_R37, "R37" },
    { RSCMWWLM_VAL_ANALYZER_CONN_R38, "R38" },
    { RSCMWWLM_VAL_ANALYZER_CONN_R41, "R41" },
    { RSCMWWLM_VAL_ANALYZER_CONN_R42, "R42" },
    { RSCMWWLM_VAL_ANALYZER_CONN_R43, "R43" },
    { RSCMWWLM_VAL_ANALYZER_CONN_R44, "R44" },
    { RSCMWWLM_VAL_ANALYZER_CONN_R45, "R45" },
    { RSCMWWLM_VAL_ANALYZER_CONN_R46, "R46" },
    { RSCMWWLM_VAL_ANALYZER_CONN_R47, "R47" },
    { RSCMWWLM_VAL_ANALYZER_CONN_R48, "R48" },
    { RSCMWWLM_VAL_ANALYZER_CONN_RA1, "RA1" },
    { RSCMWWLM_VAL_ANALYZER_CONN_RA2, "RA2" },
    { RSCMWWLM_VAL_ANALYZER_CONN_RA3, "RA3" },
    { RSCMWWLM_VAL_ANALYZER_CONN_RA4, "RA4" },
    { RSCMWWLM_VAL_ANALYZER_CONN_RA5, "RA5" },
    { RSCMWWLM_VAL_ANALYZER_CONN_RA6, "RA6" },
    { RSCMWWLM_VAL_ANALYZER_CONN_RA7, "RA7" },
    { RSCMWWLM_VAL_ANALYZER_CONN_RA8, "RA8" },
    { RSCMWWLM_VAL_ANALYZER_CONN_RB1, "RB1" },
    { RSCMWWLM_VAL_ANALYZER_CONN_RB2, "RB2" },
    { RSCMWWLM_VAL_ANALYZER_CONN_RB3, "RB3" },
    { RSCMWWLM_VAL_ANALYZER_CONN_RB4, "RB4" },
    { RSCMWWLM_VAL_ANALYZER_CONN_RB5, "RB5" },
    { RSCMWWLM_VAL_ANALYZER_CONN_RB6, "RB6" },
    { RSCMWWLM_VAL_ANALYZER_CONN_RB7, "RB7" },
    { RSCMWWLM_VAL_ANALYZER_CONN_RB8, "RB8" }
  };
RsCoreRangeTableDiscrete rscmwwlm_rngConnector = { 48, rscmwwlm_rngConnectorEntries };

static RsCoreRangeTableDiscreteEntry rscmwwlm_rngMultiEvalMeasurementDSSSEVMMethodEntries[3] =
  {
    { RSCMWWLM_VAL_DSSS_EVM_METHOD_ST_1999, "ST1999" },
    { RSCMWWLM_VAL_DSSS_EVM_METHOD_ST_2007, "ST2007" },
    { RSCMWWLM_VAL_DSSS_EVM_METHOD_ST_2016, "ST2016" }
  };
RsCoreRangeTableDiscrete rscmwwlm_rngMultiEvalMeasurementDSSSEVMMethod = { 3, rscmwwlm_rngMultiEvalMeasurementDSSSEVMMethodEntries };

RsCoreRangeTableRanged rscmwwlm_rngInputSignalChannelDistance = { 80.0e6, 960.0e6, "HZ" };

RsCoreRangeTableRanged rscmwwlm_rngInputSignalEvaluationLengthSymbolsOFDM = { 16, 1377, "" };

RsCoreRangeTableRanged rscmwwlm_rngMultiEvalPowerVsTimeUpperLimitError = { 0.0, 100.0e-6, "s" };

RsCoreRangeTableRanged rscmwwlm_rngModulationOFDM80211axCFErrorLimit = { 0, 100.0e6, "Hz" };

RsCoreRangeTableRanged rscmwwlm_rngModulationOFDM80211axSCErrorLimit = { 0, 100, "ppm" };

RsCoreRangeTableRanged rscmwwlm_rngModulationOFDM80211axIQOffsetLimit = { -100.0, 0, "dB" };

RsCoreRangeTableRanged rscmwwlm_rngModulationOFDM80211axEVMPilotLimit = { -100.0, 0.0, "dB" };

RsCoreRangeTableRanged rscmwwlm_rngModulationOFDM80211axEVMPilotTBHighLimit = { -100.0, 0.0, "dB" };

RsCoreRangeTableRanged rscmwwlm_rngModulationOFDM80211axEVMPilotTBLowLimit = { -100.0, 0.0, "dB" };

static RsCoreRangeTableDiscreteEntry rscmwwlm_rngUTEPowerEntries[2] =
  {
    { RSCMWWLM_VAL_UTEPOWER_LOW, "LOW" },
    { RSCMWWLM_VAL_UTEPOWER_HIGH, "HIGH" }
  };
RsCoreRangeTableDiscrete rscmwwlm_rngUTEPower = { 2, rscmwwlm_rngUTEPowerEntries };

static RsCoreRangeTableDiscreteEntry rscmwwlm_rngAnalyzerSMIMOConnectorTupleEntries[7] =
  {
    { RSCMWWLM_VAL_SMIMO_CT12, "CT12" },
    { RSCMWWLM_VAL_SMIMO_CT34, "CT34" },
    { RSCMWWLM_VAL_SMIMO_CT56, "CT56" },
    { RSCMWWLM_VAL_SMIMO_CT78, "CT78" },
    { RSCMWWLM_VAL_SMIMO_CT14, "CT14" },
    { RSCMWWLM_VAL_SMIMO_CT58, "CT58" },
    { RSCMWWLM_VAL_SMIMO_CT18, "CT18" }
  };
RsCoreRangeTableDiscrete rscmwwlm_rngAnalyzerSMIMOConnectorTuple = { 7, rscmwwlm_rngAnalyzerSMIMOConnectorTupleEntries };

RsCoreRangeTableRanged rscmwwlm_rngAnalyzerNumberOfMIMOAntennas = { 1, 8, "" };

static RsCoreRangeTableDiscreteEntry rscmwwlm_rngAbsRelEntries[2] =
  {
    { RSCMWWLM_VAL_ABS, "ABS" },
    { RSCMWWLM_VAL_REL, "REL" }
  };
RsCoreRangeTableDiscrete rscmwwlm_rngAbsRel = { 2, rscmwwlm_rngAbsRelEntries };

RsCoreRangeTableRanged rscmwwlm_rngPct = { 0, 100, "" };

static RsCoreRangeTableDiscreteEntry rscmwwlm_rngListModeConnectorEntries[2] =
  {
    { RSCMWWLM_VAL_LIST_MODE_CONNECTOR_GLOBAL, "GLOB" },
    { RSCMWWLM_VAL_LIST_MODE_CONNECTOR_LIST, "LIST" }
  };
RsCoreRangeTableDiscrete rscmwwlm_rngListModeConnector = { 2, rscmwwlm_rngListModeConnectorEntries };

static RsCoreRangeTableDiscreteEntry rscmwwlm_rngMultiEvalMeasSyncModeEntries[2] =
  {
    { RSCMWWLM_VAL_MEVAL_SYNC_MODE_NORMAL, "NORM" },
    { RSCMWWLM_VAL_MEVAL_SYNC_MODE_TOLERANT, "TOL" }
  };
RsCoreRangeTableDiscrete rscmwwlm_rngMultiEvalMeasSyncMode = { 2, rscmwwlm_rngMultiEvalMeasSyncModeEntries };

RsCoreRangeTableRanged rscmwwlm_rngAntennaExternalAttenuation = { -50, 55, "" };

RsCoreRangeTableRanged rscmwwlm_rngAntennaMixerLevelOffset = { -10, 12, "" };

static RsCoreRangeTableDiscreteEntry rscmwwlm_rngHETBPPDUMCSEntries[12] =
  {
    { RSCMWWLM_VAL_HE_TB_PPDU_MCS_MCS, "MCS" },
    { RSCMWWLM_VAL_HE_TB_PPDU_MCS_MCS1, "MCS1" },
    { RSCMWWLM_VAL_HE_TB_PPDU_MCS_MCS2, "MCS2" },
    { RSCMWWLM_VAL_HE_TB_PPDU_MCS_MCS3, "MCS3" },
    { RSCMWWLM_VAL_HE_TB_PPDU_MCS_MCS4, "MCS4" },
    { RSCMWWLM_VAL_HE_TB_PPDU_MCS_MCS5, "MCS5" },
    { RSCMWWLM_VAL_HE_TB_PPDU_MCS_MCS6, "MCS6" },
    { RSCMWWLM_VAL_HE_TB_PPDU_MCS_MCS7, "MCS7" },
    { RSCMWWLM_VAL_HE_TB_PPDU_MCS_MCS8, "MCS8" },
    { RSCMWWLM_VAL_HE_TB_PPDU_MCS_MCS9, "MCS9" },
    { RSCMWWLM_VAL_HE_TB_PPDU_MCS_MCS10, "MCS10" },
    { RSCMWWLM_VAL_HE_TB_PPDU_MCS_MCS11, "MCS11" }
  };
RsCoreRangeTableDiscrete rscmwwlm_rngHETBPPDUMCS = { 12, rscmwwlm_rngHETBPPDUMCSEntries };

static RsCoreRangeTableDiscreteEntry rscmwwlm_rngSegmentBurstTypeEntries[2] =
  {
    { RSCMWWLM_VAL_SEGMENT_BURST_TYPE_MIXED, "MIX" },
    { RSCMWWLM_VAL_SEGMENT_BURST_TYPE_GREENFIELD, "GRE" }
  };
RsCoreRangeTableDiscrete rscmwwlm_rngSegmentBurstType = { 2, rscmwwlm_rngSegmentBurstTypeEntries };

static RsCoreRangeTableDiscreteEntry rscmwwlm_rngSegmentBandwidthEntries[6] =
  {
    { RSCMWWLM_VAL_SEGMENT_BW_BW05, "BW05" },
    { RSCMWWLM_VAL_SEGMENT_BW_BW10, "BW10" },
    { RSCMWWLM_VAL_SEGMENT_BW_BW16, "BW16" },
    { RSCMWWLM_VAL_SEGMENT_BW_BW20, "BW20" },
    { RSCMWWLM_VAL_SEGMENT_BW_BW40, "BW40" },
    { RSCMWWLM_VAL_SEGMENT_BW_BW80, "BW80" }
  };
RsCoreRangeTableDiscrete rscmwwlm_rngSegmentBandwidth = { 6, rscmwwlm_rngSegmentBandwidthEntries };

RsCoreRangeTableRanged rscmwwlm_rngSegmentFrequency = { 70e6, 6e9, "" };

RsCoreRangeTableRanged rscmwwlm_rngSegmentMeasurementOffset = { 0, 1, "" };

RsCoreRangeTableRanged rscmwwlm_rngSegmentMeasurementTime = { 4e-4, 1, "" };

static RsCoreRangeTableDiscreteEntry rscmwwlm_rngSegmentStandardEntries[6] =
  {
    { RSCMWWLM_VAL_SEGMENT_STANDARD_DSSS, "DSSS" },
    { RSCMWWLM_VAL_SEGMENT_STANDARD_LOFDM, "LOFD" },
    { RSCMWWLM_VAL_SEGMENT_STANDARD_POFDM, "POFD" },
    { RSCMWWLM_VAL_SEGMENT_STANDARD_HTOFDM, "HTOF" },
    { RSCMWWLM_VAL_SEGMENT_STANDARD_VHTOFDM, "VHT" },
    { RSCMWWLM_VAL_SEGMENT_STANDARD_HEOFDM, "HEOF" }
  };
RsCoreRangeTableDiscrete rscmwwlm_rngSegmentStandard = { 6, rscmwwlm_rngSegmentStandardEntries };


/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/

RsCoreAttribute  g_RS_ATTR_RANGE_CHECK =
  {
    RS_ATTR_RANGE_CHECK,
    "Range Check",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_QUERY_INSTRUMENT_STATUS =
  {
    RS_ATTR_QUERY_INSTRUMENT_STATUS,
    "Query Instrument Status",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SIMULATE =
  {
    RS_ATTR_SIMULATE,
    "Simulate",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION =
  {
    RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
    "Driver Description",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_PREFIX =
  {
    RS_ATTR_SPECIFIC_DRIVER_PREFIX,
    "Driver Prefix",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_LOCATOR =
  {
    RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
    "Driver Locator",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_VENDOR =
  {
    RS_ATTR_SPECIFIC_DRIVER_VENDOR,
    "Driver Vendor",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_REVISION =
  {
    RS_ATTR_SPECIFIC_DRIVER_REVISION,
    "Driver Revision",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
    "Class Specification Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
    "Class Specification Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS =
  {
    RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
    "Supported Instrument Models",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_GROUP_CAPABILITIES =
  {
    RS_ATTR_GROUP_CAPABILITIES,
    "Class Group Capabilities",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_FUNCTION_CAPABILITIES =
  {
    RS_ATTR_FUNCTION_CAPABILITIES,
    "Function Capabilities",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_CHANNEL_COUNT =
  {
    RS_ATTR_CHANNEL_COUNT,
    "Channel Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_DRIVER_SETUP =
  {
    RS_ATTR_DRIVER_SETUP,
    "Driver Setup",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_INSTRUMENT_MANUFACTURER =
  {
    RS_ATTR_INSTRUMENT_MANUFACTURER,
    "Instrument Manufacturer",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Rohde&Schwarz",
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_INSTRUMENT_MODEL =
  {
    RS_ATTR_INSTRUMENT_MODEL,
    "Instrument Model",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION =
  {
    RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
    "Instrument Firmware Revision",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_OPTIONS_LIST =
  {
    RS_ATTR_OPTIONS_LIST,
    "Options List",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_IO_RESOURCE_DESCRIPTOR =
  {
    RS_ATTR_IO_RESOURCE_DESCRIPTOR,
    "Resource Descriptor",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_LOGICAL_NAME =
  {
    RS_ATTR_LOGICAL_NAME,
    "Logical Name",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_PRIMARY_ERROR =
  {
    RS_ATTR_PRIMARY_ERROR,
    "Primary Error",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SECONDARY_ERROR =
  {
    RS_ATTR_SECONDARY_ERROR,
    "Secondary Error",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ERROR_ELABORATION =
  {
    RS_ATTR_ERROR_ELABORATION,
    "Error Elaboration",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
    "Driver Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
    "Driver Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
    "Driver Minor Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION =
  {
    RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
    "Class Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_CLASS_DRIVER_MINOR_VERSION =
  {
    RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
    "Class Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ENGINE_MAJOR_VERSION =
  {
    RS_ATTR_ENGINE_MAJOR_VERSION,
    "Engine Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ENGINE_MINOR_VERSION =
  {
    RS_ATTR_ENGINE_MINOR_VERSION,
    "Engine Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ENGINE_REVISION =
  {
    RS_ATTR_ENGINE_REVISION,
    "Engine Revision",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_OPC_TIMEOUT =
  {
    RS_ATTR_OPC_TIMEOUT,
    "Operation Complete (OPC) Timeout",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_INPUT_CONNECTOR =
  {
    RSCMWWLM_ATTR_INPUT_CONNECTOR,
    "Input Connector",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwlm_rngInputConnector, NULL, NULL,
    "ROUT:WLAN:MEAS{instance}:RFS:CONN",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLM_VAL_CONN_RF1C,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_INPUT_EXTERNAL_ATTENUATION =
  {
    RSCMWWLM_ATTR_INPUT_EXTERNAL_ATTENUATION,
    "Input External Attenuation",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngExtAtt, NULL,
    "CONF:WLAN:MEAS{instance}:RFS:EATT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_QUERY_INPUT_POSSIBLE_SCENARIOS =
  {
    RSCMWWLM_ATTR_QUERY_INPUT_POSSIBLE_SCENARIOS,
    "Query Input Possible Scenarios",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "ROUT:WLAN:MEAS{instance}:CAT:SCEN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "SAL",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_ANALYZER_COMBINED_SIGNAL_PATH_SCENARIO =
  {
    RSCMWWLM_ATTR_ANALYZER_COMBINED_SIGNAL_PATH_SCENARIO,
    "Analyzer Combined Signal Path Scenario",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "ROUT:WLAN:MEAS{instance}:SCEN:CSP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "WLAN Sig1",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_ANALYZER_NUMBER_OF_SMIMO_ANTENNAS =
  {
    RSCMWWLM_ATTR_ANALYZER_NUMBER_OF_SMIMO_ANTENNAS,
    "Analyzer Number Of SMIMO Antennas",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rscmwwlm_rngAnalyzerNumberOfSMIMOAntennas, NULL,
    "CONF:WLAN:MEAS{instance}:SMIM:NOAN",
    // Defaults I32, I64, Float, Bool, String
    4,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_ANALYZER_NUMBER_OF_MIMO_ANTENNAS =
  {
    RSCMWWLM_ATTR_ANALYZER_NUMBER_OF_MIMO_ANTENNAS,
    "Analyzer Number Of MIMO Antennas",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rscmwwlm_rngAnalyzerNumberOfMIMOAntennas, NULL,
    "CONF:WLAN:MEAS{instance}:MIMO:NOAN",
    // Defaults I32, I64, Float, Bool, String
    4,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_ANALYZER_USE_SEPARATE_ANTENNAS_FOR_80_PLUS_80_MHZ =
  {
    RSCMWWLM_ATTR_ANALYZER_USE_SEPARATE_ANTENNAS_FOR_80_PLUS_80_MHZ,
    "Analyzer Use Separate Antennas for 80+80 MHz",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:RFS:SANT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_ANALYZER_CONNECTOR_TUPLE =
  {
    RSCMWWLM_ATTR_ANALYZER_CONNECTOR_TUPLE,
    "Analyzer Connector Tuple",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwlm_rngAnalyzerConnectorTuple, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MIMO:CTUP",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLM_VAL_MIMO_CT12,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_ANALYZER_SMIMO_CONNECTOR_TUPLE =
  {
    RSCMWWLM_ATTR_ANALYZER_SMIMO_CONNECTOR_TUPLE,
    "Analyzer SMIMO Connector Tuple",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwlm_rngAnalyzerSMIMOConnectorTuple, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:SMIMO:CTUP",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLM_VAL_SMIMO_CT12,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_ANALYZER_EXPECTED_NOMINAL_POWER =
  {
    RSCMWWLM_ATTR_ANALYZER_EXPECTED_NOMINAL_POWER,
    "Analyzer Expected Nominal Power",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:RFS:ENP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_ANALYZER_USER_MARGIN =
  {
    RSCMWWLM_ATTR_ANALYZER_USER_MARGIN,
    "Analyzer User Margin",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:RFS:UMAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_ANALYZER_CENTER_FREQUENCY =
  {
    RSCMWWLM_ATTR_ANALYZER_CENTER_FREQUENCY,
    "Analyzer Center Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngCenterFrequency, NULL,
    "CONF:WLAN:MEAS{instance}:RFS:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2412.0e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_ANALYZER_MIXER_LEVEL_OFFSET =
  {
    RSCMWWLM_ATTR_ANALYZER_MIXER_LEVEL_OFFSET,
    "Analyzer Mixer Level Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngAnalyzerMixerLevelOffset, NULL,
    "CONF:WLAN:MEAS{instance}:RFS:MLOF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_ANALYZER_FREQUENCY_OFFSET =
  {
    RSCMWWLM_ATTR_ANALYZER_FREQUENCY_OFFSET,
    "Analyzer Frequency Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngAnalyzerFrequencyOffset, NULL,
    "CONF:WLAN:MEAS{instance}:RFS:FOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_ANALYZER_SECOND_CHANNEL_POSITION =
  {
    RSCMWWLM_ATTR_ANALYZER_SECOND_CHANNEL_POSITION,
    "Analyzer Second Channel Position",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwlm_rngAnalyzerSecondChannelPosition, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:RFS:FREQ:SCH",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLM_VAL_ANALYZER_POSITION_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_ANALYZER_DISPLAY_MODE =
  {
    RSCMWWLM_ATTR_ANALYZER_DISPLAY_MODE,
    "Analyzer Display Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwlm_rngAbsRel, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:SFL:DMOD",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLM_VAL_REL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_ANALYZER_MASK_DISPLAY_MODE =
  {
    RSCMWWLM_ATTR_ANALYZER_MASK_DISPLAY_MODE,
    "Analyzer Mask Display Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwlm_rngAbsRel, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:TSM:DMOD",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLM_VAL_REL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_ANALYZER_EXTERNAL_ATTENUATION_ON_RF_CONNECTOR =
  {
    RSCMWWLM_ATTR_ANALYZER_EXTERNAL_ATTENUATION_ON_RF_CONNECTOR,
    "Analyzer External Attenuation on RF Connector",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngExtAtt, NULL,
    "CONF:WLAN:MEAS{instance}:RFS:EATT{Connector}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_ANALYZER_RF_ROUTING_ANTENNA_CONNECTOR =
  {
    RSCMWWLM_ATTR_ANALYZER_RF_ROUTING_ANTENNA_CONNECTOR,
    "Analyzer RF Routing Antenna Connector",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwlm_rngConnector, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:RFS:ANT{Antenna}",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLM_VAL_ANALYZER_CONN_R11,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_ANALYZER_RF_ROUTING_ANTENNA_EXTERNAL_ATTENUATION =
  {
    RSCMWWLM_ATTR_ANALYZER_RF_ROUTING_ANTENNA_EXTERNAL_ATTENUATION,
    "Analyzer RF Routing Antenna External Attenuation",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngAntennaExternalAttenuation, NULL,
    "CONF:WLAN:SIGN{instance}:RFS:ANT{Antenna}:EATT:INP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_ANALYZER_RF_ROUTING_ANTENNA_EXPECTED_PEAK_ENVELOP_POWER =
  {
    RSCMWWLM_ATTR_ANALYZER_RF_ROUTING_ANTENNA_EXPECTED_PEAK_ENVELOP_POWER,
    "Analyzer RF Routing Antenna Expected Peak Envelop Power",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:RFS:ANT{Antenna}:EPEP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_ANALYZER_RF_ROUTING_ANTENNA_MIXER_LEVEL_OFFSET =
  {
    RSCMWWLM_ATTR_ANALYZER_RF_ROUTING_ANTENNA_MIXER_LEVEL_OFFSET,
    "Analyzer RF Routing Antenna Mixer Level Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngAntennaMixerLevelOffset, NULL,
    "CONF:WLAN:SIGN{instance}:RFS:ANT{Antenna}:MLOF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_INPUT_SIGNAL_STANDARD =
  {
    RSCMWWLM_ATTR_INPUT_SIGNAL_STANDARD,
    "Input Signal Standard",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwlm_rngInputSignalStandard, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:ISIG:STAN",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLM_VAL_STD_LOFD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_INPUT_SIGNAL_BURST =
  {
    RSCMWWLM_ATTR_INPUT_SIGNAL_BURST,
    "Input Signal Burst",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwlm_rngInputSignalBurstType, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:ISIG:BTYP",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLM_VAL_BURST_MIXED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_INPUT_SIGNAL_EVALUATION_LENGTH =
  {
    RSCMWWLM_ATTR_INPUT_SIGNAL_EVALUATION_LENGTH,
    "Input Signal Evaluation Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwlm_rngEvaluationLength, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:ISIG:ELEN",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLM_VAL_EVAL_LENGTH_WHOLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_INPUT_SIGNAL_EVALUATION_LENGTH_SYMBOLS_OFDM =
  {
    RSCMWWLM_ATTR_INPUT_SIGNAL_EVALUATION_LENGTH_SYMBOLS_OFDM,
    "Input Signal Evaluation Length Symbols OFDM",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rscmwwlm_rngInputSignalEvaluationLengthSymbolsOFDM, NULL,
    "CONF:WLAN:MEAS{instance}:ISIG:OFDM:ELEN",
    // Defaults I32, I64, Float, Bool, String
    1377,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_INPUT_SIGNAL_BANDWIDTH =
  {
    RSCMWWLM_ATTR_INPUT_SIGNAL_BANDWIDTH,
    "Input Signal Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwlm_rngBandwidth, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:ISIG:BWID",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLM_VAL_INPUT_SIGNAL_BW_20MHZ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_INPUT_SIGNAL_RECEIVE_MODE =
  {
    RSCMWWLM_ATTR_INPUT_SIGNAL_RECEIVE_MODE,
    "Input Signal Receive Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwlm_rngInputSignalReceiveMode, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:ISIG:RMOD",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLM_VAL_RECEIVE_SISO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_INPUT_SIGNAL_CHANNEL_DISTANCE =
  {
    RSCMWWLM_ATTR_INPUT_SIGNAL_CHANNEL_DISTANCE,
    "Input Signal Channel Distance",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngInputSignalChannelDistance, NULL,
    "CONF:WLAN:MEAS{instance}:ISIG:CDIS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    80.0e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_INPUT_SIGNAL_FREQUENCY_BAND =
  {
    RSCMWWLM_ATTR_INPUT_SIGNAL_FREQUENCY_BAND,
    "Input Signal Frequency Band",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwlm_rngInputSignalFrequencyBand, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:RFS:FREQ:BAND",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLM_VAL_INPUT_SIGNAL_BAND_24GHZ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_INPUT_SOURCE_SIGNAL_TRAINING_DATA_SOURCE =
  {
    RSCMWWLM_ATTR_INPUT_SOURCE_SIGNAL_TRAINING_DATA_SOURCE,
    "Input Source Signal Training Data Source",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:ISIG:TDAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "No Data",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_LOAD_TRAINING_DATA_FILE_DATE =
  {
    RSCMWWLM_ATTR_LOAD_TRAINING_DATA_FILE_DATE,
    "Load Training Data File Date",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:ISIG:TDAT:FILE:DATE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "NAV",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_INPUT_SIGNAL_IQ_SWAP_STATE =
  {
    RSCMWWLM_ATTR_INPUT_SIGNAL_IQ_SWAP_STATE,
    "Input Signal IQ Swap State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:ISIG:IQSW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_INPUT_SIGNAL_MODULATION_FILTER_BURSTS =
  {
    RSCMWWLM_ATTR_INPUT_SIGNAL_MODULATION_FILTER_BURSTS,
    "Input Signal Modulation Filter Bursts",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwlm_rngInputSignalModulationFilterBursts, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:ISIG:MODF",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLM_VAL_MODULATION_FILTER_OFDM_ALL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_INPUT_SIGNAL_POWER_CLASS =
  {
    RSCMWWLM_ATTR_INPUT_SIGNAL_POWER_CLASS,
    "Input Signal Power Class",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwlm_rngInputSignalPowerClass, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:ISIG:PCL",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLM_VAL_INPUT_SIGNAL_POWER_CLASS_A,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_INPUT_SIGNAL_FREQUENCY_CHANNEL =
  {
    RSCMWWLM_ATTR_INPUT_SIGNAL_FREQUENCY_CHANNEL,
    "Input Signal Frequency Channel",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rscmwwlm_rngInputSignalFrequencyChannel, NULL,
    "CONF:WLAN:MEAS{instance}:RFS:FREQ:CHAN{Channel}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_REPETITION_MODE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_REPETITION_MODE,
    "Multi Eval Measurement Repetition Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwlm_rngRepMode, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:REP",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLM_VAL_REPETITION_SINGLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_STOP_CONDITION =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_STOP_CONDITION,
    "Multi Eval Measurement Stop Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwlm_rngStopCond, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:SCON",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLM_VAL_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_RESULTS_REJECTION =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_RESULTS_REJECTION,
    "Multi Eval Measurement Results Rejection",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:MOEX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_STATISTIC_COUNT =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_STATISTIC_COUNT,
    "Multi Eval Measurement Statistic Count",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rscmwwlm_rngStatCount, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:SCO:MOD",
    // Defaults I32, I64, Float, Bool, String
    10,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_PHASE_TRACKING =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_PHASE_TRACKING,
    "Multi Eval Measurement Phase Tracking",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:COMP:TRAC:PHAS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_TIMING_TRACKING =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_TIMING_TRACKING,
    "Multi Eval Measurement Timing Tracking",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:COMP:TRAC:TIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LEVEL_TRACKING =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LEVEL_TRACKING,
    "Multi Eval Measurement Level Tracking",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:COMP:TRAC:LEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_CHANNEL_ESTIMATION =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_CHANNEL_ESTIMATION,
    "Multi Eval Measurement Channel Estimation",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwlm_rngChannelEstimation, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:COMP:CEST",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLM_VAL_CEST_PREAMBLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_FFT_DEMODULATION_OFFSET =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_FFT_DEMODULATION_OFFSET,
    "Multi Eval Measurement FFT Demodulation Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwlm_rngMultiEvalMeasurementFFTDemodulationOffset, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:DEM:FFT:OFFS",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLM_VAL_FFT_DEMOD_OFFSET_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_DSSS_EVM_METHOD =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_DSSS_EVM_METHOD,
    "Multi Eval Measurement DSSS EVM Method",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwlm_rngMultiEvalMeasurementDSSSEVMMethod, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:EMET",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLM_VAL_DSSS_EVM_METHOD_ST_2007,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_TS_MASK_STATISTIC_COUNT =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_TS_MASK_STATISTIC_COUNT,
    "Multi Eval Measurement Transmit Spectrum Mask Statistic Count",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rscmwwlm_rngTSMStatisticCount, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:SCO:TSM",
    // Defaults I32, I64, Float, Bool, String
    10,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_TS_MASK_TRIGGER_OFFSET_TIME =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_TS_MASK_TRIGGER_OFFSET_TIME,
    "Multi Eval Measurement Transmit Spectrum Mask Trigger Offset Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngTSMTriggerOffsetTime, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:TSM:TROT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5.0e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_TS_MASK_AVERAGE_FFT_NUMBER =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_TS_MASK_AVERAGE_FFT_NUMBER,
    "Multi Eval Measurement Transmit Spectrum Mask Average FFT Number",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rscmwwlm_rngTSMAverageFFTNumber, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:TSM:AFFT",
    // Defaults I32, I64, Float, Bool, String
    8,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_ASSIGN_VIEWS =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_ASSIGN_VIEWS,
    "Multi Eval Measurement Assign Views Deprecated",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:RES:{measurement}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_EVM_VS_CHIP_VIEW =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_EVM_VS_CHIP_VIEW,
    "Multi Eval Measurement EVM vs Chip View",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:RES:EVM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_EVM_VS_SYMBOL_VIEW =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_EVM_VS_SYMBOL_VIEW,
    "Multi Eval Measurement EVM vs Symbol View",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:RES:EVMS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_EVM_VS_CARRIER_VIEW =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_EVM_VS_CARRIER_VIEW,
    "Multi Eval Measurement EVM vs Carrier View",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:RES:EVMC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_IQ_CONSTELLATION_VIEW =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_IQ_CONSTELLATION_VIEW,
    "Multi Eval Measurement IQ Constellation View",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:RES:IQConst",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_MODULATION_SCALAR_VIEW =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_MODULATION_SCALAR_VIEW,
    "Multi Eval Measurement Modulation Scalar View",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:RES:MSC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_TRANSMIT_SPECTRUM_MASK_VIEW =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_TRANSMIT_SPECTRUM_MASK_VIEW,
    "Multi Eval Measurement Transmit Spectrum Mask View",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:RES:TSM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_SPECTRUM_FLATNESS_VIEW =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_SPECTRUM_FLATNESS_VIEW,
    "Multi Eval Measurement Spectrum Flatness View",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:RES:SFL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_UNUSED_TONE_ERROR_VIEW =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_UNUSED_TONE_ERROR_VIEW,
    "Multi Eval Measurement Unused Tone Error View",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:RES:UTER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_POWER_VS_TIME =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_POWER_VS_TIME,
    "Multi Eval Measurement Power Vs Time Depreacted",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:PVT:{Edge}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_POWER_VS_TIME_RISING_EDGE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_POWER_VS_TIME_RISING_EDGE,
    "Multi Eval Measurement Power Vs Time Rising Edge",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:PVT:REDG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_POWER_VS_TIME_FALLING_EDGE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_POWER_VS_TIME_FALLING_EDGE,
    "Multi Eval Measurement Power Vs Time Falling Edge",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:PVT:FEDG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_POWER_VS_TIME_BURST =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_POWER_VS_TIME_BURST,
    "Multi Eval Measurement Power Vs Time Burst",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:PVT:BURS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_POWER_VS_TIME_RESULT_ENABLE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_POWER_VS_TIME_RESULT_ENABLE,
    "Multi Eval Measurement Power Vs Time Result Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:RES:PVT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_POWER_VS_TIME_STATISTIC_COUNT =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_POWER_VS_TIME_STATISTIC_COUNT,
    "Multi Eval Measurement Power Vs Time Statistic Count",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rscmwwlm_rngStatCount, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:SCO:PVT",
    // Defaults I32, I64, Float, Bool, String
    10,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_POWER_VS_TIME_TE_PERCENTAGE_ENABLED =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_POWER_VS_TIME_TE_PERCENTAGE_ENABLED,
    "Multi Eval Measurement Power Vs Time TE Percentage Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:PVT:TED",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_POWER_VS_TIME_TE_PERCENTAGE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_POWER_VS_TIME_TE_PERCENTAGE,
    "Multi Eval Measurement Power Vs Time TE Percentage",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngPct, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:PVT:TED",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_DSSS_AVERAGE_LENGTH =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_DSSS_AVERAGE_LENGTH,
    "Multi Eval Measurement DSSS Average Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rscmwwlm_rngMultiEvalMeasurementDSSSAverageLength, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:PVT:ALEN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rscmwwlm_RealToInt_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_DSSS_REFERENCE_POWER =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_DSSS_REFERENCE_POWER,
    "Multi Eval Measurement DSSS Reference Power",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwlm_rngMultiEvalMeasurementDSSSReferencePower, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:PVT:RPOW",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLM_VAL_POWER_MEAN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_TIMEOUT =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_TIMEOUT,
    "Multi Eval Measurement Timeout",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:TOUT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_MASK_SPECTRUM_SELECTION =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_MASK_SPECTRUM_SELECTION,
    "Multi Eval Measurement Mask Spectrum Selection",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwlm_rngMultiEvalMeasurementMaskSpectrumSelection, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:TSM:MSEL",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLM_VAL_SPECTRUM_MASK_IEEE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_CONFIGURE_MULTI_EVAL_MEASUREMENT_OCCUPIED_BANDWIDTH_ENABLE =
  {
    RSCMWWLM_ATTR_CONFIGURE_MULTI_EVAL_MEASUREMENT_OCCUPIED_BANDWIDTH_ENABLE,
    "Configure Multi Eval Measurement Occupied Bandwidth Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:TSM:OBWP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_CONFIGURE_MULTI_EVAL_MEASUREMENT_OCCUPIED_BANDWIDTH_VALUE =
  {
    RSCMWWLM_ATTR_CONFIGURE_MULTI_EVAL_MEASUREMENT_OCCUPIED_BANDWIDTH_VALUE,
    "Configure Multi Eval Measurement Occupied Bandwidth Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngConfigureMultiEvalMeasurementOccupiedBandwidthValue, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:TSM:OBWP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    99.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_TRIGGER_SOURCE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_TRIGGER_SOURCE,
    "Multi Eval Measurement Trigger Source",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:WLAN:MEAS{instance}:MEV:SOUR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "IF Power",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_TRIGGER_SLOPE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_TRIGGER_SLOPE,
    "Multi Eval Measurement Trigger Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwlm_rngTrigSlope, NULL, NULL,
    "TRIG:WLAN:MEAS{instance}:MEV:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLM_VAL_TRIGSLOPE_RISING,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_TRIGGER_THRESHOLD =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_TRIGGER_THRESHOLD,
    "Multi Eval Measurement Trigger Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngTrigThreshold, NULL,
    "TRIG:WLAN:MEAS{instance}:MEV:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -30.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_TRIGGER_TIMEOUT =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_TRIGGER_TIMEOUT,
    "Multi Eval Measurement Trigger Timeout",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngTrigTimeout, NULL,
    "TRIG:WLAN:MEAS{instance}:MEV:TOUT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_TRIGGER_IF_MIN_GAP =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_TRIGGER_IF_MIN_GAP,
    "Multi Eval Measurement Trigger IF Min GAP",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngTrigIFMinGAP, NULL,
    "TRIG:WLAN:MEAS{instance}:MEV:MGAP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50.0e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIST_MODE_STATE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIST_MODE_STATE,
    "Multi Eval Measurement List Mode State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIST_MODE_NUMBER_OF_SEGMENTS =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIST_MODE_NUMBER_OF_SEGMENTS,
    "Multi Eval Measurement List Mode Number Of Segments",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rscmwwlm_rngListModeCount, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIST:COUN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIST_MODE_CAPTURE_TIME =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIST_MODE_CAPTURE_TIME,
    "Multi Eval Measurement List Mode Capture Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngListModeCaptureTime, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIST:CAPT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.001,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIST_MODE_CHANNEL_FILTER_ESTIMATION =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIST_MODE_CHANNEL_FILTER_ESTIMATION,
    "Multi Eval Measurement List Mode Channel Filter Estimation",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwlm_rngListModeEstimation, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIST:FILT",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLM_VAL_FILTER_OPS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIST_MODE_CONNECTOR =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIST_MODE_CONNECTOR,
    "Multi Eval Measurement List Mode Connector",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwlm_rngListModeConnector, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIST:CMOD",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLM_VAL_LIST_MODE_CONNECTOR_GLOBAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_POWER_VS_TIME_LIMIT_ENABLE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_POWER_VS_TIME_LIMIT_ENABLE,
    "Multi Eval Measurement Power Vs Time Limit Enable Deprecated",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:PVT:{Edge}:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_RISE_TIME_LIMIT_ENABLE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_RISE_TIME_LIMIT_ENABLE,
    "Multi Eval Measurement Rise Time Limit Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:PVT:REDG:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_FALL_TIME_LIMIT_ENABLE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_FALL_TIME_LIMIT_ENABLE,
    "Multi Eval Measurement Fall Time Limit Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:PVT:FEDG:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_POWER_VS_TIME_LIMIT =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_POWER_VS_TIME_LIMIT,
    "Multi Eval Power Vs Time Limit Depreacted",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngPVLimit, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:PVT:{Edge}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_POWER_VS_TIME_RISE_TIME_LIMIT =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_POWER_VS_TIME_RISE_TIME_LIMIT,
    "Multi Eval Power Vs Time Rise Time Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngPVLimit, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:PVT:REDG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2.0e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_POWER_VS_TIME_FALL_TIME_LIMIT =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_POWER_VS_TIME_FALL_TIME_LIMIT,
    "Multi Eval Power Vs Time Fall Time Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngPVLimit, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:PVT:FEDG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2.0e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_POWER_VS_TIME_UPPER_LIMIT_ERROR =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_POWER_VS_TIME_UPPER_LIMIT_ERROR,
    "Multi Eval Power Vs Time Upper Limit Error",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngMultiEvalPowerVsTimeUpperLimitError, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:PVT:TERR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_POWER_VS_TIME_UPPER_LIMIT_ERROR_ENABLED =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_POWER_VS_TIME_UPPER_LIMIT_ERROR_ENABLED,
    "Multi Eval Power Vs Time Upper Limit Error Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:PVT:TERR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_SYNC_MODE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_SYNC_MODE,
    "Multi Eval Measurement Sync Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwlm_rngMultiEvalMeasSyncMode, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:SMOD",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLM_VAL_MEVAL_SYNC_MODE_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_HE_TB_PPDU_BANDWIDTH =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_HE_TB_PPDU_BANDWIDTH,
    "Multi Eval Measurement HE TB PPDU Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwlm_rngBandwidth, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:HETF:CHBW",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLM_VAL_INPUT_SIGNAL_BW_20MHZ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_HE_TB_PPDU_MCS =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_HE_TB_PPDU_MCS,
    "Multi Eval Measurement HE TB PPDU MCS",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwlm_rngHETBPPDUMCS, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:STA{Station}:CONN:HETF:MCS",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLM_VAL_HE_TB_PPDU_MCS_MCS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_SEGMENT_BURST_TYPE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_SEGMENT_BURST_TYPE,
    "Multi Eval Measurement Segment Burst Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwlm_rngSegmentBurstType, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIST:SEGM{Segment}:BTYP",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLM_VAL_SEGMENT_BURST_TYPE_MIXED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_SEGMENT_BANDWIDTH =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_SEGMENT_BANDWIDTH,
    "Multi Eval Measurement Segment Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwlm_rngSegmentBandwidth, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIST:SEGM{Segment}:BWID",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLM_VAL_SEGMENT_BW_BW20,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_SEGMENT_CONNECTOR =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_SEGMENT_CONNECTOR,
    "Multi Eval Measurement Segment Connector",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwlm_rngConnector, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIST:SEGM{Segment}:CMWS:CONN",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLM_VAL_ANALYZER_CONN_R11,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_SEGMENT_ENP =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_SEGMENT_ENP,
    "Multi Eval Measurement Segment ENP",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIST:SEGM{Segment}:ENP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_SEGMENT_FREQUENCY =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_SEGMENT_FREQUENCY,
    "Multi Eval Measurement Segment Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngSegmentFrequency, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIST:SEGM{Segment}:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    70e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_SEGMENT_MEASUREMENT_OFFSET =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_SEGMENT_MEASUREMENT_OFFSET,
    "Multi Eval Measurement Segment Measurement Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngSegmentMeasurementOffset, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIST:SEGM{Segment}:MOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e-4,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_SEGMENT_MEASUREMENT_TIME =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_SEGMENT_MEASUREMENT_TIME,
    "Multi Eval Measurement Segment Measurement Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngSegmentMeasurementTime, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIST:SEGM{Segment}:MTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    4e-4,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_SEGMENT_STANDARD =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_SEGMENT_STANDARD,
    "Multi Eval Measurement Segment Standard",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwlm_rngSegmentStandard, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIST:SEGM{Segment}:STAN",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLM_VAL_SEGMENT_STANDARD_DSSS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_SEGMENT_TIME =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_SEGMENT_TIME,
    "Multi Eval Measurement Segment Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngSegmentMeasurementTime, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIST:SEGM{Segment}:STIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    4e-4,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211NSMIMO_EVM_PILOT_ENABLE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211NSMIMO_EVM_PILOT_ENABLE,
    "Multi Eval Measurement Limits Modulation OFDM 802.11n MIMO EVM Pilot Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:MOD:SMIM:EVMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211NSMIMO_EVM_PILOT_LIMIT =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211NSMIMO_EVM_PILOT_LIMIT,
    "Multi Eval Measurement Limits Modulation OFDM 802.11n MIMO EVM Pilot Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngModulationOFDM80211nMIMOEVMPilotLimit, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:MOD:SMIM:EVMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -8.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211NSMIMO_IQ_OFFSET_ENABLE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211NSMIMO_IQ_OFFSET_ENABLE,
    "Multi Eval Measurement Limits Modulation OFDM 802.11n MIMO IQ Offset Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:MOD:SMIM:IQOF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211NSMIMO_IQ_OFFSET_LIMIT =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211NSMIMO_IQ_OFFSET_LIMIT,
    "Multi Eval Measurement Limits Modulation OFDM 802.11n MIMO IQ Offset Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngModulationOFDM80211nMIMOIQOffsetLimit, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:MOD:SMIM:IQOF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -15.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211NSMIMO_CFERROR_ENABLE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211NSMIMO_CFERROR_ENABLE,
    "Multi Eval Measurement Limits Modulation OFDM 802.11n MIMO Center Frequency Error Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:MOD:SMIM:CFER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211NSMIMO_CFERROR_LIMIT =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211NSMIMO_CFERROR_LIMIT,
    "Multi Eval Measurement Limits Modulation OFDM 802.11n MIMO Center Frequency Error Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngModulationOFDM80211nMIMOCFErrorLimit, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:MOD:SMIM:CFER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    60.0e3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211NSMIMO_SCERROR_ENABLE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211NSMIMO_SCERROR_ENABLE,
    "Multi Eval Measurement Limits Modulation OFDM 802.11n MIMO Symbol Clock Error Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:MOD:SMIM:SCER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211NSMIMO_SCERROR_LIMIT =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211NSMIMO_SCERROR_LIMIT,
    "Multi Eval Measurement Limits Modulation OFDM 802.11n MIMO Symbol Clock Error Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngModulationOFDM80211nMIMOSCErrorLimit, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:MOD:SMIM:SCER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    25.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AC_EVM_PILOT_ENABLE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AC_EVM_PILOT_ENABLE,
    "Multi Eval Measurement Limits Modulation OFDM 802.11ac EVM Pilot Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:MOD:VHT:EVMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AC_EVM_PILOT_LIMIT =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AC_EVM_PILOT_LIMIT,
    "Multi Eval Measurement Limits Modulation OFDM 802.11ac EVM Pilot Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngModulationOFDM80211acEVMPilotLimit, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:MOD:VHT:EVMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -8.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AC_IQ_OFFSET_ENABLE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AC_IQ_OFFSET_ENABLE,
    "Multi Eval Measurement Limits Modulation OFDM 802.11ac IQ Offset Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:MOD:VHT:IQOF:BW{Band}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AC_IQ_OFFSET_LIMIT =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AC_IQ_OFFSET_LIMIT,
    "Multi Eval Measurement Limits Modulation OFDM 802.11ac IQ Offset Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngModulationOFDM80211acIQOffsetLimit, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:MOD:VHT:IQOF:BW{Band}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -15.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AC_CFERROR_ENABLE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AC_CFERROR_ENABLE,
    "Multi Eval Measurement Limits Modulation OFDM 802.11ac Center Frequency Error Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:MOD:VHT:CFER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AC_CFERROR_LIMIT =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AC_CFERROR_LIMIT,
    "Multi Eval Measurement Limits Modulation OFDM 802.11ac Center Frequency Error Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngModulationOFDM80211acCFErrorLimit, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:MOD:VHT:CFER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100.0e3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AC_SCERROR_ENABLE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AC_SCERROR_ENABLE,
    "Multi Eval Measurement Limits Modulation OFDM 802.11ac Symbol Clock Error Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:MOD:VHT:SCER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AC_SCERROR_LIMIT =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AC_SCERROR_LIMIT,
    "Multi Eval Measurement Limits Modulation OFDM 802.11ac Symbol Clock Error Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngModulationOFDM80211acSCErrorLimit, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:MOD:VHT:SCER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    20.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM_80211P_CENTER_FREQUENCY_ERROR_ENABLE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM_80211P_CENTER_FREQUENCY_ERROR_ENABLE,
    "Multi Eval Measurement Limits Modulation OFDM 802.11p Center Frequency Error Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:MOD:POFD:CFER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM_80211P_CENTER_FREQUENCY_ERROR_LIMIT =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM_80211P_CENTER_FREQUENCY_ERROR_LIMIT,
    "Multi Eval Measurement Limits Modulation OFDM 802.11p Center Frequency Error Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngMultiEvalMeasurementLimitsModulationOFDM80211pCenterFrequencyErrorLimit, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:MOD:POFD:CFER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    60000.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM_80211P_EVM_PILOT_ENABLE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM_80211P_EVM_PILOT_ENABLE,
    "Multi Eval Measurement Limits Modulation OFDM 802.11p EVM Pilot Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:MOD:POFD:EVMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM_80211P_EVM_PILOT_LIMIT =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM_80211P_EVM_PILOT_LIMIT,
    "Multi Eval Measurement Limits Modulation OFDM 802.11p EVM Pilot Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngMultiEvalMeasurementLimitsModulationOFDM80211pEVMPilotLimit, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:MOD:POFD:EVMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -8.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM_80211P_IQ_OFFSET_ENABLE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM_80211P_IQ_OFFSET_ENABLE,
    "Multi Eval Measurement Limits Modulation OFDM 802.11p IQ Offset Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:MOD:POFD:IQOF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM_80211P_IQ_OFFSET_LIMIT =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM_80211P_IQ_OFFSET_LIMIT,
    "Multi Eval Measurement Limits Modulation OFDM 802.11p IQ Offset Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngMultiEvalMeasurementLimitsModulationOFDM80211pIQOffsetLimit, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:MOD:POFD:IQOF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -15.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM_80211P_SYMBOL_CLOCK_ERROR_ENABLE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM_80211P_SYMBOL_CLOCK_ERROR_ENABLE,
    "Multi Eval Measurement Limits Modulation OFDM 802.11p Symbol Clock Error Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:MOD:POFD:SCER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM_80211P_SYMBOL_CLOCK_ERROR_LIMIT =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM_80211P_SYMBOL_CLOCK_ERROR_LIMIT,
    "Multi Eval Measurement Limits Modulation OFDM 802.11p Symbol Clock Error Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngMultiEvalMeasurementLimitsModulationOFDM80211pSymbolClockErrorLimit, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:MOD:POFD:SCER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    25.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_EVM_PILOT_ENABLE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_EVM_PILOT_ENABLE,
    "Multi Eval Measurement Limits Modulation OFDM 802.11ax EVM Pilot Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:MOD:HEOF:EVMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_EVM_PILOT_LIMIT =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_EVM_PILOT_LIMIT,
    "Multi Eval Measurement Limits Modulation OFDM 802.11ax EVM Pilot Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngModulationOFDM80211axEVMPilotLimit, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:MOD:HEOF:EVMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -8.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_EVM_PILOT_TBHIGH_ENABLE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_EVM_PILOT_TBHIGH_ENABLE,
    "Multi Eval Measurement Limits Modulation OFDM 802.11ax EVM Pilot TB High Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:MOD:HEOF:EVM:TBH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_EVM_PILOT_TBHIGH_LIMIT =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_EVM_PILOT_TBHIGH_LIMIT,
    "Multi Eval Measurement Limits Modulation OFDM 802.11ax EVM Pilot TB High Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngModulationOFDM80211axEVMPilotTBHighLimit, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:MOD:HEOF:EVMP:TBH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -13.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_EVM_PILOT_TBLOW_ENABLE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_EVM_PILOT_TBLOW_ENABLE,
    "Multi Eval Measurement Limits Modulation OFDM 802.11ax EVM Pilot TB Low Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:MOD:HEOF:EVMP:TBL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_EVM_PILOT_TBLOW_LIMIT =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_EVM_PILOT_TBLOW_LIMIT,
    "Multi Eval Measurement Limits Modulation OFDM 802.11ax EVM Pilot TB Low Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngModulationOFDM80211axEVMPilotTBLowLimit, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:MOD:HEOF:EVMP:TBL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -27.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_IQ_OFFSET_ENABLE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_IQ_OFFSET_ENABLE,
    "Multi Eval Measurement Limits Modulation OFDM 802.11ax IQ Offset Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:MOD:HEOF:IQOF:BW{Band}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_IQ_OFFSET_LIMIT =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_IQ_OFFSET_LIMIT,
    "Multi Eval Measurement Limits Modulation OFDM 802.11ax IQ Offset Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngModulationOFDM80211axIQOffsetLimit, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:MOD:HEOF:IQOF:BW{Band}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -15.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_CFERROR_ENABLE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_CFERROR_ENABLE,
    "Multi Eval Measurement Limits Modulation OFDM 802.11ax Center Frequency Error Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:MOD:HEOF:CFER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_CFERROR_LIMIT =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_CFERROR_LIMIT,
    "Multi Eval Measurement Limits Modulation OFDM 802.11ax Center Frequency Error Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngModulationOFDM80211axCFErrorLimit, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:MOD:HEOF:CFER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100.0e3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_SCERROR_ENABLE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_SCERROR_ENABLE,
    "Multi Eval Measurement Limits Modulation OFDM 802.11ax Symbol Clock Error Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:MOD:HEOF:SCER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_SCERROR_LIMIT =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_SCERROR_LIMIT,
    "Multi Eval Measurement Limits Modulation OFDM 802.11ax Symbol Clock Error Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngModulationOFDM80211axSCErrorLimit, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:MOD:HEOF:SCER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    20.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_UTE_POWER =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_UTE_POWER,
    "Multi Eval Measurement Limits Modulation OFDM 802.11ax UTE Power",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwlm_rngUTEPower, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:UTEP",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLM_VAL_UTEPOWER_LOW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_UTE_LIMIT =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_UTE_LIMIT,
    "Multi Eval Measurement Limits Modulation OFDM 802.11ax UTE Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:UTER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_DSSS_ENABLE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_DSSS_ENABLE,
    "Multi Eval Measurement Limits Transmit Spectrum Mask DSSS Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:DSSS:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_DSSS_LEVEL =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_DSSS_LEVEL,
    "Multi Eval Measurement Limits Transmit Spectrum Mask DSSS Level Deprecated",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngLimitsLevel, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:DSSS:Y:{DSSSLevel}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -50.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_DSSS_AB_LEVEL =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_DSSS_AB_LEVEL,
    "Multi Eval Measurement Limits Transmit Spectrum Mask DSSS AB Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngLimitsLevel, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:DSSS:Y:AB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -50.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_DSSS_CD_LEVEL =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_DSSS_CD_LEVEL,
    "Multi Eval Measurement Limits Transmit Spectrum Mask DSSS CD Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngLimitsLevel, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:DSSS:Y:CD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -30.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_ENABLE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_ENABLE,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:LOFD:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_LEVEL =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_LEVEL,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM Level Deprecated",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngLimitsLevel, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:LOFD:Y:{OFDMLevel}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -40.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_LEVEL_A =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_LEVEL_A,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM Level A",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngLimitsLevel, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:LOFD:Y:A",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -40.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_LEVEL_B =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_LEVEL_B,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM Level B",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngLimitsLevel, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:LOFD:Y:B",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -40.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_LEVEL_C =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_LEVEL_C,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM Level C",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngLimitsLevel, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:LOFD:Y:C",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -28.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_LEVEL_D =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_LEVEL_D,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM Level D",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngLimitsLevel, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:LOFD:Y:D",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -20.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11N_ENABLE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11N_ENABLE,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 11n Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:NSTW:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11N_LEVEL =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11N_LEVEL,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 11n Level Deprecated",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngLevelAOFDM80211n, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:NSTW:Y:{OFDMLevel}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -45.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_ABSOLUTE_11N_LIMIT =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_ABSOLUTE_11N_LIMIT,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM Absolute 11n Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngLimitsLevel, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:NSTW:ABSL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -63.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_FORTY_ENABLE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_FORTY_ENABLE,
    "Multi Eval Measurement Limits Transmit Spectrum Mask Forty Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:NSF:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_FORTY_LEVEL =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_FORTY_LEVEL,
    "Multi Eval Measurement Limits Transmit Spectrum Mask Forty Level Deprecated",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngLevelAOFDM80211n, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:NSF:Y:{OFDMLevel}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -45.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_FORTY_ABSOLUTE_LIMIT =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_FORTY_ABSOLUTE_LIMIT,
    "Multi Eval Measurement Limits Transmit Spectrum Mask Forty Absolute Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngLimitsLevel, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:NSF:ABSL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -66.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO20MHZ_ENABLE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO20MHZ_ENABLE,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11ac 20MHz Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:ACTW:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO20MHZ_A_LEVEL =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO20MHZ_A_LEVEL,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11ac 20MHz Level A",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngOFDM80211acLevel, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:ACTW:Y:A",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -40.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO20MHZ_B_LEVEL =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO20MHZ_B_LEVEL,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11ac 20MHz Level B",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngOFDM80211acLevel, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:ACTW:Y:B",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -40.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO20MHZ_C_LEVEL =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO20MHZ_C_LEVEL,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11ac 20MHz Level C",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngOFDM80211acLevel, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:ACTW:Y:C",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -28.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO20MHZ_D_LEVEL =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO20MHZ_D_LEVEL,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11ac 20MHz Level D",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngOFDM80211acLevel, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:ACTW:Y:D",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -20.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_ABSOLUTE_11ACSISO20MHZ_LIMIT =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_ABSOLUTE_11ACSISO20MHZ_LIMIT,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11ac 20MHz Absolute Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngOFDM80211acAbsoluteLimit, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:ACTW:ABSL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -63.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO40MHZ_ENABLE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO40MHZ_ENABLE,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11ac 40MHz Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:ACF:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO40MHZ_A_LEVEL =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO40MHZ_A_LEVEL,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11ac 40MHz Level A",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngOFDM80211acLevel, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:ACF:Y:A",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -40.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO40MHZ_B_LEVEL =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO40MHZ_B_LEVEL,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11ac 40MHz Level B",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngOFDM80211acLevel, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:ACF:Y:B",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -40.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO40MHZ_C_LEVEL =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO40MHZ_C_LEVEL,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11ac 40MHz Level C",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngOFDM80211acLevel, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:ACF:Y:C",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -28.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO40MHZ_D_LEVEL =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO40MHZ_D_LEVEL,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11ac 40MHz Level D",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngOFDM80211acLevel, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:ACF:Y:D",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -20.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_ABSOLUTE_11ACSISO40MHZ_LIMIT =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_ABSOLUTE_11ACSISO40MHZ_LIMIT,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11ac 40MHz Absolute Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngOFDM80211acAbsoluteLimit, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:ACF:ABSL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -66.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO80MHZ_ENABLE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO80MHZ_ENABLE,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11ac 80MHz Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:ACE:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO80MHZ_A_LEVEL =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO80MHZ_A_LEVEL,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11ac 80MHz Level A",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngOFDM80211acLevel, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:ACE:Y:A",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -40.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO80MHZ_B_LEVEL =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO80MHZ_B_LEVEL,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11ac 80MHz Level B",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngOFDM80211acLevel, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:ACE:Y:B",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -40.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO80MHZ_C_LEVEL =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO80MHZ_C_LEVEL,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11ac 80MHz Level C",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngOFDM80211acLevel, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:ACE:Y:C",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -28.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO80MHZ_D_LEVEL =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO80MHZ_D_LEVEL,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11ac 80MHz Level D",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngOFDM80211acLevel, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:ACE:Y:D",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -20.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_ABSOLUTE_11ACSISO80MHZ_LIMIT =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_ABSOLUTE_11ACSISO80MHZ_LIMIT,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11ac 80MHz Absolute Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngOFDM80211acAbsoluteLimit, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:ACE:ABSL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -69.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AC_ENABLE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AC_ENABLE,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11ac Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:VHT:BW{Band}:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AC_LEVEL_A =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AC_LEVEL_A,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11ac Level A",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngOFDM80211acLevel, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:VHT:BW{Band}:Y:A",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -40.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AC_LEVEL_B =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AC_LEVEL_B,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11ac Level B",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngOFDM80211acLevel, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:VHT:BW{Band}:Y:B",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -40.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AC_LEVEL_C =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AC_LEVEL_C,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11ac Level C",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngOFDM80211acLevel, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:VHT:BW{Band}:Y:C",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -28.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AC_LEVEL_D =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AC_LEVEL_D,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11ac Level D",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngOFDM80211acLevel, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:VHT:BW{Band}:Y:D",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -20.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AC_ABSOLUTE_LIMIT =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AC_ABSOLUTE_LIMIT,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11ac Absolute Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngOFDM80211acAbsoluteLimit, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:VHT:BW{Band}:ABSL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -66.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_ENABLE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_ENABLE,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11p Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:POFD:BW{Band}:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_ABSOLUTE_LEVEL_A =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_ABSOLUTE_LEVEL_A,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11p Absolute Level A",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngMultiEvalMeasurementLimitsTransmitSpectrumMaskOFDM80211pAbsoluteLevelA, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:POFD:BW{Band}:ABS:Y:A",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -27.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_ABSOLUTE_LEVEL_B =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_ABSOLUTE_LEVEL_B,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11p Absolute Level B",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngMultiEvalMeasurementLimitsTransmitSpectrumMaskOFDM80211pAbsoluteLevelA, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:POFD:BW{Band}:ABS:Y:B",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -27.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_ABSOLUTE_LEVEL_C =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_ABSOLUTE_LEVEL_C,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11p Absolute Level C",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngMultiEvalMeasurementLimitsTransmitSpectrumMaskOFDM80211pAbsoluteLevelA, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:POFD:BW{Band}:ABS:Y:C",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -17.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_ABSOLUTE_LEVEL_D =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_ABSOLUTE_LEVEL_D,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11p Absolute Level D",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngMultiEvalMeasurementLimitsTransmitSpectrumMaskOFDM80211pAbsoluteLevelA, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:POFD:BW{Band}:ABS:Y:D",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -9.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_ABSOLUTE_LEVEL_E =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_ABSOLUTE_LEVEL_E,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11p Absolute Level E",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngMultiEvalMeasurementLimitsTransmitSpectrumMaskOFDM80211pAbsoluteLevelA, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:POFD:BW{Band}:ABS:Y:E",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -3.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_ABSOLUTE_LEVEL_F =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_ABSOLUTE_LEVEL_F,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11p Absolute Level F",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngMultiEvalMeasurementLimitsTransmitSpectrumMaskOFDM80211pAbsoluteLevelA, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:POFD:BW{Band}:ABS:Y:F",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -23.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_CLASS_A_RELATIVE_LEVEL_A =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_CLASS_A_RELATIVE_LEVEL_A,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11p Class A Relative Level A",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngMultiEvalMeasurementLimitsTransmitSpectrumMaskOFDM80211pClassARelativeLevelA, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:POFD:BW{Band}:CA:Y:A",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -40.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_CLASS_A_RELATIVE_LEVEL_B =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_CLASS_A_RELATIVE_LEVEL_B,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11p Class A Relative Level B",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngMultiEvalMeasurementLimitsTransmitSpectrumMaskOFDM80211pClassARelativeLevelA, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:POFD:BW{Band}:CA:Y:B",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -40.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_CLASS_A_RELATIVE_LEVEL_C =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_CLASS_A_RELATIVE_LEVEL_C,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11p Class A Relative Level C",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngMultiEvalMeasurementLimitsTransmitSpectrumMaskOFDM80211pClassARelativeLevelA, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:POFD:BW{Band}:CA:Y:C",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -28.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_CLASS_A_RELATIVE_LEVEL_D =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_CLASS_A_RELATIVE_LEVEL_D,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11p Class A Relative Level D",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngMultiEvalMeasurementLimitsTransmitSpectrumMaskOFDM80211pClassARelativeLevelA, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:POFD:BW{Band}:CA:Y:D",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -20.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_CLASS_A_RELATIVE_LEVEL_E =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_CLASS_A_RELATIVE_LEVEL_E,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11p Class A Relative Level E",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngMultiEvalMeasurementLimitsTransmitSpectrumMaskOFDM80211pClassARelativeLevelA, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:POFD:BW{Band}:CA:Y:E",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -10.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_CLASS_B_RELATIVE_LEVEL_A =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_CLASS_B_RELATIVE_LEVEL_A,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11p Class B Relative Level A",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngMultiEvalMeasurementLimitsTransmitSpectrumMaskOFDM80211pClassARelativeLevelA, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:POFD:BW{Band}:CB:Y:A",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -40.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_CLASS_B_RELATIVE_LEVEL_B =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_CLASS_B_RELATIVE_LEVEL_B,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11p Class B Relative Level B",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngMultiEvalMeasurementLimitsTransmitSpectrumMaskOFDM80211pClassARelativeLevelA, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:POFD:BW{Band}:CB:Y:B",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -40.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_CLASS_B_RELATIVE_LEVEL_C =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_CLASS_B_RELATIVE_LEVEL_C,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11p Class B Relative Level C",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngMultiEvalMeasurementLimitsTransmitSpectrumMaskOFDM80211pClassARelativeLevelA, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:POFD:BW{Band}:CB:Y:C",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -28.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_CLASS_B_RELATIVE_LEVEL_D =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_CLASS_B_RELATIVE_LEVEL_D,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11p Class B Relative Level D",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngMultiEvalMeasurementLimitsTransmitSpectrumMaskOFDM80211pClassARelativeLevelA, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:POFD:BW{Band}:CB:Y:D",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -20.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_CLASS_B_RELATIVE_LEVEL_E =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_CLASS_B_RELATIVE_LEVEL_E,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11p Class B Relative Level E",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngMultiEvalMeasurementLimitsTransmitSpectrumMaskOFDM80211pClassARelativeLevelA, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:POFD:BW{Band}:CB:Y:E",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -16.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_USER_DEFINED_POWER_CLASS_RELATIVE_LEVEL_A =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_USER_DEFINED_POWER_CLASS_RELATIVE_LEVEL_A,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11p User Defined Power Class Relative Level A",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngMultiEvalMeasurementLimitsTransmitSpectrumMaskOFDM80211pClassARelativeLevelA, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:POFD:BW{Band}:UDEF:Y:A",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -50.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_USER_DEFINED_POWER_CLASS_RELATIVE_LEVEL_B =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_USER_DEFINED_POWER_CLASS_RELATIVE_LEVEL_B,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11p User Defined Power Class Relative Level B",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngMultiEvalMeasurementLimitsTransmitSpectrumMaskOFDM80211pClassARelativeLevelA, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:POFD:BW{Band}:UDEF:Y:B",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -50.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_USER_DEFINED_POWER_CLASS_RELATIVE_LEVEL_C =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_USER_DEFINED_POWER_CLASS_RELATIVE_LEVEL_C,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11p User Defined Power Class Relative Level C",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngMultiEvalMeasurementLimitsTransmitSpectrumMaskOFDM80211pClassARelativeLevelA, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:POFD:BW{Band}:UDEF:Y:C",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -50.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_USER_DEFINED_POWER_CLASS_RELATIVE_LEVEL_D =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_USER_DEFINED_POWER_CLASS_RELATIVE_LEVEL_D,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11p User Defined Power Class Relative Level D",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngMultiEvalMeasurementLimitsTransmitSpectrumMaskOFDM80211pClassARelativeLevelA, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:POFD:BW{Band}:UDEF:Y:D",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -50.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_USER_DEFINED_POWER_CLASS_RELATIVE_LEVEL_E =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_USER_DEFINED_POWER_CLASS_RELATIVE_LEVEL_E,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11p User Defined Power Class Relative Level E",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngMultiEvalMeasurementLimitsTransmitSpectrumMaskOFDM80211pClassARelativeLevelA, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:POFD:BW{Band}:UDEF:Y:E",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -50.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AX_ENABLE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AX_ENABLE,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11ax Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:HEOF:BW{Band}:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AX_LEVEL_A =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AX_LEVEL_A,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11ax Level A",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngOFDM80211acLevel, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:HEOF:BW{Band}:Y:A",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -40.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AX_LEVEL_B =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AX_LEVEL_B,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11ax Level B",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngOFDM80211acLevel, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:HEOF:BW{Band}:Y:B",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -40.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AX_LEVEL_C =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AX_LEVEL_C,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11ax Level C",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngOFDM80211acLevel, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:HEOF:BW{Band}:Y:C",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -28.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AX_LEVEL_D =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AX_LEVEL_D,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11ax Level D",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngOFDM80211acLevel, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:HEOF:BW{Band}:Y:D",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -20.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AX_ABSOLUTE_LIMIT =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AX_ABSOLUTE_LIMIT,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11ax Absolute Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngOFDM80211acAbsoluteLimit, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:HEOF:BW{Band}:ABSL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -66.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211N_ENABLE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211N_ENABLE,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11n Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:HTOF:BW{Band}:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211N_LEVEL_A =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211N_LEVEL_A,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11n Level A",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngOFDM80211acLevel, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:HTOF:BW{Band}:BAND{FreqBand}:Y:A",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -45.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211N_LEVEL_B =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211N_LEVEL_B,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11n Level B",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngOFDM80211acLevel, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:HTOF:BW{Band}:BAND{FreqBand}:Y:B",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -45.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211N_LEVEL_C =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211N_LEVEL_C,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11n Level C",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngOFDM80211acLevel, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:HTOF:BW{Band}:BAND{FreqBand}:Y:C",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -28.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211N_LEVEL_D =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211N_LEVEL_D,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11n Level D",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngOFDM80211acLevel, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:HTOF:BW{Band}:BAND{FreqBand}:Y:D",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -20.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211N_ABSOLUTE_LIMIT =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211N_ABSOLUTE_LIMIT,
    "Multi Eval Measurement Limits Transmit Spectrum Mask OFDM 802.11n Absolute Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngOFDM80211acAbsoluteLimit, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:TSM:HTOF:BW{Band}:ABSL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -66.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_OFDM_ENABLE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_OFDM_ENABLE,
    "Multi Eval Measurement Limits Transmit Spectrum Flatness OFDM Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:SFL:LOFD:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_OFDM_UPPER =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_OFDM_UPPER,
    "Multi Eval Measurement Limits Transmit Spectrum Flatness OFDM Upper",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngMEvalMeasUpperLimits, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:SFL:LOFD:UPP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    4.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_SPECTRUM_FLATNESS_OFDM_80211P_ENABLE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_SPECTRUM_FLATNESS_OFDM_80211P_ENABLE,
    "Multi Eval Measurement Limits Spectrum Flatness OFDM 802.11p Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:SFL:POFD:BW{Band}:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_SPECTRUM_FLATNESS_OFDM_80211P_UPPER =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_SPECTRUM_FLATNESS_OFDM_80211P_UPPER,
    "Multi Eval Measurement Limits Spectrum Flatness OFDM 802.11p Upper",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngMultiEvalMeasurementLimitsSpectrumFlatnessOFDM80211pUpper, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:SFL:POFD:BW{Band}:UPP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    4.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_OFDM80211ACSISO20MHZ_ENABLE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_OFDM80211ACSISO20MHZ_ENABLE,
    "Multi Eval Measurement Limits Spectrum Flatness OFDM 802.11ac 20Mhz Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:SFL:ACTW:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_OFDM80211ACSISO20MHZ_UPPER =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_OFDM80211ACSISO20MHZ_UPPER,
    "Multi Eval Measurement Limits Spectrum Flatness OFDM 802.11ac 20MHz Upper",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngUpperLimitOFDM80211AC, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:SFL:ACTW:UPP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    4.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_OFDM80211ACSISO40MHZ_ENABLE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_OFDM80211ACSISO40MHZ_ENABLE,
    "Multi Eval Measurement Limits Spectrum Flatness OFDM 802.11ac 40Mhz Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:SFL:ACF:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_OFDM80211ACSISO40MHZ_UPPER =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_OFDM80211ACSISO40MHZ_UPPER,
    "Multi Eval Measurement Limits Spectrum Flatness OFDM 802.11ac 40MHz Upper",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngUpperLimitOFDM80211AC, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:SFL:ACF:UPP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    4.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_OFDM80211ACSISO80MHZ_ENABLE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_OFDM80211ACSISO80MHZ_ENABLE,
    "Multi Eval Measurement Limits Spectrum Flatness OFDM 802.11ac 80Mhz Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:SFL:ACE:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_OFDM80211ACSISO80MHZ_UPPER =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_OFDM80211ACSISO80MHZ_UPPER,
    "Multi Eval Measurement Limits Spectrum Flatness OFDM 802.11ac 80MHz Upper",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngUpperLimitOFDM80211AC, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:SFL:ACE:UPP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    4.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_SPECTRUM_FLATNESS_OFDM_80211AC_ENABLE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_SPECTRUM_FLATNESS_OFDM_80211AC_ENABLE,
    "Multi Eval Measurement Limits Spectrum Flatness OFDM 802.11ac Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:SFL:VHT:BW{Band}:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_SPECTRUM_FLATNESS_OFDM_80211AC_UPPER =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_SPECTRUM_FLATNESS_OFDM_80211AC_UPPER,
    "Multi Eval Measurement Limits Spectrum Flatness OFDM 802.11ac Upper",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngUpperLimitOFDM80211AC, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:SFL:VHT:BW{Band}:UPP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    4.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_SPECTRUM_FLATNESS_OFDM_80211AX_ENABLE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_SPECTRUM_FLATNESS_OFDM_80211AX_ENABLE,
    "Multi Eval Measurement Limits Spectrum Flatness OFDM 802.11ax Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:SFL:HEOF:BW{Band}:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_SPECTRUM_FLATNESS_OFDM_80211AX_UPPER =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_SPECTRUM_FLATNESS_OFDM_80211AX_UPPER,
    "Multi Eval Measurement Limits Spectrum Flatness OFDM 802.11ax Upper",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngUpperLimitOFDM80211AC, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:SFL:HEOF:BW{Band}:UPP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    4.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_SPECTRUM_FLATNESS_OFDM_80211N_ENABLE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_SPECTRUM_FLATNESS_OFDM_80211N_ENABLE,
    "Multi Eval Measurement Limits Spectrum Flatness OFDM 802.11n Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:SFL:HTOF:BW{Band}:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_SPECTRUM_FLATNESS_OFDM_80211N_UPPER =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_SPECTRUM_FLATNESS_OFDM_80211N_UPPER,
    "Multi Eval Measurement Limits Spectrum Flatness OFDM 802.11n Upper",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngUpperLimitOFDM80211AC, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:SFL:HTOF:BW{Band}:UPP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    4.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_OFDM80211N_ENABLE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_OFDM80211N_ENABLE,
    "Multi Eval Measurement Limits Transmit Spectrum Flatness Enable OFDM 802.11n Deprecated",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:SFL:{Bandwidth}:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_20MHZ_OFDM80211N_ENABLE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_20MHZ_OFDM80211N_ENABLE,
    "Multi Eval Measurement Limits Transmit Spectrum Flatness 20 MHz OFDM 802.11n Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:SFL:NSTW:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_40MHZ_OFDM80211N_ENABLE =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_40MHZ_OFDM80211N_ENABLE,
    "Multi Eval Measurement Limits Transmit Spectrum Flatness 40 MHz OFDM 802.11n Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:SFL:NSF:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_OFDM11N_UPPER =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_OFDM11N_UPPER,
    "Multi Eval Measurement Limits Transmit Spectrum Flatness OFDM 802.11n Upper Deprecated",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngUpperLimitOFDM80211N, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:SFL:{Bandwidth}:UPP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_20MHZ_OFDM80211N_UPPER =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_20MHZ_OFDM80211N_UPPER,
    "Multi Eval Measurement Limits Transmit Spectrum Flatness 20 MHz OFDM 802.11n Upper",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngUpperLimitOFDM80211N, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:SFL:NSTW:UPP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    4.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_40MHZ_OFDM80211N_UPPER =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_40MHZ_OFDM80211N_UPPER,
    "Multi Eval Measurement Limits Transmit Spectrum Flatness 40 MHz OFDM 802.11n Upper",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwlm_rngUpperLimitOFDM80211N, NULL,
    "CONF:WLAN:MEAS{instance}:MEV:LIM:SFL:NSF:UPP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    4.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_INIT =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_INIT,
    "Multi Eval Measurement Init",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INIT:WLAN:MEAS{instance}:MEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_ABORT =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_ABORT,
    "Multi Eval Measurement Abort",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "ABOR:WLAN:MEAS{instance}:MEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_STOP =
  {
    RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_STOP,
    "Multi Eval Measurement Stop",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "STOP:WLAN:MEAS{instance}:MEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_CMIMO_TRAINING_MODE_ENABLE =
  {
    RSCMWWLM_ATTR_CMIMO_TRAINING_MODE_ENABLE,
    "CMIMO Training Mode Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwlm_rngTrainingMode, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLM_VAL_MMOD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_TRAINING_DATA_TX_ANTENNA_NUMBER =
  {
    RSCMWWLM_ATTR_TRAINING_DATA_TX_ANTENNA_NUMBER,
    "Training Data TX Antenna Number",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rscmwwlm_rngTableAntennaNumber, NULL,
    "CONF:WLAN:MEAS{instance}:TMOD:NOAN",
    // Defaults I32, I64, Float, Bool, String
    4,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_TRAINING_DATA_ACQUISITION_INITIATION =
  {
    RSCMWWLM_ATTR_TRAINING_DATA_ACQUISITION_INITIATION,
    "Training Data Acquisition Initiation",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INIT:WLAN:MEAS{instance}:TMOD:ANT{Antenna}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_TRAINING_DATA_ACQUISITION_ABORT =
  {
    RSCMWWLM_ATTR_TRAINING_DATA_ACQUISITION_ABORT,
    "Training Data Acquisition Abort",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "ABOR:WLAN:MEAS{instance}:TMOD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_TRAINING_DATA_ACQUISITION_SAVE =
  {
    RSCMWWLM_ATTR_TRAINING_DATA_ACQUISITION_SAVE,
    "Training Data Acquisition Save",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:TMOD:FILE:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_TRAINING_DATA_ACQUISITION_DATE =
  {
    RSCMWWLM_ATTR_TRAINING_DATA_ACQUISITION_DATE,
    "Training Data Acquisition Date",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CONF:WLAN:MEAS{instance}:TMOD:FILE:DATE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "DefaultDate",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_TRAINING_DATA_ACQUISITION_CLEAR =
  {
    RSCMWWLM_ATTR_TRAINING_DATA_ACQUISITION_CLEAR,
    "Training Data Acquisition Clear",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CLE:WLAN:MEAS{instance}:TMOD:DATA",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_SYSTEM_VERSION =
  {
    RSCMWWLM_ATTR_SYSTEM_VERSION,
    "System Version",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:VERSion?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_SYSTEM_ERROR =
  {
    RSCMWWLM_ATTR_SYSTEM_ERROR,
    "System Error",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:ERRor?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_SYSTEM_ALL_ERRORS =
  {
    RSCMWWLM_ATTR_SYSTEM_ALL_ERRORS,
    "System All Errors",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:ERR:ALL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_SYSTEM_PRESET =
  {
    RSCMWWLM_ATTR_SYSTEM_PRESET,
    "System Preset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLM_ATTR_ID_QUERY_RESPONSE =
  {
    RSCMWWLM_ATTR_ID_QUERY_RESPONSE,
    "ID Query Response",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "*IDN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "CMW",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };


/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/

ViInt32 rscmwwlm_RsCoreAttributeListLength = 284;

RsCoreAttributePtr rscmwwlm_RsCoreAttributeList[284] =
  {
    &g_RS_ATTR_RANGE_CHECK,
    &g_RS_ATTR_QUERY_INSTRUMENT_STATUS,
    &g_RS_ATTR_SIMULATE,
    &g_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
    &g_RS_ATTR_SPECIFIC_DRIVER_PREFIX,
    &g_RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
    &g_RS_ATTR_SPECIFIC_DRIVER_VENDOR,
    &g_RS_ATTR_SPECIFIC_DRIVER_REVISION,
    &g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
    &g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
    &g_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
    &g_RS_ATTR_GROUP_CAPABILITIES,
    &g_RS_ATTR_FUNCTION_CAPABILITIES,
    &g_RS_ATTR_CHANNEL_COUNT,
    &g_RS_ATTR_DRIVER_SETUP,
    &g_RS_ATTR_INSTRUMENT_MANUFACTURER,
    &g_RS_ATTR_INSTRUMENT_MODEL,
    &g_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
    &g_RS_ATTR_OPTIONS_LIST,
    &g_RS_ATTR_IO_RESOURCE_DESCRIPTOR,
    &g_RS_ATTR_LOGICAL_NAME,
    &g_RS_ATTR_PRIMARY_ERROR,
    &g_RS_ATTR_SECONDARY_ERROR,
    &g_RS_ATTR_ERROR_ELABORATION,
    &g_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
    &g_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
    &g_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
    &g_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
    &g_RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
    &g_RS_ATTR_ENGINE_MAJOR_VERSION,
    &g_RS_ATTR_ENGINE_MINOR_VERSION,
    &g_RS_ATTR_ENGINE_REVISION,
    &g_RS_ATTR_OPC_TIMEOUT,
    &g_RSCMWWLM_ATTR_INPUT_CONNECTOR,
    &g_RSCMWWLM_ATTR_INPUT_EXTERNAL_ATTENUATION,
    &g_RSCMWWLM_ATTR_QUERY_INPUT_POSSIBLE_SCENARIOS,
    &g_RSCMWWLM_ATTR_ANALYZER_COMBINED_SIGNAL_PATH_SCENARIO,
    &g_RSCMWWLM_ATTR_ANALYZER_NUMBER_OF_SMIMO_ANTENNAS,
    &g_RSCMWWLM_ATTR_ANALYZER_NUMBER_OF_MIMO_ANTENNAS,
    &g_RSCMWWLM_ATTR_ANALYZER_USE_SEPARATE_ANTENNAS_FOR_80_PLUS_80_MHZ,
    &g_RSCMWWLM_ATTR_ANALYZER_CONNECTOR_TUPLE,
    &g_RSCMWWLM_ATTR_ANALYZER_SMIMO_CONNECTOR_TUPLE,
    &g_RSCMWWLM_ATTR_ANALYZER_EXPECTED_NOMINAL_POWER,
    &g_RSCMWWLM_ATTR_ANALYZER_USER_MARGIN,
    &g_RSCMWWLM_ATTR_ANALYZER_CENTER_FREQUENCY,
    &g_RSCMWWLM_ATTR_ANALYZER_MIXER_LEVEL_OFFSET,
    &g_RSCMWWLM_ATTR_ANALYZER_FREQUENCY_OFFSET,
    &g_RSCMWWLM_ATTR_ANALYZER_SECOND_CHANNEL_POSITION,
    &g_RSCMWWLM_ATTR_ANALYZER_DISPLAY_MODE,
    &g_RSCMWWLM_ATTR_ANALYZER_MASK_DISPLAY_MODE,
    &g_RSCMWWLM_ATTR_ANALYZER_EXTERNAL_ATTENUATION_ON_RF_CONNECTOR,
    &g_RSCMWWLM_ATTR_ANALYZER_RF_ROUTING_ANTENNA_CONNECTOR,
    &g_RSCMWWLM_ATTR_ANALYZER_RF_ROUTING_ANTENNA_EXTERNAL_ATTENUATION,
    &g_RSCMWWLM_ATTR_ANALYZER_RF_ROUTING_ANTENNA_EXPECTED_PEAK_ENVELOP_POWER,
    &g_RSCMWWLM_ATTR_ANALYZER_RF_ROUTING_ANTENNA_MIXER_LEVEL_OFFSET,
    &g_RSCMWWLM_ATTR_INPUT_SIGNAL_STANDARD,
    &g_RSCMWWLM_ATTR_INPUT_SIGNAL_BURST,
    &g_RSCMWWLM_ATTR_INPUT_SIGNAL_EVALUATION_LENGTH,
    &g_RSCMWWLM_ATTR_INPUT_SIGNAL_EVALUATION_LENGTH_SYMBOLS_OFDM,
    &g_RSCMWWLM_ATTR_INPUT_SIGNAL_BANDWIDTH,
    &g_RSCMWWLM_ATTR_INPUT_SIGNAL_RECEIVE_MODE,
    &g_RSCMWWLM_ATTR_INPUT_SIGNAL_CHANNEL_DISTANCE,
    &g_RSCMWWLM_ATTR_INPUT_SIGNAL_FREQUENCY_BAND,
    &g_RSCMWWLM_ATTR_INPUT_SOURCE_SIGNAL_TRAINING_DATA_SOURCE,
    &g_RSCMWWLM_ATTR_LOAD_TRAINING_DATA_FILE_DATE,
    &g_RSCMWWLM_ATTR_INPUT_SIGNAL_IQ_SWAP_STATE,
    &g_RSCMWWLM_ATTR_INPUT_SIGNAL_MODULATION_FILTER_BURSTS,
    &g_RSCMWWLM_ATTR_INPUT_SIGNAL_POWER_CLASS,
    &g_RSCMWWLM_ATTR_INPUT_SIGNAL_FREQUENCY_CHANNEL,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_REPETITION_MODE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_STOP_CONDITION,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_RESULTS_REJECTION,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_STATISTIC_COUNT,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_PHASE_TRACKING,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_TIMING_TRACKING,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LEVEL_TRACKING,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_CHANNEL_ESTIMATION,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_FFT_DEMODULATION_OFFSET,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_DSSS_EVM_METHOD,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_TS_MASK_STATISTIC_COUNT,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_TS_MASK_TRIGGER_OFFSET_TIME,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_TS_MASK_AVERAGE_FFT_NUMBER,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_ASSIGN_VIEWS,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_EVM_VS_CHIP_VIEW,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_EVM_VS_SYMBOL_VIEW,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_EVM_VS_CARRIER_VIEW,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_IQ_CONSTELLATION_VIEW,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_MODULATION_SCALAR_VIEW,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_TRANSMIT_SPECTRUM_MASK_VIEW,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_SPECTRUM_FLATNESS_VIEW,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_UNUSED_TONE_ERROR_VIEW,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_POWER_VS_TIME,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_POWER_VS_TIME_RISING_EDGE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_POWER_VS_TIME_FALLING_EDGE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_POWER_VS_TIME_BURST,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_POWER_VS_TIME_RESULT_ENABLE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_POWER_VS_TIME_STATISTIC_COUNT,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_POWER_VS_TIME_TE_PERCENTAGE_ENABLED,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_POWER_VS_TIME_TE_PERCENTAGE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_DSSS_AVERAGE_LENGTH,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_DSSS_REFERENCE_POWER,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_TIMEOUT,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_MASK_SPECTRUM_SELECTION,
    &g_RSCMWWLM_ATTR_CONFIGURE_MULTI_EVAL_MEASUREMENT_OCCUPIED_BANDWIDTH_ENABLE,
    &g_RSCMWWLM_ATTR_CONFIGURE_MULTI_EVAL_MEASUREMENT_OCCUPIED_BANDWIDTH_VALUE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_TRIGGER_SOURCE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_TRIGGER_SLOPE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_TRIGGER_THRESHOLD,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_TRIGGER_TIMEOUT,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_TRIGGER_IF_MIN_GAP,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIST_MODE_STATE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIST_MODE_NUMBER_OF_SEGMENTS,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIST_MODE_CAPTURE_TIME,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIST_MODE_CHANNEL_FILTER_ESTIMATION,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIST_MODE_CONNECTOR,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_POWER_VS_TIME_LIMIT_ENABLE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_RISE_TIME_LIMIT_ENABLE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_FALL_TIME_LIMIT_ENABLE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_POWER_VS_TIME_LIMIT,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_POWER_VS_TIME_RISE_TIME_LIMIT,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_POWER_VS_TIME_FALL_TIME_LIMIT,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_POWER_VS_TIME_UPPER_LIMIT_ERROR,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_POWER_VS_TIME_UPPER_LIMIT_ERROR_ENABLED,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_SYNC_MODE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_HE_TB_PPDU_BANDWIDTH,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_HE_TB_PPDU_MCS,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_SEGMENT_BURST_TYPE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_SEGMENT_BANDWIDTH,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_SEGMENT_CONNECTOR,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_SEGMENT_ENP,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_SEGMENT_FREQUENCY,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_SEGMENT_MEASUREMENT_OFFSET,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_SEGMENT_MEASUREMENT_TIME,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_SEGMENT_STANDARD,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_SEGMENT_TIME,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211NSMIMO_EVM_PILOT_ENABLE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211NSMIMO_EVM_PILOT_LIMIT,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211NSMIMO_IQ_OFFSET_ENABLE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211NSMIMO_IQ_OFFSET_LIMIT,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211NSMIMO_CFERROR_ENABLE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211NSMIMO_CFERROR_LIMIT,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211NSMIMO_SCERROR_ENABLE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211NSMIMO_SCERROR_LIMIT,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AC_EVM_PILOT_ENABLE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AC_EVM_PILOT_LIMIT,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AC_IQ_OFFSET_ENABLE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AC_IQ_OFFSET_LIMIT,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AC_CFERROR_ENABLE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AC_CFERROR_LIMIT,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AC_SCERROR_ENABLE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AC_SCERROR_LIMIT,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM_80211P_CENTER_FREQUENCY_ERROR_ENABLE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM_80211P_CENTER_FREQUENCY_ERROR_LIMIT,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM_80211P_EVM_PILOT_ENABLE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM_80211P_EVM_PILOT_LIMIT,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM_80211P_IQ_OFFSET_ENABLE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM_80211P_IQ_OFFSET_LIMIT,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM_80211P_SYMBOL_CLOCK_ERROR_ENABLE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM_80211P_SYMBOL_CLOCK_ERROR_LIMIT,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_EVM_PILOT_ENABLE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_EVM_PILOT_LIMIT,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_EVM_PILOT_TBHIGH_ENABLE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_EVM_PILOT_TBHIGH_LIMIT,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_EVM_PILOT_TBLOW_ENABLE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_EVM_PILOT_TBLOW_LIMIT,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_IQ_OFFSET_ENABLE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_IQ_OFFSET_LIMIT,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_CFERROR_ENABLE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_CFERROR_LIMIT,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_SCERROR_ENABLE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_SCERROR_LIMIT,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_UTE_POWER,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_UTE_LIMIT,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_DSSS_ENABLE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_DSSS_LEVEL,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_DSSS_AB_LEVEL,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_DSSS_CD_LEVEL,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_ENABLE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_LEVEL,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_LEVEL_A,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_LEVEL_B,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_LEVEL_C,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_LEVEL_D,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11N_ENABLE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11N_LEVEL,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_ABSOLUTE_11N_LIMIT,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_FORTY_ENABLE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_FORTY_LEVEL,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_FORTY_ABSOLUTE_LIMIT,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO20MHZ_ENABLE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO20MHZ_A_LEVEL,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO20MHZ_B_LEVEL,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO20MHZ_C_LEVEL,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO20MHZ_D_LEVEL,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_ABSOLUTE_11ACSISO20MHZ_LIMIT,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO40MHZ_ENABLE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO40MHZ_A_LEVEL,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO40MHZ_B_LEVEL,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO40MHZ_C_LEVEL,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO40MHZ_D_LEVEL,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_ABSOLUTE_11ACSISO40MHZ_LIMIT,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO80MHZ_ENABLE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO80MHZ_A_LEVEL,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO80MHZ_B_LEVEL,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO80MHZ_C_LEVEL,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO80MHZ_D_LEVEL,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_ABSOLUTE_11ACSISO80MHZ_LIMIT,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AC_ENABLE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AC_LEVEL_A,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AC_LEVEL_B,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AC_LEVEL_C,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AC_LEVEL_D,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AC_ABSOLUTE_LIMIT,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_ENABLE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_ABSOLUTE_LEVEL_A,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_ABSOLUTE_LEVEL_B,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_ABSOLUTE_LEVEL_C,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_ABSOLUTE_LEVEL_D,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_ABSOLUTE_LEVEL_E,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_ABSOLUTE_LEVEL_F,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_CLASS_A_RELATIVE_LEVEL_A,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_CLASS_A_RELATIVE_LEVEL_B,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_CLASS_A_RELATIVE_LEVEL_C,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_CLASS_A_RELATIVE_LEVEL_D,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_CLASS_A_RELATIVE_LEVEL_E,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_CLASS_B_RELATIVE_LEVEL_A,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_CLASS_B_RELATIVE_LEVEL_B,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_CLASS_B_RELATIVE_LEVEL_C,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_CLASS_B_RELATIVE_LEVEL_D,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_CLASS_B_RELATIVE_LEVEL_E,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_USER_DEFINED_POWER_CLASS_RELATIVE_LEVEL_A,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_USER_DEFINED_POWER_CLASS_RELATIVE_LEVEL_B,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_USER_DEFINED_POWER_CLASS_RELATIVE_LEVEL_C,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_USER_DEFINED_POWER_CLASS_RELATIVE_LEVEL_D,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_USER_DEFINED_POWER_CLASS_RELATIVE_LEVEL_E,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AX_ENABLE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AX_LEVEL_A,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AX_LEVEL_B,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AX_LEVEL_C,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AX_LEVEL_D,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AX_ABSOLUTE_LIMIT,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211N_ENABLE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211N_LEVEL_A,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211N_LEVEL_B,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211N_LEVEL_C,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211N_LEVEL_D,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211N_ABSOLUTE_LIMIT,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_OFDM_ENABLE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_OFDM_UPPER,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_SPECTRUM_FLATNESS_OFDM_80211P_ENABLE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_SPECTRUM_FLATNESS_OFDM_80211P_UPPER,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_OFDM80211ACSISO20MHZ_ENABLE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_OFDM80211ACSISO20MHZ_UPPER,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_OFDM80211ACSISO40MHZ_ENABLE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_OFDM80211ACSISO40MHZ_UPPER,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_OFDM80211ACSISO80MHZ_ENABLE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_OFDM80211ACSISO80MHZ_UPPER,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_SPECTRUM_FLATNESS_OFDM_80211AC_ENABLE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_SPECTRUM_FLATNESS_OFDM_80211AC_UPPER,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_SPECTRUM_FLATNESS_OFDM_80211AX_ENABLE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_SPECTRUM_FLATNESS_OFDM_80211AX_UPPER,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_SPECTRUM_FLATNESS_OFDM_80211N_ENABLE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_SPECTRUM_FLATNESS_OFDM_80211N_UPPER,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_OFDM80211N_ENABLE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_20MHZ_OFDM80211N_ENABLE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_40MHZ_OFDM80211N_ENABLE,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_OFDM11N_UPPER,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_20MHZ_OFDM80211N_UPPER,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_40MHZ_OFDM80211N_UPPER,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_INIT,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_ABORT,
    &g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_STOP,
    &g_RSCMWWLM_ATTR_CMIMO_TRAINING_MODE_ENABLE,
    &g_RSCMWWLM_ATTR_TRAINING_DATA_TX_ANTENNA_NUMBER,
    &g_RSCMWWLM_ATTR_TRAINING_DATA_ACQUISITION_INITIATION,
    &g_RSCMWWLM_ATTR_TRAINING_DATA_ACQUISITION_ABORT,
    &g_RSCMWWLM_ATTR_TRAINING_DATA_ACQUISITION_SAVE,
    &g_RSCMWWLM_ATTR_TRAINING_DATA_ACQUISITION_DATE,
    &g_RSCMWWLM_ATTR_TRAINING_DATA_ACQUISITION_CLEAR,
    &g_RSCMWWLM_ATTR_SYSTEM_VERSION,
    &g_RSCMWWLM_ATTR_SYSTEM_ERROR,
    &g_RSCMWWLM_ATTR_SYSTEM_ALL_ERRORS,
    &g_RSCMWWLM_ATTR_SYSTEM_PRESET,
    &g_RSCMWWLM_ATTR_ID_QUERY_RESPONSE
  };
