/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this source file. It is generated from DrBase repository.
 *
 *  Built on: 2022-07-20 15:22:37Z
 *****************************************************************************/

#include "rscmwwls.h"
#include "rscmwwls_internal.h"

/*****************************************************************************
 *- Repeated Capabilities ---------------------------------------------------*
 *****************************************************************************/

ViInt32 rscmwwls_RsCoreRepCapTableCount = 8;

RsCoreRepCap rscmwwls_RsCoreRepCapTable[8] =
  { /*
    {
      repCapName  ... Repeated capability name, e.g. "Channel"
      identifiers ... Repeated capability identifiers (comma separated values), e.g. "Ch1,Ch2,Ch3"
      cmdValues   ... Command values (comma separated values), e.g. "1,2,3"
    } */
    {
      "instance",
      "i1,i2,i3,i4,i5,i6,i7,i8,i9,i10,i11,i12,i13,i14,i15,i16,i17,i18,i19,i20,i21,i22,i23,i24,i25,i26,i27,i28,i29,i30,i31,i32",
      "1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32"
    }, {
      "TriggerType",
      "TrigTX,TrigRX",
      "TX,RX"
    }, {
      "ip",
      "ipv4,ipv6",
      "4,6"
    }, {
      "carrier",
      "c1,c2",
      "1,2"
    }, {
      "user",
      "user1,user2,user3",
      "1,2,3"
    }, {
      "index",
      "index1,index2,index3",
      "1,2,3"
    }, {
      "station",
      "s1,s2,s3",
      "1,2,3"
    }, {
      "antenna",
      "a1,a2",
      "1,2"
    }
  };

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/

RsCoreRangeTableRanged rscmwwls_rngInputExternalAttenuation = { -50.0, 90.0, "dB" };

RsCoreRangeTableRanged rscmwwls_rngOutputExternalAttenuation = { -50.0, 90.0, "dB" };

RsCoreRangeTableRanged rscmwwls_rngRFSignalPowerUplink = { -20.0, 55.0, "dBm" };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngConnectionStandardEntries[9] =
  {
    { RSCMWWLS_VAL_WLAN_AOFD, "ASTD" },
    { RSCMWWLS_VAL_WLAN_NMXM, "ANST" },
    { RSCMWWLS_VAL_WLAN_GOST, "GOST" },
    { RSCMWWLS_VAL_WLAN_GONS, "GONS" },
    { RSCMWWLS_VAL_WLAN_BSTD, "BSTD" },
    { RSCMWWLS_VAL_WLAN_GSTD, "GSTD" },
    { RSCMWWLS_VAL_WLAN_GNST, "GNST" },
    { RSCMWWLS_VAL_WLAN_ACST, "ACST" },
    { RSCMWWLS_VAL_WLAN_AXST, "AXST" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngConnectionStandard = { 9, rscmwwls_rngConnectionStandardEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngTriggerSlopeEntries[2] =
  {
    { RSCMWWLS_VAL_TRIGGER_REDG, "REDG" },
    { RSCMWWLS_VAL_TRIGGER_FEDG, "FEDG" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngTriggerSlope = { 2, rscmwwls_rngTriggerSlopeEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngRxTriggerPulseLengthEntries[2] =
  {
    { RSCMWWLS_VAL_PULSE_LENGTH_DEF, "DEF" },
    { RSCMWWLS_VAL_PULSE_LENGTH_UDEF, "UDEF" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngRxTriggerPulseLength = { 2, rscmwwls_rngRxTriggerPulseLengthEntries };

RsCoreRangeTableRanged rscmwwls_rngTriggerPulseLengthValue = { 1e-6, 10e-03, "s" };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngPERModulationCodingRateEntries[28] =
  {
    { RSCMWWLS_VAL_PER_CODE_RATE_BR12, "BR12" },
    { RSCMWWLS_VAL_PER_CODE_RATE_BR34, "BR34" },
    { RSCMWWLS_VAL_PER_CODE_RATE_QR12, "QR12" },
    { RSCMWWLS_VAL_PER_CODE_RATE_QR34, "QR34" },
    { RSCMWWLS_VAL_PER_CODE_RATE_Q1M12, "Q1M12" },
    { RSCMWWLS_VAL_PER_CODE_RATE_Q1M34, "Q1M34" },
    { RSCMWWLS_VAL_PER_CODE_RATE_Q6M23, "Q6M23" },
    { RSCMWWLS_VAL_PER_CODE_RATE_Q6M34, "Q6M34" },
    { RSCMWWLS_VAL_PER_CODE_RATE_MCS, "MCS" },
    { RSCMWWLS_VAL_PER_CODE_RATE_MCS1, "MCS1" },
    { RSCMWWLS_VAL_PER_CODE_RATE_MCS2, "MCS2" },
    { RSCMWWLS_VAL_PER_CODE_RATE_MCS3, "MCS3" },
    { RSCMWWLS_VAL_PER_CODE_RATE_MCS4, "MCS4" },
    { RSCMWWLS_VAL_PER_CODE_RATE_MCS5, "MCS5" },
    { RSCMWWLS_VAL_PER_CODE_RATE_MCS6, "MCS6" },
    { RSCMWWLS_VAL_PER_CODE_RATE_MCS7, "MCS7" },
    { RSCMWWLS_VAL_PER_CODE_RATE_D1MB, "D1MB" },
    { RSCMWWLS_VAL_PER_CODE_RATE_D2MB, "D2MB" },
    { RSCMWWLS_VAL_PER_CODE_RATE_C55M, "C55M" },
    { RSCMWWLS_VAL_PER_CODE_RATE_C11M, "C11M" },
    { RSCMWWLS_VAL_PER_CODE_RATE_MCS8, "MCS8" },
    { RSCMWWLS_VAL_PER_CODE_RATE_MCS9, "MCS9" },
    { RSCMWWLS_VAL_PER_CODE_RATE_MCS10, "MCS10" },
    { RSCMWWLS_VAL_PER_CODE_RATE_MCS11, "MCS11" },
    { RSCMWWLS_VAL_PER_CODE_RATE_MCS12, "MCS12" },
    { RSCMWWLS_VAL_PER_CODE_RATE_MCS13, "MCS13" },
    { RSCMWWLS_VAL_PER_CODE_RATE_MCS14, "MCS14" },
    { RSCMWWLS_VAL_PER_CODE_RATE_MCS15, "MCS15" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngPERModulationCodingRate = { 28, rscmwwls_rngPERModulationCodingRateEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngPERAcknowledgementTypeEntries[1] =
  {
    { RSCMWWLS_VAL_PER_ACKNOWLEDGEMENT_ACK, "ACK" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngPERAcknowledgementType = { 1, rscmwwls_rngPERAcknowledgementTypeEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngQueryPacketSwitchedStateEntries[7] =
  {
    { RSCMWWLS_VAL_PSWITCHED_STATE_IDLE, "IDLE" },
    { RSCMWWLS_VAL_PSWITCHED_STATE_PROB, "PROB" },
    { RSCMWWLS_VAL_PSWITCHED_STATE_AUTH, "AUTH" },
    { RSCMWWLS_VAL_PSWITCHED_STATE_ASS, "ASS" },
    { RSCMWWLS_VAL_PSWITCHED_STATE_DEA, "DEA" },
    { RSCMWWLS_VAL_PSWITCHED_STATE_DIS, "DIS" },
    { RSCMWWLS_VAL_PSWITCHED_STATE_CTIM, "CTIM" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngQueryPacketSwitchedState = { 7, rscmwwls_rngQueryPacketSwitchedStateEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngPERDataPatternEntries[37] =
  {
    { RSCMWWLS_VAL_DATA_PATTERN_PN1, "PN1" },
    { RSCMWWLS_VAL_DATA_PATTERN_PN2, "PN2" },
    { RSCMWWLS_VAL_DATA_PATTERN_PN3, "PN3" },
    { RSCMWWLS_VAL_DATA_PATTERN_PN4, "PN4" },
    { RSCMWWLS_VAL_DATA_PATTERN_PN5, "PN5" },
    { RSCMWWLS_VAL_DATA_PATTERN_PN6, "PN6" },
    { RSCMWWLS_VAL_DATA_PATTERN_PN7, "PN7" },
    { RSCMWWLS_VAL_DATA_PATTERN_PN8, "PN8" },
    { RSCMWWLS_VAL_DATA_PATTERN_PN9, "PN9" },
    { RSCMWWLS_VAL_DATA_PATTERN_PN10, "PN10" },
    { RSCMWWLS_VAL_DATA_PATTERN_PN11, "PN11" },
    { RSCMWWLS_VAL_DATA_PATTERN_PN12, "PN12" },
    { RSCMWWLS_VAL_DATA_PATTERN_PN13, "PN13" },
    { RSCMWWLS_VAL_DATA_PATTERN_PN14, "PN14" },
    { RSCMWWLS_VAL_DATA_PATTERN_PN15, "PN15" },
    { RSCMWWLS_VAL_DATA_PATTERN_PN16, "PN16" },
    { RSCMWWLS_VAL_DATA_PATTERN_PN17, "PN17" },
    { RSCMWWLS_VAL_DATA_PATTERN_PN18, "PN18" },
    { RSCMWWLS_VAL_DATA_PATTERN_PN19, "PN19" },
    { RSCMWWLS_VAL_DATA_PATTERN_PN20, "PN20" },
    { RSCMWWLS_VAL_DATA_PATTERN_PN21, "PN21" },
    { RSCMWWLS_VAL_DATA_PATTERN_PN22, "PN22" },
    { RSCMWWLS_VAL_DATA_PATTERN_PN23, "PN23" },
    { RSCMWWLS_VAL_DATA_PATTERN_PN24, "PN24" },
    { RSCMWWLS_VAL_DATA_PATTERN_PN25, "PN25" },
    { RSCMWWLS_VAL_DATA_PATTERN_PN26, "PN26" },
    { RSCMWWLS_VAL_DATA_PATTERN_PN27, "PN27" },
    { RSCMWWLS_VAL_DATA_PATTERN_PN28, "PN28" },
    { RSCMWWLS_VAL_DATA_PATTERN_PN29, "PN29" },
    { RSCMWWLS_VAL_DATA_PATTERN_PN30, "PN30" },
    { RSCMWWLS_VAL_DATA_PATTERN_PN31, "PN31" },
    { RSCMWWLS_VAL_DATA_PATTERN_PN32, "PN32" },
    { RSCMWWLS_VAL_DATA_PATTERN_PRAN, "PRAN" },
    { RSCMWWLS_VAL_DATA_PATTERN_AZER, "AZER" },
    { RSCMWWLS_VAL_DATA_PATTERN_AONE, "AONE" },
    { RSCMWWLS_VAL_DATA_PATTERN_PT01, "PT01" },
    { RSCMWWLS_VAL_DATA_PATTERN_PT10, "PT10" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngPERDataPattern = { 37, rscmwwls_rngPERDataPatternEntries };

RsCoreRangeTableRanged rscmwwls_rngPERNumberOfPackets = { 1, 1000000, "" };

RsCoreRangeTableRanged rscmwwls_rngPERDataInterval = { 1, 100, "" };

RsCoreRangeTableRanged rscmwwls_rngPERPayloadSize = { 0, 2000, "" };

RsCoreRangeTableRanged rscmwwls_rngPERLimit = { 0.0, 100.0, "%" };

RsCoreRangeTableRanged rscmwwls_rngQueryUECapabilityMACVersion = { 0, 1, "" };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngDisableEnableEntries[2] =
  {
    { RSCMWWLS_VAL_DISABLE, "DIS" },
    { RSCMWWLS_VAL_ENABLE, "ENAB" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngDisableEnable = { 2, rscmwwls_rngDisableEnableEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngPacketGeneratorProtocolEntries[2] =
  {
    { RSCMWWLS_VAL_PROTOCOL_ICMP, "ICMP" },
    { RSCMWWLS_VAL_PROTOCOL_UDP, "UDP" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngPacketGeneratorProtocol = { 2, rscmwwls_rngPacketGeneratorProtocolEntries };

RsCoreRangeTableRanged rscmwwls_rngRFSignalChannel = { 1, 196, "" };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngRXFilterTypeEntries[3] =
  {
    { RSCMWWLS_VAL_RX_FILTER_DEFAULT, "DEF" },
    { RSCMWWLS_VAL_RX_FILTER_ALTERNATIVE, "ALT" },
    { RSCMWWLS_VAL_RX_FILTER_AUTO, "AUTO" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngRXFilterType = { 3, rscmwwls_rngRXFilterTypeEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngSSIDConnectionEntries[2] =
  {
    { RSCMWWLS_VAL_SSID_CONNECTION_ANY, "ANY" },
    { RSCMWWLS_VAL_SSID_CONNECTION_SSID, "SSID" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngSSIDConnection = { 2, rscmwwls_rngSSIDConnectionEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngSecurityEncryptionTypeEntries[4] =
  {
    { RSCMWWLS_VAL_ENCRYPTION_DISABLED, "DIS" },
    { RSCMWWLS_VAL_ENCRYPTION_AES, "AES" },
    { RSCMWWLS_VAL_ENCRYPTION_TKIP, "TKIP" },
    { RSCMWWLS_VAL_ENCRYPTION_GCMP, "GCMP" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngSecurityEncryptionType = { 4, rscmwwls_rngSecurityEncryptionTypeEntries };

RsCoreRangeTableRanged rscmwwls_rngPortNumber = { 1, 65535, "" };

RsCoreRangeTableRanged rscmwwls_rngMixerLevelOffset = { -10, 12, "dB" };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngConnectionModeEntries[2] =
  {
    { RSCMWWLS_VAL_CONNECTION_MODE_ACON, "ACON" },
    { RSCMWWLS_VAL_CONNECTION_MODE_MAN, "MAN" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngConnectionMode = { 2, rscmwwls_rngConnectionModeEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngOperationModeEntries[3] =
  {
    { RSCMWWLS_VAL_OPERATION_MODE_AP, "AP" },
    { RSCMWWLS_VAL_OPERATION_MODE_STATION, "STAT" },
    { RSCMWWLS_VAL_OPERATION_MODE_WIFI_HOTSPOT, "HSP" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngOperationMode = { 3, rscmwwls_rngOperationModeEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngRFTXMIMOModeEntries[2] =
  {
    { RSCMWWLS_VAL_TX_MIMO_SPATIAL_MULTIPLEXING, "SMUL" },
    { RSCMWWLS_VAL_TX_MIMO_SPACE_TIME_BLOCK_CODING, "STBC" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngRFTXMIMOMode = { 2, rscmwwls_rngRFTXMIMOModeEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngTriggerModeEntries[7] =
  {
    { RSCMWWLS_VAL_TRIGGER_MODE_ALL_BURSTS, "ABUR" },
    { RSCMWWLS_VAL_TRIGGER_MODE_ONLY_OFDM, "OBUR" },
    { RSCMWWLS_VAL_TRIGGER_MODE_ONLY_DSSS, "DCB" },
    { RSCMWWLS_VAL_TRIGGER_MODE_ONLY_NHT, "NHTB" },
    { RSCMWWLS_VAL_TRIGGER_MODE_ONLY_HT, "HTB" },
    { RSCMWWLS_VAL_TRIGGER_MODE_ONLY_VHT, "VHTB" },
    { RSCMWWLS_VAL_TRIGGER_MODE_ONLY_HES, "HESB" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngTriggerMode = { 7, rscmwwls_rngTriggerModeEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngRadiusServerModeEntries[2] =
  {
    { RSCMWWLS_VAL_RADIUS_SERVER_INTERNAL, "INT" },
    { RSCMWWLS_VAL_RADIUS_SERVER_EXTERNAL, "EXT" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngRadiusServerMode = { 2, rscmwwls_rngRadiusServerModeEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngHotspotNumberOfDigitsEntries[2] =
  {
    { RSCMWWLS_VAL_DIGITS_TWO, "TWD" },
    { RSCMWWLS_VAL_DIGITS_THREE, "THD" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngHotspotNumberOfDigits = { 2, rscmwwls_rngHotspotNumberOfDigitsEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngPacketGeneratorIPVersionEntries[2] =
  {
    { RSCMWWLS_VAL_IPV4, "IV4" },
    { RSCMWWLS_VAL_IPV6, "IV6" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngPacketGeneratorIPVersion = { 2, rscmwwls_rngPacketGeneratorIPVersionEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngIPVersionSupportEntries[3] =
  {
    { RSCMWWLS_VAL_IP_VERSION_4, "IV4" },
    { RSCMWWLS_VAL_IP_VERSION_6, "IV6" },
    { RSCMWWLS_VAL_IP_VERSION_BOTH, "IV4V6" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngIPVersionSupport = { 3, rscmwwls_rngIPVersionSupportEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngDAUSegmentNumberEntries[3] =
  {
    { RSCMWWLS_VAL_DAU_SEGMENT_A, "A" },
    { RSCMWWLS_VAL_DAU_SEGMENT_B, "B" },
    { RSCMWWLS_VAL_DAU_SEGMENT_C, "C" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngDAUSegmentNumber = { 3, rscmwwls_rngDAUSegmentNumberEntries };

RsCoreRangeTableRanged rscmwwls_rngDAUNodeID = { 1, 254, "" };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngTxTriggerPulseLengthEntries[3] =
  {
    { RSCMWWLS_VAL_PULSE_LENGTH_DEF, "DEF" },
    { RSCMWWLS_VAL_PULSE_LENGTH_UDEF, "UDEF" },
    { RSCMWWLS_VAL_PULSE_LENGTH_BLEN, "BLEN" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngTxTriggerPulseLength = { 3, rscmwwls_rngTxTriggerPulseLengthEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngOperatingChannelWidthEntries[4] =
  {
    { RSCMWWLS_VAL_BANDWIDTH_20_MHZ, "BW20" },
    { RSCMWWLS_VAL_BANDWIDTH_40_MHZ, "BW40" },
    { RSCMWWLS_VAL_BANDWIDTH_80_MHZ, "BW80" },
    { RSCMWWLS_VAL_BANDWIDTH_160_MHZ, "BW160" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngOperatingChannelWidth = { 4, rscmwwls_rngOperatingChannelWidthEntries };

RsCoreRangeTableRanged rscmwwls_rngRFNp20Index = { 0, 1, "" };

RsCoreRangeTableRanged rscmwwls_rngRFNp20Frequency = { 70.0e6, 6.0e9, "Hz" };

RsCoreRangeTableRanged rscmwwls_rngRFFrequencyOffset = { -100000, 100000, "Hz" };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngMessageMonitoringLoggingPCIPv4AddressEntries[3] =
  {
    { RSCMWWLS_VAL_ADDRESS_POOL_INDEX_1, "IP1" },
    { RSCMWWLS_VAL_ADDRESS_POOL_INDEX_2, "IP2" },
    { RSCMWWLS_VAL_ADDRESS_POOL_INDEX_3, "IP3" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngMessageMonitoringLoggingPCIPv4Address = { 3, rscmwwls_rngMessageMonitoringLoggingPCIPv4AddressEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngUsedDefinedVHTSupportedRatesEntries[3] =
  {
    { RSCMWWLS_VAL_VHT_MC07, "MC07" },
    { RSCMWWLS_VAL_VHT_MC08, "MC08" },
    { RSCMWWLS_VAL_VHT_MC09, "MC09" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngUsedDefinedVHTSupportedRates = { 3, rscmwwls_rngUsedDefinedVHTSupportedRatesEntries };

RsCoreRangeTableRanged rscmwwls_rngBSSColor = { 0, 63, "" };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngMCSEntries[12] =
  {
    { RSCMWWLS_VAL_MCS1, "MCS1" },
    { RSCMWWLS_VAL_MCS2, "MCS2" },
    { RSCMWWLS_VAL_MCS3, "MCS3" },
    { RSCMWWLS_VAL_MCS4, "MCS4" },
    { RSCMWWLS_VAL_MCS5, "MCS5" },
    { RSCMWWLS_VAL_MCS6, "MCS6" },
    { RSCMWWLS_VAL_MCS7, "MCS7" },
    { RSCMWWLS_VAL_MCS8, "MCS8" },
    { RSCMWWLS_VAL_MCS9, "MCS9" },
    { RSCMWWLS_VAL_MCS10, "MCS10" },
    { RSCMWWLS_VAL_MCS11, "MCS11" },
    { RSCMWWLS_VAL_MCS, "MCS" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngMCS = { 12, rscmwwls_rngMCSEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngCodingTypeEntries[2] =
  {
    { RSCMWWLS_CODING_TYPE_LDPC, "LDPC" },
    { RSCMWWLS_CODING_TYPE_BCC, "BCC" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngCodingType = { 2, rscmwwls_rngCodingTypeEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngDataFrameStreamsEntries[2] =
  {
    { RSCMWWLS_VAL_STREAM1, "STR1" },
    { RSCMWWLS_VAL_STREAM2, "STR2" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngDataFrameStreams = { 2, rscmwwls_rngDataFrameStreamsEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngTriggerFrameTriggerTypeEntries[5] =
  {
    { RSCMWWLS_VAL_TRIGGER_BTR, "BTR" },
    { RSCMWWLS_VAL_TRIGGER_BRP, "BRP" },
    { RSCMWWLS_VAL_TRIGGER_MRTS, "MRTS" },
    { RSCMWWLS_VAL_TRIGGER_BSRP, "BSRP" },
    { RSCMWWLS_VAL_TRIGGER_BQRP, "BQRP" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngTriggerFrameTriggerType = { 5, rscmwwls_rngTriggerFrameTriggerTypeEntries };

RsCoreRangeTableRanged rscmwwls_rngTriggerFrameNumberOfSymbols = { 1, 330, "" };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngTriggerFrameBandwidthEntries[4] =
  {
    { RSCMWWLS_VAL_BW20, "BW20" },
    { RSCMWWLS_VAL_BW40, "BW40" },
    { RSCMWWLS_VAL_BW80, "BW80" },
    { RSCMWWLS_VAL_BW160, "BW160" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngTriggerFrameBandwidth = { 4, rscmwwls_rngTriggerFrameBandwidthEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngTriggerFrameGILTFEntries[3] =
  {
    { RSCMWWLS_VAL_GILTF_L116, "L116" },
    { RSCMWWLS_VAL_GILTF_L216, "L216" },
    { RSCMWWLS_VAL_GILTF_L432, "L432" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngTriggerFrameGILTF = { 3, rscmwwls_rngTriggerFrameGILTFEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngTriggerFrameMUMIMOLTFEntries[2] =
  {
    { RSCMWWLS_MUMIMO_LTF_SINGLE, "SING" },
    { RSCMWWLS_MUMIMO_LTF_MASK, "MASK" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngTriggerFrameMUMIMOLTF = { 2, rscmwwls_rngTriggerFrameMUMIMOLTFEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngTriggerFrameRUAllocationEntries[69] =
  {
    { RSCMWWLS_VAL_RU_ALLOCATION_RU0, "RU0" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU1, "RU1" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU2, "RU2" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU3, "RU3" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU4, "RU4" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU5, "RU5" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU6, "RU6" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU7, "RU7" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU8, "RU8" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU9, "RU9" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU10, "RU10" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU11, "RU11" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU12, "RU12" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU13, "RU13" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU14, "RU14" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU15, "RU15" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU16, "RU16" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU17, "RU17" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU18, "RU18" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU19, "RU19" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU20, "RU20" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU21, "RU21" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU22, "RU22" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU23, "RU23" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU24, "RU24" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU25, "RU25" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU26, "RU26" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU27, "RU27" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU28, "RU28" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU29, "RU29" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU30, "RU30" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU31, "RU31" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU32, "RU32" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU33, "RU33" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU34, "RU34" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU35, "RU35" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU36, "RU36" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU37, "RU37" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU38, "RU38" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU39, "RU39" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU40, "RU40" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU41, "RU41" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU42, "RU42" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU43, "RU43" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU44, "RU44" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU45, "RU45" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU46, "RU46" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU47, "RU47" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU48, "RU48" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU49, "RU49" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU50, "RU50" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU51, "RU51" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU52, "RU52" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU53, "RU53" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU54, "RU54" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU55, "RU55" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU56, "RU56" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU57, "RU57" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU58, "RU58" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU59, "RU59" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU60, "RU60" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU61, "RU61" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU62, "RU62" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU63, "RU63" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU64, "RU64" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU65, "RU65" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU66, "RU66" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU67, "RU67" },
    { RSCMWWLS_VAL_RU_ALLOCATION_RU68, "RU68" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngTriggerFrameRUAllocation = { 69, rscmwwls_rngTriggerFrameRUAllocationEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngTriggerFrameCodingTypeEntries[2] =
  {
    { RSCMWWLS_VAL_CODING_TYPE_BCC, "BCC" },
    { RSCMWWLS_VAL_CODING_TYPE_LDPC, "LDPC" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngTriggerFrameCodingType = { 2, rscmwwls_rngTriggerFrameCodingTypeEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngTriggerFrameTargetRSSIModeEntries[3] =
  {
    { RSCMWWLS_VAL_MODE_AUTO, "AUTO" },
    { RSCMWWLS_VAL_MODE_MANUAL, "MAN" },
    { RSCMWWLS_VAL_MODE_MAXPOWER, "MAXP" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngTriggerFrameTargetRSSIMode = { 3, rscmwwls_rngTriggerFrameTargetRSSIModeEntries };

RsCoreRangeTableRanged rscmwwls_rngTriggerFrameTargetRSSIControl = { -30, 0, "" };

RsCoreRangeTableRanged rscmwwls_rngTriggerFrameTransmissionPeriodicalInterval = { 1, 10e+3, "ms" };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngTIDEntries[8] =
  {
    { RSCMWWLS_VAL_TID0, "TID0" },
    { RSCMWWLS_VAL_TID1, "TID1" },
    { RSCMWWLS_VAL_TID2, "TID2" },
    { RSCMWWLS_VAL_TID3, "TID3" },
    { RSCMWWLS_VAL_TID4, "TID4" },
    { RSCMWWLS_VAL_TID5, "TID5" },
    { RSCMWWLS_VAL_TID6, "TID6" },
    { RSCMWWLS_VAL_TID7, "TID7" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngTID = { 8, rscmwwls_rngTIDEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngQOSTIDPrioritizationModeEntries[3] =
  {
    { RSCMWWLS_VAL_PRIORITIZATION_MODE_ROUND_ROBIN, "ROUR" },
    { RSCMWWLS_VAL_PRIORITIZATION_MODE_TID_PRIORITY, "TIDP" },
    { RSCMWWLS_VAL_PRIORITIZATION_MODE_AUTO, "AUTO" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngQOSTIDPrioritizationMode = { 3, rscmwwls_rngQOSTIDPrioritizationModeEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngQOSTIDBARMethodEntries[3] =
  {
    { RSCMWWLS_VAL_BAR_IMPLICIT, "IMPB" },
    { RSCMWWLS_VAL_BAR_EXPLICIT, "EXPB" },
    { RSCMWWLS_VAL_BAR_MULTI_USER, "MUB" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngQOSTIDBARMethod = { 3, rscmwwls_rngQOSTIDBARMethodEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngHTSmoothingEntries[2] =
  {
    { RSCMWWLS_VAL_HT_SMOOTHING_NOT_RECOMMENDED, "NREC" },
    { RSCMWWLS_VAL_HT_SMOOTHING_RECOMMENDED, "REC" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngHTSmoothing = { 2, rscmwwls_rngHTSmoothingEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngTriggerBandwidthEntries[7] =
  {
    { RSCMWWLS_VAL_TRIGGER_BANDWIDTH_OFF, "OFF" },
    { RSCMWWLS_VAL_TRIGGER_BANDWIDTH_ON, "ON" },
    { RSCMWWLS_VAL_TRIGGER_BANDWIDTH_ALL, "ALL" },
    { RSCMWWLS_VAL_TRIGGER_BANDWIDTH_20_MHZ, "BW20" },
    { RSCMWWLS_VAL_TRIGGER_BANDWIDTH_40_MHZ, "BW40" },
    { RSCMWWLS_VAL_TRIGGER_BANDWIDTH_80_MHZ, "BW80" },
    { RSCMWWLS_VAL_TRIGGER_BANDWIDTH_160_MHZ, "BW160" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngTriggerBandwidth = { 7, rscmwwls_rngTriggerBandwidthEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngRXTriggerRateEntries[31] =
  {
    { RSCMWWLS_VAL_TRIGGER_RATE_OFF, "OFF" },
    { RSCMWWLS_VAL_TRIGGER_RATE_ON, "ON" },
    { RSCMWWLS_VAL_TRIGGER_RATE_ALL, "ALL" },
    { RSCMWWLS_VAL_TRIGGER_RATE_BR12, "BR12" },
    { RSCMWWLS_VAL_TRIGGER_RATE_QR12, "QR12" },
    { RSCMWWLS_VAL_TRIGGER_RATE_QR34, "QR34" },
    { RSCMWWLS_VAL_TRIGGER_RATE_Q1M12, "Q1M12" },
    { RSCMWWLS_VAL_TRIGGER_RATE_Q1M34, "Q1M34" },
    { RSCMWWLS_VAL_TRIGGER_RATE_Q6M23, "Q6M23" },
    { RSCMWWLS_VAL_TRIGGER_RATE_Q6M34, "Q6M34" },
    { RSCMWWLS_VAL_TRIGGER_RATE_BR34, "BR34" },
    { RSCMWWLS_VAL_TRIGGER_RATE_MCS0, "MCS0" },
    { RSCMWWLS_VAL_TRIGGER_RATE_MCS1, "MCS1" },
    { RSCMWWLS_VAL_TRIGGER_RATE_MCS2, "MCS2" },
    { RSCMWWLS_VAL_TRIGGER_RATE_MCS3, "MCS3" },
    { RSCMWWLS_VAL_TRIGGER_RATE_MCS4, "MCS4" },
    { RSCMWWLS_VAL_TRIGGER_RATE_MCS5, "MCS5" },
    { RSCMWWLS_VAL_TRIGGER_RATE_MCS6, "MCS6" },
    { RSCMWWLS_VAL_TRIGGER_RATE_MCS7, "MCS7" },
    { RSCMWWLS_VAL_TRIGGER_RATE_MCS8, "MCS8" },
    { RSCMWWLS_VAL_TRIGGER_RATE_MCS9, "MCS9" },
    { RSCMWWLS_VAL_TRIGGER_RATE_MCS10, "MCS10" },
    { RSCMWWLS_VAL_TRIGGER_RATE_MCS11, "MCS11" },
    { RSCMWWLS_VAL_TRIGGER_RATE_MCS12, "MCS12" },
    { RSCMWWLS_VAL_TRIGGER_RATE_MCS13, "MCS13" },
    { RSCMWWLS_VAL_TRIGGER_RATE_MCS14, "MCS14" },
    { RSCMWWLS_VAL_TRIGGER_RATE_MCS15, "MCS15" },
    { RSCMWWLS_VAL_TRIGGER_RATE_D1MB, "D1MB" },
    { RSCMWWLS_VAL_TRIGGER_RATE_D2MB, "D2MB" },
    { RSCMWWLS_VAL_TRIGGER_RATE_C55M, "C55M" },
    { RSCMWWLS_VAL_TRIGGER_RATE_C11M, "C11M" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngRXTriggerRate = { 31, rscmwwls_rngRXTriggerRateEntries };

RsCoreRangeTableRanged rscmwwls_rngHETBNumberOfFrames = { 1, 2000, "" };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngMeasurementStateEntries[3] =
  {
    { RSCMWWLS_VAL_MEAS_STATE_OFF, "OFF" },
    { RSCMWWLS_VAL_MEAS_STATE_RUN, "RUN" },
    { RSCMWWLS_VAL_MEAS_STATE_RDY, "RDY" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngMeasurementState = { 3, rscmwwls_rngMeasurementStateEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngAssociationStationPriorityEntries[2] =
  {
    { RSCMWWLS_VAL_STATION_PRIORITY_AUTO, "AUTO" },
    { RSCMWWLS_VAL_STATION_PRIORITY_ROUR, "ROUR" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngAssociationStationPriority = { 2, rscmwwls_rngAssociationStationPriorityEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngNDPSoundingBandwidthEntries[4] =
  {
    { RSCMWWLS_VAL_NDPS_BW_BW20, "BW20" },
    { RSCMWWLS_VAL_NDPS_BW_BW40, "BW40" },
    { RSCMWWLS_VAL_NDPS_BW_BW80, "BW80" },
    { RSCMWWLS_VAL_NDPS_BW_BW160, "BW160" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngNDPSoundingBandwidth = { 4, rscmwwls_rngNDPSoundingBandwidthEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngNDPSoundingCodebookSizeEntries[2] =
  {
    { RSCMWWLS_VAL_NDPS_CODEBOOK_SIZE0, "SIZE0" },
    { RSCMWWLS_VAL_NDPS_CODEBOOK_SIZE1, "SIZE1" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngNDPSoundingCodebookSize = { 2, rscmwwls_rngNDPSoundingCodebookSizeEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngNDPSoundingGILTFEntries[3] =
  {
    { RSCMWWLS_VAL_NDPS_LTFGI_L208, "L208" },
    { RSCMWWLS_VAL_NDPS_LTFGI_L216, "L216" },
    { RSCMWWLS_VAL_NDPS_LTFGI_L432, "L432" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngNDPSoundingGILTF = { 3, rscmwwls_rngNDPSoundingGILTFEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngNDPSoundingFeedbackMethodEntries[2] =
  {
    { RSCMWWLS_VAL_NDPS_METHOD_NONT, "NONT" },
    { RSCMWWLS_VAL_NDPS_METHOD_TBAS, "TBAS" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngNDPSoundingFeedbackMethod = { 2, rscmwwls_rngNDPSoundingFeedbackMethodEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngNDPSoundingNumberOfColumnsEntries[2] =
  {
    { RSCMWWLS_VAL_NDPS_COLUMNS_0, "COL0" },
    { RSCMWWLS_VAL_NDPS_COLUMNS_1, "COL1" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngNDPSoundingNumberOfColumns = { 2, rscmwwls_rngNDPSoundingNumberOfColumnsEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngNDPSoundingSpatialStreamsEntries[2] =
  {
    { RSCMWWLS_VAL_NDPS_SPATIAL_STREAM1, "STR1" },
    { RSCMWWLS_VAL_NDPS_SPATIAL_STREAM2, "STR2" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngNDPSoundingSpatialStreams = { 2, rscmwwls_rngNDPSoundingSpatialStreamsEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngNDPSoundingSubcarrierGroupingEntries[2] =
  {
    { RSCMWWLS_VAL_NDPS_SUBCARRIER_GRP4, "GRP4" },
    { RSCMWWLS_VAL_NDPS_SUBCARRIER_GRP16, "GRP16" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngNDPSoundingSubcarrierGrouping = { 2, rscmwwls_rngNDPSoundingSubcarrierGroupingEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngNDPSoundingStationEntries[3] =
  {
    { RSCMWWLS_VAL_NDPS_TARGET_STA1, "STA1" },
    { RSCMWWLS_VAL_NDPS_TARGET_STA2, "STA2" },
    { RSCMWWLS_VAL_NDPS_TARGET_STA3, "STA3" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngNDPSoundingStation = { 3, rscmwwls_rngNDPSoundingStationEntries };

RsCoreRangeTableRanged rscmwwls_rngNDPSoundingTransmissionInterval = { 1, 10.0e3, "ms" };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngNDPSoundingReportTypeEntries[3] =
  {
    { RSCMWWLS_VAL_NDPS_REPORT_TYPE_SU, "SU" },
    { RSCMWWLS_VAL_NDPS_REPORT_TYPE_MU, "MU" },
    { RSCMWWLS_VAL_NDPS_REPORT_TYPE_CQI, "CQI" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngNDPSoundingReportType = { 3, rscmwwls_rngNDPSoundingReportTypeEntries };

RsCoreRangeTableRanged rscmwwls_rngFadingAWGNBandwidthRatio = { 1, 1000, "" };

RsCoreRangeTableRanged rscmwwls_rngFadingAWGNSignalNoiseRatio = { 0.0, 40.0, "dB" };

RsCoreRangeTableRanged rscmwwls_rngFadingSimulatorInsertionLoss = { -3.02, 30.0, "dB" };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngFadingSimulatorProfileEntries[6] =
  {
    { RSCMWWLS_VAL_FSIM_PROFILE_MODA, "MODA" },
    { RSCMWWLS_VAL_FSIM_PROFILE_MODB, "MODB" },
    { RSCMWWLS_VAL_FSIM_PROFILE_MODC, "MODC" },
    { RSCMWWLS_VAL_FSIM_PROFILE_MODD, "MODD" },
    { RSCMWWLS_VAL_FSIM_PROFILE_MODE, "MODE" },
    { RSCMWWLS_VAL_FSIM_PROFILE_MODF, "MODF" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngFadingSimulatorProfile = { 6, rscmwwls_rngFadingSimulatorProfileEntries };

RsCoreRangeTableRanged rscmwwls_rngPERPayloadSize_001 = { 0, 0, "" };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngPERDestinationStationEntries[3] =
  {
    { RSCMWWLS_VAL_PER_DEST_STA1, "STA1" },
    { RSCMWWLS_VAL_PER_DEST_STA2, "STA2" },
    { RSCMWWLS_VAL_PER_DEST_STA3, "STA3" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngPERDestinationStation = { 3, rscmwwls_rngPERDestinationStationEntries };

RsCoreRangeTableRanged rscmwwls_rngInputAntennaExternalAttenuation = { -50.0, 55.0, "dB" };

RsCoreRangeTableRanged rscmwwls_rngOutputAntennaExternalAttenuation = { -50.0, 90.0, "dB" };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngPacketGeneratorDestinationEntries[3] =
  {
    { RSCMWWLS_VAL_PGEN_DESTINATION_STA1, "STA1" },
    { RSCMWWLS_VAL_PGEN_DESTINATION_STA2, "STA2" },
    { RSCMWWLS_VAL_PGEN_DESTINATION_STA3, "STA3" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngPacketGeneratorDestination = { 3, rscmwwls_rngPacketGeneratorDestinationEntries };

RsCoreRangeTableRanged rscmwwls_rngAntennaExpectedNominalPower = { -20.0, 55.0, "dBm" };

RsCoreRangeTableRanged rscmwwls_rngAntennaMixerLevelOffset = { -10.0, 12.0, "dB" };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngRFBandEntries[2] =
  {
    { RSCMWWLS_VAL_RF_BAND_BS6GHZ, "BS6G" },
    { RSCMWWLS_VAL_RF_BAND_B6GHZ, "B6GH" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngRFBand = { 2, rscmwwls_rngRFBandEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngRXTriggerDelayTypeEntries[2] =
  {
    { RSCMWWLS_VAL_TRIGGER_DELAY_TYPE_BURST, "BURS" },
    { RSCMWWLS_VAL_TRIGGER_DELAY_TYPE_CONSTANT, "CONS" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngRXTriggerDelayType = { 2, rscmwwls_rngRXTriggerDelayTypeEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngRXTriggerSpatialStreamsEntries[5] =
  {
    { RSCMWWLS_VAL_TRIGGER_SPATIAL_STREAMS_ALL, "ALL" },
    { RSCMWWLS_VAL_TRIGGER_SPATIAL_STREAMS_STR1, "STR1" },
    { RSCMWWLS_VAL_TRIGGER_SPATIAL_STREAMS_STR2, "STR2" },
    { RSCMWWLS_VAL_TRIGGER_SPATIAL_STREAMS_ON, "ON" },
    { RSCMWWLS_VAL_TRIGGER_SPATIAL_STREAMS_OFF, "OFF" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngRXTriggerSpatialStreams = { 5, rscmwwls_rngRXTriggerSpatialStreamsEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngScenarioEntries[4] =
  {
    { RSCMWWLS_VAL_RF_SCENARIO_STANDARD, "STAN" },
    { RSCMWWLS_VAL_RF_SCENARIO_MIMO2, "MIMO2" },
    { RSCMWWLS_VAL_RF_SCENARIO_SCF, "SCF" },
    { RSCMWWLS_VAL_RF_SCENARIO_MIMF, "MIMF" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngScenario = { 4, rscmwwls_rngScenarioEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngSecurityTypeEntries[9] =
  {
    { RSCMWWLS_VAL_SECURITY_TYPE_DISABLED, "DIS" },
    { RSCMWWLS_VAL_SECURITY_TYPE_AUTO, "AUTO" },
    { RSCMWWLS_VAL_SECURITY_TYPE_WPA_PERSONAL, "WPER" },
    { RSCMWWLS_VAL_SECURITY_TYPE_WPA_ENTERPRISE, "WENT" },
    { RSCMWWLS_VAL_SECURITY_TYPE_WPA2_PERSONAL, "W2P" },
    { RSCMWWLS_VAL_SECURITY_TYPE_WPA2_ENTERPRISE, "W2EN" },
    { RSCMWWLS_VAL_SECURITY_TYPE_OWE, "OWE" },
    { RSCMWWLS_VAL_SECURITY_TYPE_WPA3_PERSONAL, "W3P" },
    { RSCMWWLS_VAL_SECURITY_TYPE_WPA3_ENTERPRISE, "W3EN" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngSecurityType = { 9, rscmwwls_rngSecurityTypeEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngGroupTransformEntries[2] =
  {
    { RSCMWWLS_VAL_GROUP_TRANSFORM_ECP256, "ECP256" },
    { RSCMWWLS_VAL_GROUP_TRANSFORM_ECP384, "ECP384" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngGroupTransform = { 2, rscmwwls_rngGroupTransformEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngSAEAuthenticationEntries[3] =
  {
    { RSCMWWLS_VAL_SAE_AUTHENTICATION_HUNT, "HUNT" },
    { RSCMWWLS_VAL_SAE_AUTHENTICATION_H2E, "H2E" },
    { RSCMWWLS_VAL_SAE_AUTHENTICATION_BOTH, "BOTH" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngSAEAuthentication = { 3, rscmwwls_rngSAEAuthenticationEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngKeyModeEntries[2] =
  {
    { RSCMWWLS_VAL_KEY_MODE_RANDOM, "RAND" },
    { RSCMWWLS_VAL_KEY_MODE_FIXED, "FIX" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngKeyMode = { 2, rscmwwls_rngKeyModeEntries };

static RsCoreRangeTableDiscreteEntry rscmwwls_rngProtectionManagmentFramesEntries[3] =
  {
    { RSCMWWLS_VAL_PROTECTION_MANAGMENT_FRAMES_UNSUPPORTED, "UNS" },
    { RSCMWWLS_VAL_PROTECTION_MANAGMENT_FRAMES_SUPPORTED, "SUPP" },
    { RSCMWWLS_VAL_PROTECTION_MANAGMENT_FRAMES_REQUIRED, "REQ" }
  };
RsCoreRangeTableDiscrete rscmwwls_rngProtectionManagmentFrames = { 3, rscmwwls_rngProtectionManagmentFramesEntries };


/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/

RsCoreAttribute  g_RS_ATTR_RANGE_CHECK =
  {
    RS_ATTR_RANGE_CHECK,
    "Range Check",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_QUERY_INSTRUMENT_STATUS =
  {
    RS_ATTR_QUERY_INSTRUMENT_STATUS,
    "Query Instrument Status",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SIMULATE =
  {
    RS_ATTR_SIMULATE,
    "Simulate",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION =
  {
    RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
    "Driver Description",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_PREFIX =
  {
    RS_ATTR_SPECIFIC_DRIVER_PREFIX,
    "Driver Prefix",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_LOCATOR =
  {
    RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
    "Driver Locator",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_VENDOR =
  {
    RS_ATTR_SPECIFIC_DRIVER_VENDOR,
    "Driver Vendor",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_REVISION =
  {
    RS_ATTR_SPECIFIC_DRIVER_REVISION,
    "Driver Revision",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
    "Class Specification Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
    "Class Specification Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS =
  {
    RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
    "Supported Instrument Models",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_GROUP_CAPABILITIES =
  {
    RS_ATTR_GROUP_CAPABILITIES,
    "Class Group Capabilities",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_FUNCTION_CAPABILITIES =
  {
    RS_ATTR_FUNCTION_CAPABILITIES,
    "Function Capabilities",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_CHANNEL_COUNT =
  {
    RS_ATTR_CHANNEL_COUNT,
    "Channel Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_DRIVER_SETUP =
  {
    RS_ATTR_DRIVER_SETUP,
    "Driver Setup",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_INSTRUMENT_MANUFACTURER =
  {
    RS_ATTR_INSTRUMENT_MANUFACTURER,
    "Instrument Manufacturer",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Rohde&Schwarz",
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_INSTRUMENT_MODEL =
  {
    RS_ATTR_INSTRUMENT_MODEL,
    "Instrument Model",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION =
  {
    RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
    "Instrument Firmware Revision",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_OPTIONS_LIST =
  {
    RS_ATTR_OPTIONS_LIST,
    "Options List",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_IO_RESOURCE_DESCRIPTOR =
  {
    RS_ATTR_IO_RESOURCE_DESCRIPTOR,
    "Resource Descriptor",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_LOGICAL_NAME =
  {
    RS_ATTR_LOGICAL_NAME,
    "Logical Name",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_PRIMARY_ERROR =
  {
    RS_ATTR_PRIMARY_ERROR,
    "Primary Error",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SECONDARY_ERROR =
  {
    RS_ATTR_SECONDARY_ERROR,
    "Secondary Error",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ERROR_ELABORATION =
  {
    RS_ATTR_ERROR_ELABORATION,
    "Error Elaboration",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
    "Driver Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
    "Driver Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
    "Driver Minor Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION =
  {
    RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
    "Class Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_CLASS_DRIVER_MINOR_VERSION =
  {
    RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
    "Class Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ENGINE_MAJOR_VERSION =
  {
    RS_ATTR_ENGINE_MAJOR_VERSION,
    "Engine Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ENGINE_MINOR_VERSION =
  {
    RS_ATTR_ENGINE_MINOR_VERSION,
    "Engine Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ENGINE_REVISION =
  {
    RS_ATTR_ENGINE_REVISION,
    "Engine Revision",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_OPC_TIMEOUT =
  {
    RS_ATTR_OPC_TIMEOUT,
    "Operation Complete (OPC) Timeout",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_SIGNALING_END_TO_END =
  {
    RSCMWWLS_ATTR_SIGNALING_END_TO_END,
    "Signaling End To End",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:ETOE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_RF_SIGNAL_FREQUENCY =
  {
    RSCMWWLS_ATTR_RF_SIGNAL_FREQUENCY,
    "RF Signal Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:RFS:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2.5E+006,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_RF_FREQUENCY_OFFSET =
  {
    RSCMWWLS_ATTR_RF_FREQUENCY_OFFSET,
    "RF Frequency Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rscmwwls_rngRFFrequencyOffset, NULL,
    "CONF:WLAN:SIGN{instance}:RFS:FOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_QUERY_RF_SIGNAL_BANDWIDTH =
  {
    RSCMWWLS_ATTR_QUERY_RF_SIGNAL_BANDWIDTH,
    "Query RF Signal Bandwidth",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:RFS:BWID?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2.0E+007,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_RF_OPERATING_CHANNEL_WIDTH =
  {
    RSCMWWLS_ATTR_RF_OPERATING_CHANNEL_WIDTH,
    "RF Operating Channel Width",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngOperatingChannelWidth, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:RFS:OCW",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_BANDWIDTH_20_MHZ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_RF_BAND =
  {
    RSCMWWLS_ATTR_RF_BAND,
    "RF Band",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngRFBand, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:RFS:BAND",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_RF_BAND_BS6GHZ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_RF_SIGNAL_BURST_POWER_DOWNLINK =
  {
    RSCMWWLS_ATTR_RF_SIGNAL_BURST_POWER_DOWNLINK,
    "RF Signal Burst Power Downlink",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:RFS:BOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -40.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_RF_SIGNAL_CHANNEL =
  {
    RSCMWWLS_ATTR_RF_SIGNAL_CHANNEL,
    "RF Signal Channel",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rscmwwls_rngRFSignalChannel, NULL,
    "CONF:WLAN:SIGN{instance}:RFS:CHAN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_RF_NP20_INDEX =
  {
    RSCMWWLS_ATTR_RF_NP20_INDEX,
    "RF Np20 Index",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rscmwwls_rngRFNp20Index, NULL,
    "CONF:WLAN:SIGN{instance}:RFS:NPIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_RF_NP20_FREQUENCY =
  {
    RSCMWWLS_ATTR_RF_NP20_FREQUENCY,
    "RF Np20 Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwls_rngRFNp20Frequency, NULL,
    "CONF:WLAN:SIGN{instance}:RFS:NPFR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    70.0e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_RF_NP20_CHANNEL =
  {
    RSCMWWLS_ATTR_RF_NP20_CHANNEL,
    "RF Np20 Channel",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rscmwwls_rngRFSignalChannel, NULL,
    "CONF:WLAN:SIGN{instance}:RFS:NPCH",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_RF_TX_MIMO_MODE =
  {
    RSCMWWLS_ATTR_RF_TX_MIMO_MODE,
    "RF TX MIMO Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngRFTXMIMOMode, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:MIMO:TMM",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_TX_MIMO_SPATIAL_MULTIPLEXING,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_RF_TX2_TX1_POWER_RATIO =
  {
    RSCMWWLS_ATTR_RF_TX2_TX1_POWER_RATIO,
    "RF TX2 TX1 Power Ratio",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:RFS:TSR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_QUERY_ACTIVE_SCENARIO =
  {
    RSCMWWLS_ATTR_QUERY_ACTIVE_SCENARIO,
    "Query Active Scenario",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rscmwwls_rngScenario, NULL, NULL,
    "ROUT:WLAN:SIGN{instance}:SCEN?",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_RF_SCENARIO_STANDARD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_RF_SIGNAL_ROUTING_STANDARD_CELL_FADING =
  {
    RSCMWWLS_ATTR_RF_SIGNAL_ROUTING_STANDARD_CELL_FADING,
    "RF Signal Routing Standard Cell Fading",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "ROUT:WLAN:SIGN{instance}:SCEN:SCF:FLEX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "SUA1,RF1C,RX1,RF1C,TX1,FAD1",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_RF_SIGNAL_ROUTING_MIMO_2X2_FADING =
  {
    RSCMWWLS_ATTR_RF_SIGNAL_ROUTING_MIMO_2X2_FADING,
    "RF Signal Routing MIMO 2x2 Fading",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "ROUT:WLAN:SIGN{instance}:SCEN:MIMF:FLEX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "SUA1,RF1C,RX1,RF1C,TX1,RF2C,TX1,RF1C,RX1,FAD1",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_INPUT_ANTENNA_EXTERNAL_ATTENUATION =
  {
    RSCMWWLS_ATTR_INPUT_ANTENNA_EXTERNAL_ATTENUATION,
    "Input Antenna External Attenuation",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwls_rngInputAntennaExternalAttenuation, NULL,
    "CONF:WLAN:SIGN{instance}:RFS:ANT{antenna}:EATT:INP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_OUTPUT_ANTENNA_EXTERNAL_ATTENUATION =
  {
    RSCMWWLS_ATTR_OUTPUT_ANTENNA_EXTERNAL_ATTENUATION,
    "Output Antenna External Attenuation",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwls_rngOutputAntennaExternalAttenuation, NULL,
    "CONF:WLAN:SIGN{instance}:RFS:ANT{antenna}:EATT:OUTP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_ANTENNA_EXPECTED_NOMINAL_POWER =
  {
    RSCMWWLS_ATTR_ANTENNA_EXPECTED_NOMINAL_POWER,
    "Antenna Expected Nominal Power",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwls_rngAntennaExpectedNominalPower, NULL,
    "CONF:WLAN:SIGN{instance}:RFS:ANT{antenna}:EPEP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_ANTENNA_APPROXIMATE_BURST_POWER =
  {
    RSCMWWLS_ATTR_ANTENNA_APPROXIMATE_BURST_POWER,
    "Antenna Approximate Burst Power",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS:WLAN:SIGN{instance}:UESinfo:ANT{antenna}:ARXB?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_ANTENNA_MIXER_LEVEL_OFFSET =
  {
    RSCMWWLS_ATTR_ANTENNA_MIXER_LEVEL_OFFSET,
    "Antenna Mixer Level Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwls_rngAntennaMixerLevelOffset, NULL,
    "CONF:WLAN:SIGN{instance}:RFS:ANT{antenna}:MLOF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_EXTERNAL_DAU_ENABLED =
  {
    RSCMWWLS_ATTR_EXTERNAL_DAU_ENABLED,
    "External DAU Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:EDAU:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_EXTERNAL_DAU_SEGMENT_NUMBER =
  {
    RSCMWWLS_ATTR_EXTERNAL_DAU_SEGMENT_NUMBER,
    "External DAU Segment Number",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngDAUSegmentNumber, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:EDAU:NSEG",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_DAU_SEGMENT_A,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_EXTERNAL_DAU_NODE_ID =
  {
    RSCMWWLS_ATTR_EXTERNAL_DAU_NODE_ID,
    "External DAU Node ID",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rscmwwls_rngDAUNodeID, NULL,
    "CONF:WLAN:SIGN{instance}:EDAU:NID",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_SIGNALING_MAIN_STATE =
  {
    RSCMWWLS_ATTR_SIGNALING_MAIN_STATE,
    "Signaling Main State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR:WLAN:SIGN{instance}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_SIGNALING_SELECTED_STATION =
  {
    RSCMWWLS_ATTR_SIGNALING_SELECTED_STATION,
    "Signaling Selected Station",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_CONNECT =
  {
    RSCMWWLS_ATTR_CONNECT,
    "Connect",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALL:WLAN:SIGN{instance}:ACT:STAT:CONN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_DUT_DISCONNECTION =
  {
    RSCMWWLS_ATTR_DUT_DISCONNECTION,
    "DUT Disconnection",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALL:WLAN:SIGN{instance}:STA<station>:ACT:DISC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rscmwwls_FormatSignalingStationRepCapNone_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_RECONNECT =
  {
    RSCMWWLS_ATTR_RECONNECT,
    "Reconnect",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALL:WLAN:SIGN{instance}:ACT:STAT:REC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_CONNECTION_OPERATION_MODE =
  {
    RSCMWWLS_ATTR_CONNECTION_OPERATION_MODE,
    "Operation Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngOperationMode, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:OMOD",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_OPERATION_MODE_AP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_CONNECTION_MULTI_STATION =
  {
    RSCMWWLS_ATTR_CONNECTION_MULTI_STATION,
    "Multi Station",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:MST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_CONNECTION_STANDARD =
  {
    RSCMWWLS_ATTR_CONNECTION_STANDARD,
    "Connection Standard",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngConnectionStandard, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:STAN",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_WLAN_AOFD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_BEACON_INTERVAL =
  {
    RSCMWWLS_ATTR_BEACON_INTERVAL,
    "Beacon Interval",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:BEAC",
    // Defaults I32, I64, Float, Bool, String
    100,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_BASIC_SERVICE_SET_IDENTIFIER =
  {
    RSCMWWLS_ATTR_BASIC_SERVICE_SET_IDENTIFIER,
    "Basic Service Set Identifier",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:BSS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "102030405",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rscmwwls_stringToHex_ReadCallback,
    rscmwwls_stringToHex_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_SERVICE_SET_IDENTIFIER =
  {
    RSCMWWLS_ATTR_SERVICE_SET_IDENTIFIER,
    "Service Set Identifier",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:SSID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "CMW-AP",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_BSS_COLOR =
  {
    RSCMWWLS_ATTR_BSS_COLOR,
    "BSS Color",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rscmwwls_rngBSSColor, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:BSSC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_COUNTRY_CODE_STATE =
  {
    RSCMWWLS_ATTR_COUNTRY_CODE_STATE,
    "Country Code State",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngDisableEnable, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:CCOD:CCST",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_DISABLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_CONNECTION_DTIM_PERIOD =
  {
    RSCMWWLS_ATTR_CONNECTION_DTIM_PERIOD,
    "Connection DTIM Period",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:DPER",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_HT_SMOOTHING =
  {
    RSCMWWLS_ATTR_HT_SMOOTHING,
    "HT Smoothing",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngHTSmoothing, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:SMO",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_HT_SMOOTHING_NOT_RECOMMENDED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_CONNECTION_MODE =
  {
    RSCMWWLS_ATTR_CONNECTION_MODE,
    "Connection Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngConnectionMode, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:STAT:CMOD",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_CONNECTION_MODE_ACON,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_SSID_CONNECTION =
  {
    RSCMWWLS_ATTR_SSID_CONNECTION,
    "SSID Connection",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngSSIDConnection, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:STAT:SCON",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_SSID_CONNECTION_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_CONNECTION_HOTSPOT_NUMBER_OF_DIGITS =
  {
    RSCMWWLS_ATTR_CONNECTION_HOTSPOT_NUMBER_OF_DIGITS,
    "Connection Hotspot Number Of Digits",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngHotspotNumberOfDigits, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:HOTS:MND",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_DIGITS_TWO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_USER_DEFINED_SUPPORTED_RATES =
  {
    RSCMWWLS_ATTR_USER_DEFINED_SUPPORTED_RATES,
    "User Defined Supported Rates",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngDisableEnable, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:SRAT",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_DISABLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_USED_DEFINED_VHT_SUPPORTED_RATES =
  {
    RSCMWWLS_ATTR_USED_DEFINED_VHT_SUPPORTED_RATES,
    "Used Defined VHT Supported Rates",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngUsedDefinedVHTSupportedRates, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:SRAT:VHTC",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_VHT_MC07,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_TWT_BROADCAST_ENABLE =
  {
    RSCMWWLS_ATTR_TWT_BROADCAST_ENABLE,
    "TWT Broadcast Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:BTWT:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_SUPPORT_DSSS =
  {
    RSCMWWLS_ATTR_SUPPORT_DSSS,
    "Support DSSS",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:DSSS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_ASSOCIATION_RESERVE_MAC_ADDRESS =
  {
    RSCMWWLS_ATTR_ASSOCIATION_RESERVE_MAC_ADDRESS,
    "Association Reserve MAC Address",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:ASS:STA{station}:MACR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "ANY,\'00:00:00:00:00:00\'",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_ASSOCIATION_AUTOMATIC_DISASSOCIATION =
  {
    RSCMWWLS_ATTR_ASSOCIATION_AUTOMATIC_DISASSOCIATION,
    "Association Automatic Disassociation",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:ASS:DIS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "OFF,30",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_ASSOCIATION_ALLOW_PREEMPTION =
  {
    RSCMWWLS_ATTR_ASSOCIATION_ALLOW_PREEMPTION,
    "Association Allow Preemption",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:ASS:PRE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_ASSOCIATION_STATION_PRIORITY =
  {
    RSCMWWLS_ATTR_ASSOCIATION_STATION_PRIORITY,
    "Association Station Priority",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngAssociationStationPriority, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:ASS:STAP",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_STATION_PRIORITY_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_TWT_MINIMUM_WAKE_DURATION =
  {
    RSCMWWLS_ATTR_TWT_MINIMUM_WAKE_DURATION,
    "TWT Minimum Wake Duration",
    RS_VAL_WRITE_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:BTWT:SCH:MWD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0,10.0e-3",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_HIDDEN_SECURITY_MODE =
  {
    RSCMWWLS_ATTR_HIDDEN_SECURITY_MODE,
    "Hidden Security Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:SEC:TYPE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "DIS,\"5\"",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_SECURITY_ENCRYPTION =
  {
    RSCMWWLS_ATTR_SECURITY_ENCRYPTION,
    "Encryption",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngSecurityEncryptionType, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:SEC:ENCR",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_ENCRYPTION_TKIP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_PROTECTION_MANAGMENT_FRAMES =
  {
    RSCMWWLS_ATTR_PROTECTION_MANAGMENT_FRAMES,
    "Protection Managment Frames",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngProtectionManagmentFrames, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:SEC:PMF",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_PROTECTION_MANAGMENT_FRAMES_UNSUPPORTED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_SAE_AUTHENTICATION =
  {
    RSCMWWLS_ATTR_SAE_AUTHENTICATION,
    "SAE Authentication",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngSAEAuthentication, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:SEC:HASH",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_SAE_AUTHENTICATION_BOTH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_GROUP_TRANSFORM =
  {
    RSCMWWLS_ATTR_GROUP_TRANSFORM,
    "Group Transform",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngGroupTransform, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:SEC:GTR",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_GROUP_TRANSFORM_ECP256,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_HIDDEN_PRIVATE_SECURITY_KEY =
  {
    RSCMWWLS_ATTR_HIDDEN_PRIVATE_SECURITY_KEY,
    "Hidden Private Security Key",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:SEC:PKEY",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "FIX,\"12345\"",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_SECURITY_RSERVER_MODE =
  {
    RSCMWWLS_ATTR_SECURITY_RSERVER_MODE,
    "Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngRadiusServerMode, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:SEC:RSER:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_RADIUS_SERVER_INTERNAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_IP_VERSION_SUPPORT =
  {
    RSCMWWLS_ATTR_IP_VERSION_SUPPORT,
    "IP Version Support",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngIPVersionSupport, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:IVS",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_IP_VERSION_BOTH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_SECURITY_RSERVER_PORT_NUMBER =
  {
    RSCMWWLS_ATTR_SECURITY_RSERVER_PORT_NUMBER,
    "Port Number",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rscmwwls_rngPortNumber, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:SEC:RSER:PNUM",
    // Defaults I32, I64, Float, Bool, String
    1812,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_SECURITY_RSERVER_SKEY =
  {
    RSCMWWLS_ATTR_SECURITY_RSERVER_SKEY,
    "Shared Key",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:SEC:RSER:SKEY",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "test12345",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_DATA_FRAME_SELECTED_STATION =
  {
    RSCMWWLS_ATTR_DATA_FRAME_SELECTED_STATION,
    "Data Frame Selected Station",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_DATA_HEMU_FRAME_USER_MCS =
  {
    RSCMWWLS_ATTR_DATA_HEMU_FRAME_USER_MCS,
    "Data HEMU Frame User MCS",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngMCS, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:STA<station>:DFR:HEMU:USER{user}:MCS",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_MCS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rscmwwls_FormatDataFrameStationRepCapInt32_ReadCallback,
    rscmwwls_FormatDataFrameStationRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_DATA_HEMU_FRAME_USER_CODING_TYPE =
  {
    RSCMWWLS_ATTR_DATA_HEMU_FRAME_USER_CODING_TYPE,
    "Data HEMU Frame User Coding Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngCodingType, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:STA<station>:DFR:HEMU:USER{user}:CTYP",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_CODING_TYPE_LDPC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rscmwwls_FormatDataFrameStationRepCapInt32_ReadCallback,
    rscmwwls_FormatDataFrameStationRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_DATA_HEMU_FRAME_USER_STREAMS =
  {
    RSCMWWLS_ATTR_DATA_HEMU_FRAME_USER_STREAMS,
    "Data HEMU Frame User Streams",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngDataFrameStreams, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:STA<station>:DFR:HEMU:USER{user}:STR",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_STREAM1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rscmwwls_FormatDataFrameStationRepCapInt32_ReadCallback,
    rscmwwls_FormatDataFrameStationRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_DATA_HEMU_FRAME_DUMMY_USER_MCS =
  {
    RSCMWWLS_ATTR_DATA_HEMU_FRAME_DUMMY_USER_MCS,
    "Data HEMU Frame Dummy User MCS",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngMCS, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:STA<station>:DFR:HEMU:DUMM{user}:MCS",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_MCS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rscmwwls_FormatDataFrameStationRepCapInt32_ReadCallback,
    rscmwwls_FormatDataFrameStationRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_DATA_HEMU_FRAME_RU_ALLOCATION =
  {
    RSCMWWLS_ATTR_DATA_HEMU_FRAME_RU_ALLOCATION,
    "Data HEMU Frame Resource Unit Allocation",
    RS_VAL_WRITE_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:STA<station>:DFR:HEMU:RUAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "CHA1,RU1,USR1",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rscmwwls_FormatDataFrameStationRepCapString_ReadCallback,
    rscmwwls_FormatDataFrameStationRepCapString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_DATA_HEMU_FRAME_USER_ALLOCATION =
  {
    RSCMWWLS_ATTR_DATA_HEMU_FRAME_USER_ALLOCATION,
    "Data HEMU Frame User Allocation",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:STA<station>:DFR:HEMU:USER{user}:ALL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "CHA1,RU1",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rscmwwls_FormatDataFrameStationRepCapString_ReadCallback,
    rscmwwls_FormatDataFrameStationRepCapString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_TRIGGER_FRAME_SELECTED_STATION =
  {
    RSCMWWLS_ATTR_TRIGGER_FRAME_SELECTED_STATION,
    "Trigger Frame Selected Station",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_TRIGGER_FRAME_TRIGGER_TYPE =
  {
    RSCMWWLS_ATTR_TRIGGER_FRAME_TRIGGER_TYPE,
    "Trigger Frame Trigger Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngTriggerFrameTriggerType, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:HETF:TTYP",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_TRIGGER_BTR,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_TRIGGER_FRAME_NUMBER_OF_SYMBOLS =
  {
    RSCMWWLS_ATTR_TRIGGER_FRAME_NUMBER_OF_SYMBOLS,
    "Trigger Frame Number Of Symbols",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rscmwwls_rngTriggerFrameNumberOfSymbols, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:HETF:NOFS",
    // Defaults I32, I64, Float, Bool, String
    330,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_TRIGGER_FRAME_CS_REQUIRED =
  {
    RSCMWWLS_ATTR_TRIGGER_FRAME_CS_REQUIRED,
    "Trigger Frame CS Required",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:HETF:CSR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_TRIGGER_FRAME_BANDWIDTH =
  {
    RSCMWWLS_ATTR_TRIGGER_FRAME_BANDWIDTH,
    "Trigger Frame Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngTriggerFrameBandwidth, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:HETF:CHBW",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_BW20,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_TRIGGER_FRAME_GI_LTF =
  {
    RSCMWWLS_ATTR_TRIGGER_FRAME_GI_LTF,
    "Trigger Frame GI LTF",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngTriggerFrameGILTF, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:HETF:GILT",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_GILTF_L116,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_TRIGGER_FRAME_MU_MIMO_LTF =
  {
    RSCMWWLS_ATTR_TRIGGER_FRAME_MU_MIMO_LTF,
    "Trigger Frame MU MIMO LTF",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngTriggerFrameMUMIMOLTF, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:HETF:MLTF",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_MUMIMO_LTF_SINGLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_TRIGGER_FRAME_LDCP_EXTRA_SYMBOL =
  {
    RSCMWWLS_ATTR_TRIGGER_FRAME_LDCP_EXTRA_SYMBOL,
    "Trigger Frame LDCP Extra Symbol",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:HETF:LDPC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_TRIGGER_FRAME_RU_ALLOCATION =
  {
    RSCMWWLS_ATTR_TRIGGER_FRAME_RU_ALLOCATION,
    "Trigger Frame RU Allocation",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngTriggerFrameRUAllocation, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:STA<station>:CONN:HETF:RUAL",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_RU_ALLOCATION_RU0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rscmwwls_FormatTriggerFrameStationRepCapInt32_ReadCallback,
    rscmwwls_FormatTriggerFrameStationRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_TRIGGER_FRAME_CODING_TYPE =
  {
    RSCMWWLS_ATTR_TRIGGER_FRAME_CODING_TYPE,
    "Trigger Frame Coding Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngTriggerFrameCodingType, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:STA<station>:CONN:HETF:CTYP",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_CODING_TYPE_BCC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rscmwwls_FormatTriggerFrameStationRepCapInt32_ReadCallback,
    rscmwwls_FormatTriggerFrameStationRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_TRIGGER_FRAME_MCS =
  {
    RSCMWWLS_ATTR_TRIGGER_FRAME_MCS,
    "Trigger Frame MCS",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngMCS, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:STA<station>:CONN:HETF:MCS",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_MCS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rscmwwls_FormatTriggerFrameStationRepCapInt32_ReadCallback,
    rscmwwls_FormatTriggerFrameStationRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_TRIGGER_FRAME_DCM =
  {
    RSCMWWLS_ATTR_TRIGGER_FRAME_DCM,
    "Trigger Frame DCM",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:STA<station>:CONN:HETF:DCM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rscmwwls_FormatTriggerFrameStationRepCapBool_ReadCallback,
    rscmwwls_FormatTriggerFrameStationRepCapBool_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_TRIGGER_FRAME_STARTING_SPATIAL_STREAM =
  {
    RSCMWWLS_ATTR_TRIGGER_FRAME_STARTING_SPATIAL_STREAM,
    "Trigger Frame Starting Spatial Stream",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:STA<station>:CONN:HETF:SSS?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rscmwwls_FormatTriggerFrameStationRepCapInt32_ReadCallback,
    rscmwwls_FormatTriggerFrameStationRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_TRIGGER_FRAME_NUMBER_OF_SPATIAL_STREAMS =
  {
    RSCMWWLS_ATTR_TRIGGER_FRAME_NUMBER_OF_SPATIAL_STREAMS,
    "Trigger Frame Number Of Spatial Streams",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:STA<station>:CONN:HETF:NSS?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rscmwwls_FormatTriggerFrameStationRepCapInt32_ReadCallback,
    rscmwwls_FormatTriggerFrameStationRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_TRIGGER_FRAME_TARGET_RSSI_MODE =
  {
    RSCMWWLS_ATTR_TRIGGER_FRAME_TARGET_RSSI_MODE,
    "Trigger Frame Target RSSI Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngTriggerFrameTargetRSSIMode, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:STA<station>:CONN:HETF:TRSM",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_MODE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rscmwwls_FormatTriggerFrameStationRepCapInt32_ReadCallback,
    rscmwwls_FormatTriggerFrameStationRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_TRIGGER_FRAME_TARGET_RSSI_CONTROL =
  {
    RSCMWWLS_ATTR_TRIGGER_FRAME_TARGET_RSSI_CONTROL,
    "Trigger Frame Target RSSI Control",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwls_rngTriggerFrameTargetRSSIControl, NULL,
    "CONF:WLAN:SIGN{instance}:STA<station>:CONN:HETF:TSRC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rscmwwls_FormatTriggerFrameStationRepCapReal64_ReadCallback,
    rscmwwls_FormatTriggerFrameStationRepCapReal64_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_TRIGGER_FRAME_TRANSMISSION_SINGLE_SHOT =
  {
    RSCMWWLS_ATTR_TRIGGER_FRAME_TRANSMISSION_SINGLE_SHOT,
    "Trigger Frame Transmission Single Shot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:HETF:SSTX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_TRIGGER_FRAME_TRANSMISSION_PERIODICAL_ENABLED =
  {
    RSCMWWLS_ATTR_TRIGGER_FRAME_TRANSMISSION_PERIODICAL_ENABLED,
    "Trigger Frame Transmission Periodical Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:HETF:TXEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_TRIGGER_FRAME_TRANSMISSION_PERIODICAL_INTERVAL =
  {
    RSCMWWLS_ATTR_TRIGGER_FRAME_TRANSMISSION_PERIODICAL_INTERVAL,
    "Trigger Frame Transmission Periodical Interval",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwls_rngTriggerFrameTransmissionPeriodicalInterval, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:HETF:TXP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_QOS_TID_SELECTED_STATION =
  {
    RSCMWWLS_ATTR_QOS_TID_SELECTED_STATION,
    "QOS TID Selected Station",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_QOS_TID_E2E_DATA =
  {
    RSCMWWLS_ATTR_QOS_TID_E2E_DATA,
    "QOS TID E2E Data",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngTID, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:QOS:ETOE",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_TID0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_QOS_TID_PER =
  {
    RSCMWWLS_ATTR_QOS_TID_PER,
    "QOS TID PER",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngTID, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:PER:TID",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_TID0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_QOS_TID_PRIORITIZATION_MODE =
  {
    RSCMWWLS_ATTR_QOS_TID_PRIORITIZATION_MODE,
    "QOS TID Prioritization Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngQOSTIDPrioritizationMode, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:QOS:PRI",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_PRIORITIZATION_MODE_ROUND_ROBIN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_QOS_TID_BAR_METHOD =
  {
    RSCMWWLS_ATTR_QOS_TID_BAR_METHOD,
    "QOS TID BAR Method",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngQOSTIDBARMethod, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:STA<station>:CONN:QOS:BARM",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_BAR_IMPLICIT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rscmwwls_FormatQOSTIDStationRepCapInt32_ReadCallback,
    rscmwwls_FormatQOSTIDStationRepCapInt32_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_A_MPDU_SELECTED_STATION =
  {
    RSCMWWLS_ATTR_A_MPDU_SELECTED_STATION,
    "A MPDU Selected Station",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_AMPDU_TX_ENABLED =
  {
    RSCMWWLS_ATTR_AMPDU_TX_ENABLED,
    "A MPDU TX Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:STA<station>:CONN:AMPD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "ENAB,DIS,131.071e3",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rscmwwls_FormatAMPDUStationRepCapString_ReadCallback,
    rscmwwls_FormatAMPDUStationRepCapString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_HEMAC_BSR_SUPPORT =
  {
    RSCMWWLS_ATTR_HEMAC_BSR_SUPPORT,
    "HEMAC BSR Support",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:HEM:BSRS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_NDP_SOUNDING_STATION =
  {
    RSCMWWLS_ATTR_NDP_SOUNDING_STATION,
    "NDP Sounding Station",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngNDPSoundingStation, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:NDPS:TARG",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_NDPS_TARGET_STA1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_NDP_SOUNDING_FEEDBACK_METHOD =
  {
    RSCMWWLS_ATTR_NDP_SOUNDING_FEEDBACK_METHOD,
    "NDP Sounding Feedback Method",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngNDPSoundingFeedbackMethod, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:NDPS:METH",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_NDPS_METHOD_TBAS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_NDP_SOUNDING_BANDWIDTH =
  {
    RSCMWWLS_ATTR_NDP_SOUNDING_BANDWIDTH,
    "NDP Sounding Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngNDPSoundingBandwidth, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:NDPS:BW",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_NDPS_BW_BW20,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_NDP_SOUNDING_SPATIAL_STREAMS =
  {
    RSCMWWLS_ATTR_NDP_SOUNDING_SPATIAL_STREAMS,
    "NDP Sounding Spatial Streams",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngNDPSoundingSpatialStreams, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:NDPS:SPST",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_NDPS_SPATIAL_STREAM2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_NDP_SOUNDING_GI_LTF =
  {
    RSCMWWLS_ATTR_NDP_SOUNDING_GI_LTF,
    "NDP Sounding GI LTF",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngNDPSoundingGILTF, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:NDPS:LTFG",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_NDPS_LTFGI_L208,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_NDP_SOUNDING_REPORT_TYPE =
  {
    RSCMWWLS_ATTR_NDP_SOUNDING_REPORT_TYPE,
    "NDP Sounding Report Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngNDPSoundingReportType, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:NDPS:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_NDPS_REPORT_TYPE_SU,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_NDP_SOUNDING_RU_START_INDEX =
  {
    RSCMWWLS_ATTR_NDP_SOUNDING_RU_START_INDEX,
    "NDP Sounding RU Start Index",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:NDPS:RUST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_NDP_SOUNDING_RU_END_INDEX =
  {
    RSCMWWLS_ATTR_NDP_SOUNDING_RU_END_INDEX,
    "NDP Sounding RU End Index",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:NDPS:RUEN",
    // Defaults I32, I64, Float, Bool, String
    8,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_NDP_SOUNDING_CODEBOOK_SIZE =
  {
    RSCMWWLS_ATTR_NDP_SOUNDING_CODEBOOK_SIZE,
    "NDP Sounding Codebook Size",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngNDPSoundingCodebookSize, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:NDPS:CBO",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_NDPS_CODEBOOK_SIZE1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_NDP_SOUNDING_NUMBER_OF_COLUMNS =
  {
    RSCMWWLS_ATTR_NDP_SOUNDING_NUMBER_OF_COLUMNS,
    "NDP Sounding Number Of Columns",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngNDPSoundingNumberOfColumns, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:NDPS:NUMC",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_NDPS_COLUMNS_1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_NDP_SOUNDING_SUBCARRIER_GROUPING =
  {
    RSCMWWLS_ATTR_NDP_SOUNDING_SUBCARRIER_GROUPING,
    "NDP Sounding Subcarrier Grouping",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngNDPSoundingSubcarrierGrouping, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:NDPS:SUBG",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_NDPS_SUBCARRIER_GRP4,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_NDP_SOUNDING_TRANSMISSION_STATE =
  {
    RSCMWWLS_ATTR_NDP_SOUNDING_TRANSMISSION_STATE,
    "NDP Sounding Transmission State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:NDPS:TXEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_NDP_SOUNDING_TRANSMISSION_INTERVAL =
  {
    RSCMWWLS_ATTR_NDP_SOUNDING_TRANSMISSION_INTERVAL,
    "NDP Sounding Transmission Interval",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwls_rngNDPSoundingTransmissionInterval, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:NDPS:TXP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_NDP_SOUNDING_TRANSMISSION_SINGLE_SHOT =
  {
    RSCMWWLS_ATTR_NDP_SOUNDING_TRANSMISSION_SINGLE_SHOT,
    "NDP Sounding Transmission Single Shot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:NDPS:SSTX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_CLEAN_EVENT_LOG =
  {
    RSCMWWLS_ATTR_CLEAN_EVENT_LOG,
    "Clean Event Log",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CLE:WLAN:SIGN{instance}:ELOG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_FADING_AWGN_ENABLED =
  {
    RSCMWWLS_ATTR_FADING_AWGN_ENABLED,
    "Fading AWGN Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:FAD:AWGN:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_FADING_AWGN_BANDWIDTH_RATIO =
  {
    RSCMWWLS_ATTR_FADING_AWGN_BANDWIDTH_RATIO,
    "Fading AWGN Bandwidth Ratio",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwls_rngFadingAWGNBandwidthRatio, NULL,
    "CONF:WLAN:SIGN{instance}:FAD:AWGN:BWID:RAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_FADING_AWGN_SIGNAL_NOISE_RATIO =
  {
    RSCMWWLS_ATTR_FADING_AWGN_SIGNAL_NOISE_RATIO,
    "Fading AWGN Signal Noise Ratio",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwls_rngFadingAWGNSignalNoiseRatio, NULL,
    "CONF:WLAN:SIGN{instance}:FAD:AWGN:SNR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    30.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_FADING_SIMULATOR_ENABLED =
  {
    RSCMWWLS_ATTR_FADING_SIMULATOR_ENABLED,
    "Fading Simulator Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:FAD:FSIM:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_FADING_SIMULATOR_INSERTION_LOSS =
  {
    RSCMWWLS_ATTR_FADING_SIMULATOR_INSERTION_LOSS,
    "Fading Simulator Insertion Loss",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, &rscmwwls_rngFadingSimulatorInsertionLoss, NULL,
    "CONF:WLAN:SIGN{instance}:FAD:FSIM:ILOS:LOSS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_FADING_SIMULATOR_PROFILE =
  {
    RSCMWWLS_ATTR_FADING_SIMULATOR_PROFILE,
    "Fading Simulator Profile",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngFadingSimulatorProfile, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:FAD:FSIM:STAN",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_FSIM_PROFILE_MODA,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_TRIGGER_SLOPE =
  {
    RSCMWWLS_ATTR_TRIGGER_SLOPE,
    "Trigger Slope Deprecated",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngTriggerSlope, NULL, NULL,
    "TRIG:WLAN:SIGN{instance}:{TriggerType}:MACF:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_TRIGGER_REDG,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_TX_TRIGGER_SLOPE =
  {
    RSCMWWLS_ATTR_TX_TRIGGER_SLOPE,
    "TX trigger Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngTriggerSlope, NULL, NULL,
    "TRIG:WLAN:SIGN{instance}:TX:MACF:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_TRIGGER_REDG,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_RX_TRIGGER_SLOPE =
  {
    RSCMWWLS_ATTR_RX_TRIGGER_SLOPE,
    "RX trigger Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngTriggerSlope, NULL, NULL,
    "TRIG:WLAN:SIGN{instance}:RX:MACF:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_TRIGGER_REDG,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_TRIGGER_PULSE_LENGTH =
  {
    RSCMWWLS_ATTR_TRIGGER_PULSE_LENGTH,
    "Trigger Pulse Length Deprecated",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngRxTriggerPulseLength, NULL, NULL,
    "TRIG:WLAN:SIGN{instance}:{TriggerType}:MACF:PLEN:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_PULSE_LENGTH_DEF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_TX_TRIGGER_PULSE_LENGTH =
  {
    RSCMWWLS_ATTR_TX_TRIGGER_PULSE_LENGTH,
    "TX Trigger Pulse Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngTxTriggerPulseLength, NULL, NULL,
    "TRIG:WLAN:SIGN{instance}:TX:MACF:PLEN:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_PULSE_LENGTH_DEF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_RX_TRIGGER_PULSE_LENGTH =
  {
    RSCMWWLS_ATTR_RX_TRIGGER_PULSE_LENGTH,
    "RX Trigger Pulse Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngRxTriggerPulseLength, NULL, NULL,
    "TRIG:WLAN:SIGN{instance}:RX:MACF:PLEN:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_PULSE_LENGTH_DEF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_TRIGGER_PULSE_LENGTH_VALUE =
  {
    RSCMWWLS_ATTR_TRIGGER_PULSE_LENGTH_VALUE,
    "Trigger Pulse Length Value Deprecated",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwls_rngTriggerPulseLengthValue, NULL,
    "TRIG:WLAN:SIGN{instance}:{TriggerType}:MACF:PLEN:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_TX_TRIGGER_PULSE_LENGTH_VALUE =
  {
    RSCMWWLS_ATTR_TX_TRIGGER_PULSE_LENGTH_VALUE,
    "TX Trigger Pulse Length Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwls_rngTriggerPulseLengthValue, NULL,
    "TRIG:WLAN:SIGN{instance}:TX:MACF:PLEN:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_RX_TRIGGER_PULSE_LENGTH_VALUE =
  {
    RSCMWWLS_ATTR_RX_TRIGGER_PULSE_LENGTH_VALUE,
    "RX Trigger Pulse Length Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &rscmwwls_rngTriggerPulseLengthValue, NULL,
    "TRIG:WLAN:SIGN{instance}:RX:MACF:PLEN:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_TRIGGER_MODE =
  {
    RSCMWWLS_ATTR_TRIGGER_MODE,
    "Trigger Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngTriggerMode, NULL, NULL,
    "TRIG:WLAN:SIGN{instance}:RX:MACF:BTYP",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_TRIGGER_MODE_ALL_BURSTS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_RX_TRIGGER_BANDWIDTH =
  {
    RSCMWWLS_ATTR_RX_TRIGGER_BANDWIDTH,
    "RX Trigger Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngTriggerBandwidth, NULL, NULL,
    "TRIG:WLAN:SIGN{instance}:RX:MACF:BW",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_TRIGGER_BANDWIDTH_ALL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_RX_TRIGGER_RATE =
  {
    RSCMWWLS_ATTR_RX_TRIGGER_RATE,
    "RX Trigger Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngRXTriggerRate, NULL, NULL,
    "TRIG:WLAN:SIGN{instance}:RX:MACF:RATE",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_TRIGGER_RATE_ALL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_RX_TRIGGER_DELAY_TYPE =
  {
    RSCMWWLS_ATTR_RX_TRIGGER_DELAY_TYPE,
    "RX Trigger Delay Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngRXTriggerDelayType, NULL, NULL,
    "TRIG:WLAN:SIGN{instance}:RX:MACF:CTD",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_TRIGGER_DELAY_TYPE_BURST,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_RX_TRIGGER_RATE_RESTRICTION =
  {
    RSCMWWLS_ATTR_RX_TRIGGER_RATE_RESTRICTION,
    "RX Trigger Rate Restriction",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:WLAN:SIGN{instance}:RX:MACF:RRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_RX_TRIGGER_SPATIAL_STREAMS =
  {
    RSCMWWLS_ATTR_RX_TRIGGER_SPATIAL_STREAMS,
    "RX Trigger Spatial Streams",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngRXTriggerSpatialStreams, NULL, NULL,
    "TRIG:WLAN:SIGN{instance}:RX:MACF:STR",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_TRIGGER_SPATIAL_STREAMS_STR1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_IPV4_CMW =
  {
    RSCMWWLS_ATTR_IPV4_CMW,
    "IPv4 CMW",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:IPVF:STAT:IPAD:CMW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "100,100,100,50",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_IPV4_SELECTED_STATION =
  {
    RSCMWWLS_ATTR_IPV4_SELECTED_STATION,
    "IPv4 Selected Station",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_IPV4_IP_ADDRESS =
  {
    RSCMWWLS_ATTR_IPV4_IP_ADDRESS,
    "IPv4 IP Address",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:IPVF:STAT:IPAD:STA<station>",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "100,100,100,10",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rscmwwls_FormatIP4StationRepCapString_ReadCallback,
    rscmwwls_FormatIP4StationRepCapString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_PACKET_GENERATOR_PROTOCOL =
  {
    RSCMWWLS_ATTR_PACKET_GENERATOR_PROTOCOL,
    "Packet Generator Protocol",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngPacketGeneratorProtocol, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:PGEN{index}:PROT",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_PROTOCOL_ICMP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_PACKET_GENERATOR_IP_VERSION =
  {
    RSCMWWLS_ATTR_PACKET_GENERATOR_IP_VERSION,
    "Packet Generator IP Version",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngPacketGeneratorIPVersion, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:PGEN{index}:IPV",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_IPV4,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_PACKET_GENERATOR_DESTINATION =
  {
    RSCMWWLS_ATTR_PACKET_GENERATOR_DESTINATION,
    "Packet Generator Destination",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngPacketGeneratorDestination, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:PGEN{index}:DEST",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_PGEN_DESTINATION_STA1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_QUERY_SECOND_STATE =
  {
    RSCMWWLS_ATTR_QUERY_SECOND_STATE,
    "Query Second State",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rscmwwls_rngQueryPacketSwitchedState, NULL, NULL,
    "FETC:WLAN:SIGN{instance}:SEC:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_PSWITCHED_STATE_IDLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_QUERY_THIRD_STATE =
  {
    RSCMWWLS_ATTR_QUERY_THIRD_STATE,
    "Query Third State",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rscmwwls_rngQueryPacketSwitchedState, NULL, NULL,
    "FETC:WLAN:SIGN{instance}:THIR:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_PSWITCHED_STATE_IDLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_QUERY_PACKET_SWITCHED_STATE =
  {
    RSCMWWLS_ATTR_QUERY_PACKET_SWITCHED_STATE,
    "Query Packet Switched State",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rscmwwls_rngQueryPacketSwitchedState, NULL, NULL,
    "FETC:WLAN:SIGN{instance}:PSW:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_PSWITCHED_STATE_IDLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_QUERY_STATION_SSID =
  {
    RSCMWWLS_ATTR_QUERY_STATION_SSID,
    "Query Station SSID",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SENS:WLAN:SIGN{instance}:UES:APSS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Station SSID",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_QUERY_RX_POWER_INDICATOR =
  {
    RSCMWWLS_ATTR_QUERY_RX_POWER_INDICATOR,
    "Query RX Power Indicator",
    RS_VAL_READ_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "SENS:WLAN:SIGN{instance}:SINF:ANT{antenna}:RXP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "-16,RANG",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_UE_CAPABILITY_SELECTED_STATION =
  {
    RSCMWWLS_ATTR_UE_CAPABILITY_SELECTED_STATION,
    "UE Capability Selected Station",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_QUERY_UE_CAPABILITY_MAC_ADDRESS =
  {
    RSCMWWLS_ATTR_QUERY_UE_CAPABILITY_MAC_ADDRESS,
    "Query UE Capability MAC Address",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SENS:WLAN:SIGN{instance}:STA<station>:UEC:MAC:ADDR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0.0.0.0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rscmwwls_FormatUECapabilityStationRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_QUERY_UE_CAPABILITY_MAC_VERSION =
  {
    RSCMWWLS_ATTR_QUERY_UE_CAPABILITY_MAC_VERSION,
    "Query UE Capability MAC Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &rscmwwls_rngQueryUECapabilityMACVersion, NULL,
    "SENS:WLAN:SIGN{instance}:UEC:MAC:VERS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_QUERY_UE_ASSIGNED_IP_ADDRESS =
  {
    RSCMWWLS_ATTR_QUERY_UE_ASSIGNED_IP_ADDRESS,
    "Query UE Assigned IP Address",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SENS:WLAN:SIGN{instance}:STA<station>:UES:UEAD:IPV{ip}?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "100.100.100.10",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rscmwwls_FormatUECapabilityStationRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_QUERY_UE_RX_BURST_POWER =
  {
    RSCMWWLS_ATTR_QUERY_UE_RX_BURST_POWER,
    "Query UE RX Burst Power",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SENS:WLAN:SIGN{instance}:STA<station>:UES:RXBP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rscmwwls_FormatUECapabilityStationRepCapReal64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_IP_VERSION_4_DHCP =
  {
    RSCMWWLS_ATTR_IP_VERSION_4_DHCP,
    "IP Version 4 DHCP",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:IPVF:DHCP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_IP_VERSION_6_PREFIX =
  {
    RSCMWWLS_ATTR_IP_VERSION_6_PREFIX,
    "IP Version 6 Prefix",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:IPVS:PREF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "fc01:abab:cdcd:efe0::",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_MESSAGE_MONITORING_ADD_WLAN_SIGNALING_TO_LOGGING =
  {
    RSCMWWLS_ATTR_MESSAGE_MONITORING_ADD_WLAN_SIGNALING_TO_LOGGING,
    "Message Monitoring Add WLAN Signaling To Logging",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:MMON:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_MESSAGE_MONITORING_LOGGING_PC_IPV4_ADDRESS =
  {
    RSCMWWLS_ATTR_MESSAGE_MONITORING_LOGGING_PC_IPV4_ADDRESS,
    "Message Monitoring Logging PC IPv4 Address",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    &rscmwwls_rngMessageMonitoringLoggingPCIPv4Address, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:MMON:IPAD",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_ADDRESS_POOL_INDEX_1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_DUT_SELECTED_STATION =
  {
    RSCMWWLS_ATTR_DUT_SELECTED_STATION,
    "DUT Selected Station",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_DUT_UE_MAC =
  {
    RSCMWWLS_ATTR_DUT_UE_MAC,
    "DUT UE MAC",
    RS_VAL_READ_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "SENS:WLAN:SIGN{instance}:STA<station>:UEC:MAC:ADDR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "50:C2:F5:20:00:03",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rscmwwls_FormatDUTStationRepCapString_ReadCallback,
    rscmwwls_FormatDUTStationRepCapString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_DUT_UE_IP4_ADDRESS =
  {
    RSCMWWLS_ATTR_DUT_UE_IP4_ADDRESS,
    "DUT UE IP4 Address",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SENS:WLAN:SIGN{instance}:STA<station>:UES:UEAD:IPV4?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "192.168.168.21",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rscmwwls_FormatDUTStationRepCapString_ReadCallback,
    rscmwwls_FormatDUTStationRepCapString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_DUT_UE_IP6_ADDRESS =
  {
    RSCMWWLS_ATTR_DUT_UE_IP6_ADDRESS,
    "DUT UE IP6 Address",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SENS:WLAN:SIGN{instance}:STA<station>:UES:UEAD:IPV6?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "192.168.168.21",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rscmwwls_FormatDUTStationRepCapString_ReadCallback,
    rscmwwls_FormatDUTStationRepCapString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_DUT_CMW_IP4_ADDRESS =
  {
    RSCMWWLS_ATTR_DUT_CMW_IP4_ADDRESS,
    "DUT CMW IP4 Address",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SENS:WLAN:SIGN{instance}:UES:CMW:IPV4?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "192.168.168.21",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_DUT_CMW_IP6_ADDRESS =
  {
    RSCMWWLS_ATTR_DUT_CMW_IP6_ADDRESS,
    "DUT CMW IP6 Address",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SENS:WLAN:SIGN{instance}:UES:CMW:IPV6?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "fe80::52c2:f5ff:fe20:3",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_HE_TB_SELECTED_STATION =
  {
    RSCMWWLS_ATTR_HE_TB_SELECTED_STATION,
    "HE TB Selected Station",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_HE_TB_UPH_INFO =
  {
    RSCMWWLS_ATTR_HE_TB_UPH_INFO,
    "HE TB UPH Info",
    RS_VAL_READ_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "SENS:WLAN:SIGN{instance}:STA<station>:HETB:UPH?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0.0,0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rscmwwls_FormatHETBStationRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_HE_TB_UE_CAPABILITY =
  {
    RSCMWWLS_ATTR_HE_TB_UE_CAPABILITY,
    "HE TB UE Capability",
    RS_VAL_READ_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "SENS:WLAN:SIGN{instance}:STA<station>:UEC:HE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "A,NO,NO,NO,NO",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rscmwwls_FormatHETBStationRepCapString_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_QUERY_RX_TRIGGER_FRAMES =
  {
    RSCMWWLS_ATTR_QUERY_RX_TRIGGER_FRAMES,
    "Query RX Trigger Frames",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SENS:WLAN:SIGN{instance}:UES:RXTR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "3,1",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_RESET_STATISTICS =
  {
    RSCMWWLS_ATTR_RESET_STATISTICS,
    "Reset Statistics",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:UES:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_STATISTICS_SETTINGS =
  {
    RSCMWWLS_ATTR_STATISTICS_SETTINGS,
    "Statistics Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:UES:SETT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "2.000000E-001,50",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_STATISTICS_RX_PSDU_HEMU =
  {
    RSCMWWLS_ATTR_STATISTICS_RX_PSDU_HEMU,
    "Statistics RX PSDU HEMU",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SENS:WLAN:SIGN{instance}:UES:RXPS:HEMU?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "MB1,BW20,NSS1,0.0,0,0.0,0,0,0,0,0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_STATISTICS_RX_PSDU_HESU =
  {
    RSCMWWLS_ATTR_STATISTICS_RX_PSDU_HESU,
    "Statistics RX PSDU HESU",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SENS:WLAN:SIGN{instance}:UES:RXPS:HESU?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "MB1,BW20,NSS1,0.0,0,0.0,0,0,0,0,0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_STATISTICS_RX_PSDU_HETB =
  {
    RSCMWWLS_ATTR_STATISTICS_RX_PSDU_HETB,
    "Statistics RX PSDU HETB",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SENS:WLAN:SIGN{instance}:UES:RXPS:HETB?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "MB1,BW20,NSS1,0.0,0,0.0,0,0,0,0,0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_STATISTICS_RX_PSDU_HT =
  {
    RSCMWWLS_ATTR_STATISTICS_RX_PSDU_HT,
    "Statistics RX PSDU HT",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SENS:WLAN:SIGN{instance}:UES:RXPS:HT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "MB1,BW20,NSS1,0.0,0,0.0,0,0,0,0,0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_STATISTICS_RX_PSDU_NHT =
  {
    RSCMWWLS_ATTR_STATISTICS_RX_PSDU_NHT,
    "Statistics RX PSDU NHT",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SENS:WLAN:SIGN{instance}:UES:RXPS:NONH?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "MB1,BW20,NSS1,0.0,0,0.0,0,0,0,0,0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_STATISTICS_RX_PSDU_VHT =
  {
    RSCMWWLS_ATTR_STATISTICS_RX_PSDU_VHT,
    "Statistics RX PSDU VHT",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SENS:WLAN:SIGN{instance}:UES:RXPS:VHT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "MB1,BW20,NSS1,0.0,0,0.0,0,0,0,0,0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_PER_MODULATION_CODING_RATE =
  {
    RSCMWWLS_ATTR_PER_MODULATION_CODING_RATE,
    "PER Modulation Coding Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngPERModulationCodingRate, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:PER:MCR",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_PER_CODE_RATE_BR12,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_PER_ACKNOWLEDGEMENT_TYPE =
  {
    RSCMWWLS_ATTR_PER_ACKNOWLEDGEMENT_TYPE,
    "PER Acknowledgement Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngPERAcknowledgementType, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:PER:ATYP",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_PER_ACKNOWLEDGEMENT_ACK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_PER_DATA_PATTERN =
  {
    RSCMWWLS_ATTR_PER_DATA_PATTERN,
    "PER Data Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngPERDataPattern, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:PER:DPAT",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_DATA_PATTERN_PN1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_PER_NUMBER_OF_PACKETS =
  {
    RSCMWWLS_ATTR_PER_NUMBER_OF_PACKETS,
    "PER Number Of Packets",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rscmwwls_rngPERNumberOfPackets, NULL,
    "CONF:WLAN:SIGN{instance}:PER:PACK",
    // Defaults I32, I64, Float, Bool, String
    100,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_PER_DATA_INTERVAL =
  {
    RSCMWWLS_ATTR_PER_DATA_INTERVAL,
    "PER Data Interval",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rscmwwls_rngPERDataInterval, NULL,
    "CONF:WLAN:SIGN{instance}:PER:DINT",
    // Defaults I32, I64, Float, Bool, String
    20,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_PER_PAYLOAD_SIZE =
  {
    RSCMWWLS_ATTR_PER_PAYLOAD_SIZE,
    "PER Payload Size",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rscmwwls_rngPERPayloadSize, NULL,
    "CONF:WLAN:SIGN{instance}:PER:PAYL:SIZE",
    // Defaults I32, I64, Float, Bool, String
    100,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_PER_QOS_TID =
  {
    RSCMWWLS_ATTR_PER_QOS_TID,
    "PER QOS TID",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngTID, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:PER:TID",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_TID0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_PER_DESTINATION_STATION =
  {
    RSCMWWLS_ATTR_PER_DESTINATION_STATION,
    "PER Destination Station",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngPERDestinationStation, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:PER:DEST",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_PER_DEST_STA1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_PER_LINK_TO_SIG_FRAME_SETTINGS =
  {
    RSCMWWLS_ATTR_PER_LINK_TO_SIG_FRAME_SETTINGS,
    "PER Link To SIG Frame Settings",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:CONN:SYNC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_PER_DATA_HEMU_FRAME_USER_MCS =
  {
    RSCMWWLS_ATTR_PER_DATA_HEMU_FRAME_USER_MCS,
    "PER Data HEMU Frame User MCS",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngMCS, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:PER:DFR:HEMU:USER{user}:MCS",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_MCS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_PER_DATA_HEMU_FRAME_USER_CODING_TYPE =
  {
    RSCMWWLS_ATTR_PER_DATA_HEMU_FRAME_USER_CODING_TYPE,
    "PER Data HEMU Frame User Coding Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngCodingType, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:PER:DFR:HEMU:USER{user}:CTYP",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_CODING_TYPE_LDPC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_PER_DATA_HEMU_FRAME_USER_STREAMS =
  {
    RSCMWWLS_ATTR_PER_DATA_HEMU_FRAME_USER_STREAMS,
    "PER Data HEMU Frame User Streams",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngDataFrameStreams, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:PER:DFR:HEMU:USER{user}:STR",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_STREAM1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_PER_DATA_HEMU_FRAME_DUMMY_USER_MCS =
  {
    RSCMWWLS_ATTR_PER_DATA_HEMU_FRAME_DUMMY_USER_MCS,
    "PER Data HEMU Frame Dummy User MCS",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &rscmwwls_rngMCS, NULL, NULL,
    "CONF:WLAN:SIGN{instance}:PER:DFR:HEMU:DUMM{user}:MCS",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_MCS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_PER_MEASUREMENT_INITIATE =
  {
    RSCMWWLS_ATTR_PER_MEASUREMENT_INITIATE,
    "PER Measurement Initiate",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INIT:WLAN:SIGN{instance}:PER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_PER_MEASUREMENT_ABORT =
  {
    RSCMWWLS_ATTR_PER_MEASUREMENT_ABORT,
    "PER Measurement Abort",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "ABOR:WLAN:SIGN{instance}:PER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_PER_MEASUREMENT_STOP =
  {
    RSCMWWLS_ATTR_PER_MEASUREMENT_STOP,
    "PER Measurement Stop",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "STOP:WLAN:SIGN{instance}:PER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_PER_LAST_ACK_RATE =
  {
    RSCMWWLS_ATTR_PER_LAST_ACK_RATE,
    "PER Last ACK Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rscmwwls_rngPERModulationCodingRate, NULL, NULL,
    "FETC:WLAN:SIGN{instance}:PACK?",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_PER_CODE_RATE_BR12,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rscmwwls_withReliability_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_HETB_NUMBER_OF_FRAMES =
  {
    RSCMWWLS_ATTR_HETB_NUMBER_OF_FRAMES,
    "HE TB Number Of Frames",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &rscmwwls_rngHETBNumberOfFrames, NULL,
    "CONF:WLAN:SIGN{instance}:HETB:FRAM",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_HETB_MEASUREMENT_INITIATE =
  {
    RSCMWWLS_ATTR_HETB_MEASUREMENT_INITIATE,
    "HE TB Measurement Initiate",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INIT:WLAN:SIGN{instance}:HETB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_HETB_MEASUREMENT_ABORT =
  {
    RSCMWWLS_ATTR_HETB_MEASUREMENT_ABORT,
    "HE TB Measurement Abort",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "ABOR:WLAN:SIGN{instance}:HETB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_HETB_MEASUREMENT_STOP =
  {
    RSCMWWLS_ATTR_HETB_MEASUREMENT_STOP,
    "HE TB Measurement Stop",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "STOP:WLAN:SIGN{instance}:HETB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_HETB_MEASUREMENT_STATE =
  {
    RSCMWWLS_ATTR_HETB_MEASUREMENT_STATE,
    "HE TB Measurement State",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &rscmwwls_rngMeasurementState, NULL, NULL,
    "FETC:WLAN:SIGN{instance}:HETB:STAT?",
    // Defaults I32, I64, Float, Bool, String
    RSCMWWLS_VAL_MEAS_STATE_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_SYSTEM_VERSION =
  {
    RSCMWWLS_ATTR_SYSTEM_VERSION,
    "System Version",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:VERSion?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_SYSTEM_ERROR =
  {
    RSCMWWLS_ATTR_SYSTEM_ERROR,
    "System Error",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:ERRor?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_SYSTEM_ALL_ERRORS =
  {
    RSCMWWLS_ATTR_SYSTEM_ALL_ERRORS,
    "System All Errors",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:ERR:ALL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_SYSTEM_PRESET =
  {
    RSCMWWLS_ATTR_SYSTEM_PRESET,
    "System Preset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSCMWWLS_ATTR_ID_QUERY_RESPONSE =
  {
    RSCMWWLS_ATTR_ID_QUERY_RESPONSE,
    "ID Query Response",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "*IDN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "cmw",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };


/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/

ViInt32 rscmwwls_RsCoreAttributeListLength = 229;

RsCoreAttributePtr rscmwwls_RsCoreAttributeList[229] =
  {
    &g_RS_ATTR_RANGE_CHECK,
    &g_RS_ATTR_QUERY_INSTRUMENT_STATUS,
    &g_RS_ATTR_SIMULATE,
    &g_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
    &g_RS_ATTR_SPECIFIC_DRIVER_PREFIX,
    &g_RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
    &g_RS_ATTR_SPECIFIC_DRIVER_VENDOR,
    &g_RS_ATTR_SPECIFIC_DRIVER_REVISION,
    &g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
    &g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
    &g_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
    &g_RS_ATTR_GROUP_CAPABILITIES,
    &g_RS_ATTR_FUNCTION_CAPABILITIES,
    &g_RS_ATTR_CHANNEL_COUNT,
    &g_RS_ATTR_DRIVER_SETUP,
    &g_RS_ATTR_INSTRUMENT_MANUFACTURER,
    &g_RS_ATTR_INSTRUMENT_MODEL,
    &g_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
    &g_RS_ATTR_OPTIONS_LIST,
    &g_RS_ATTR_IO_RESOURCE_DESCRIPTOR,
    &g_RS_ATTR_LOGICAL_NAME,
    &g_RS_ATTR_PRIMARY_ERROR,
    &g_RS_ATTR_SECONDARY_ERROR,
    &g_RS_ATTR_ERROR_ELABORATION,
    &g_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
    &g_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
    &g_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
    &g_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
    &g_RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
    &g_RS_ATTR_ENGINE_MAJOR_VERSION,
    &g_RS_ATTR_ENGINE_MINOR_VERSION,
    &g_RS_ATTR_ENGINE_REVISION,
    &g_RS_ATTR_OPC_TIMEOUT,
    &g_RSCMWWLS_ATTR_SIGNALING_END_TO_END,
    &g_RSCMWWLS_ATTR_RF_SIGNAL_FREQUENCY,
    &g_RSCMWWLS_ATTR_RF_FREQUENCY_OFFSET,
    &g_RSCMWWLS_ATTR_QUERY_RF_SIGNAL_BANDWIDTH,
    &g_RSCMWWLS_ATTR_RF_OPERATING_CHANNEL_WIDTH,
    &g_RSCMWWLS_ATTR_RF_BAND,
    &g_RSCMWWLS_ATTR_RF_SIGNAL_BURST_POWER_DOWNLINK,
    &g_RSCMWWLS_ATTR_RF_SIGNAL_CHANNEL,
    &g_RSCMWWLS_ATTR_RF_NP20_INDEX,
    &g_RSCMWWLS_ATTR_RF_NP20_FREQUENCY,
    &g_RSCMWWLS_ATTR_RF_NP20_CHANNEL,
    &g_RSCMWWLS_ATTR_RF_TX_MIMO_MODE,
    &g_RSCMWWLS_ATTR_RF_TX2_TX1_POWER_RATIO,
    &g_RSCMWWLS_ATTR_QUERY_ACTIVE_SCENARIO,
    &g_RSCMWWLS_ATTR_RF_SIGNAL_ROUTING_STANDARD_CELL_FADING,
    &g_RSCMWWLS_ATTR_RF_SIGNAL_ROUTING_MIMO_2X2_FADING,
    &g_RSCMWWLS_ATTR_INPUT_ANTENNA_EXTERNAL_ATTENUATION,
    &g_RSCMWWLS_ATTR_OUTPUT_ANTENNA_EXTERNAL_ATTENUATION,
    &g_RSCMWWLS_ATTR_ANTENNA_EXPECTED_NOMINAL_POWER,
    &g_RSCMWWLS_ATTR_ANTENNA_APPROXIMATE_BURST_POWER,
    &g_RSCMWWLS_ATTR_ANTENNA_MIXER_LEVEL_OFFSET,
    &g_RSCMWWLS_ATTR_EXTERNAL_DAU_ENABLED,
    &g_RSCMWWLS_ATTR_EXTERNAL_DAU_SEGMENT_NUMBER,
    &g_RSCMWWLS_ATTR_EXTERNAL_DAU_NODE_ID,
    &g_RSCMWWLS_ATTR_SIGNALING_MAIN_STATE,
    &g_RSCMWWLS_ATTR_SIGNALING_SELECTED_STATION,
    &g_RSCMWWLS_ATTR_CONNECT,
    &g_RSCMWWLS_ATTR_DUT_DISCONNECTION,
    &g_RSCMWWLS_ATTR_RECONNECT,
    &g_RSCMWWLS_ATTR_CONNECTION_OPERATION_MODE,
    &g_RSCMWWLS_ATTR_CONNECTION_MULTI_STATION,
    &g_RSCMWWLS_ATTR_CONNECTION_STANDARD,
    &g_RSCMWWLS_ATTR_BEACON_INTERVAL,
    &g_RSCMWWLS_ATTR_BASIC_SERVICE_SET_IDENTIFIER,
    &g_RSCMWWLS_ATTR_SERVICE_SET_IDENTIFIER,
    &g_RSCMWWLS_ATTR_BSS_COLOR,
    &g_RSCMWWLS_ATTR_COUNTRY_CODE_STATE,
    &g_RSCMWWLS_ATTR_CONNECTION_DTIM_PERIOD,
    &g_RSCMWWLS_ATTR_HT_SMOOTHING,
    &g_RSCMWWLS_ATTR_CONNECTION_MODE,
    &g_RSCMWWLS_ATTR_SSID_CONNECTION,
    &g_RSCMWWLS_ATTR_CONNECTION_HOTSPOT_NUMBER_OF_DIGITS,
    &g_RSCMWWLS_ATTR_USER_DEFINED_SUPPORTED_RATES,
    &g_RSCMWWLS_ATTR_USED_DEFINED_VHT_SUPPORTED_RATES,
    &g_RSCMWWLS_ATTR_TWT_BROADCAST_ENABLE,
    &g_RSCMWWLS_ATTR_SUPPORT_DSSS,
    &g_RSCMWWLS_ATTR_ASSOCIATION_RESERVE_MAC_ADDRESS,
    &g_RSCMWWLS_ATTR_ASSOCIATION_AUTOMATIC_DISASSOCIATION,
    &g_RSCMWWLS_ATTR_ASSOCIATION_ALLOW_PREEMPTION,
    &g_RSCMWWLS_ATTR_ASSOCIATION_STATION_PRIORITY,
    &g_RSCMWWLS_ATTR_TWT_MINIMUM_WAKE_DURATION,
    &g_RSCMWWLS_ATTR_HIDDEN_SECURITY_MODE,
    &g_RSCMWWLS_ATTR_SECURITY_ENCRYPTION,
    &g_RSCMWWLS_ATTR_PROTECTION_MANAGMENT_FRAMES,
    &g_RSCMWWLS_ATTR_SAE_AUTHENTICATION,
    &g_RSCMWWLS_ATTR_GROUP_TRANSFORM,
    &g_RSCMWWLS_ATTR_HIDDEN_PRIVATE_SECURITY_KEY,
    &g_RSCMWWLS_ATTR_SECURITY_RSERVER_MODE,
    &g_RSCMWWLS_ATTR_IP_VERSION_SUPPORT,
    &g_RSCMWWLS_ATTR_SECURITY_RSERVER_PORT_NUMBER,
    &g_RSCMWWLS_ATTR_SECURITY_RSERVER_SKEY,
    &g_RSCMWWLS_ATTR_DATA_FRAME_SELECTED_STATION,
    &g_RSCMWWLS_ATTR_DATA_HEMU_FRAME_USER_MCS,
    &g_RSCMWWLS_ATTR_DATA_HEMU_FRAME_USER_CODING_TYPE,
    &g_RSCMWWLS_ATTR_DATA_HEMU_FRAME_USER_STREAMS,
    &g_RSCMWWLS_ATTR_DATA_HEMU_FRAME_DUMMY_USER_MCS,
    &g_RSCMWWLS_ATTR_DATA_HEMU_FRAME_RU_ALLOCATION,
    &g_RSCMWWLS_ATTR_DATA_HEMU_FRAME_USER_ALLOCATION,
    &g_RSCMWWLS_ATTR_TRIGGER_FRAME_SELECTED_STATION,
    &g_RSCMWWLS_ATTR_TRIGGER_FRAME_TRIGGER_TYPE,
    &g_RSCMWWLS_ATTR_TRIGGER_FRAME_NUMBER_OF_SYMBOLS,
    &g_RSCMWWLS_ATTR_TRIGGER_FRAME_CS_REQUIRED,
    &g_RSCMWWLS_ATTR_TRIGGER_FRAME_BANDWIDTH,
    &g_RSCMWWLS_ATTR_TRIGGER_FRAME_GI_LTF,
    &g_RSCMWWLS_ATTR_TRIGGER_FRAME_MU_MIMO_LTF,
    &g_RSCMWWLS_ATTR_TRIGGER_FRAME_LDCP_EXTRA_SYMBOL,
    &g_RSCMWWLS_ATTR_TRIGGER_FRAME_RU_ALLOCATION,
    &g_RSCMWWLS_ATTR_TRIGGER_FRAME_CODING_TYPE,
    &g_RSCMWWLS_ATTR_TRIGGER_FRAME_MCS,
    &g_RSCMWWLS_ATTR_TRIGGER_FRAME_DCM,
    &g_RSCMWWLS_ATTR_TRIGGER_FRAME_STARTING_SPATIAL_STREAM,
    &g_RSCMWWLS_ATTR_TRIGGER_FRAME_NUMBER_OF_SPATIAL_STREAMS,
    &g_RSCMWWLS_ATTR_TRIGGER_FRAME_TARGET_RSSI_MODE,
    &g_RSCMWWLS_ATTR_TRIGGER_FRAME_TARGET_RSSI_CONTROL,
    &g_RSCMWWLS_ATTR_TRIGGER_FRAME_TRANSMISSION_SINGLE_SHOT,
    &g_RSCMWWLS_ATTR_TRIGGER_FRAME_TRANSMISSION_PERIODICAL_ENABLED,
    &g_RSCMWWLS_ATTR_TRIGGER_FRAME_TRANSMISSION_PERIODICAL_INTERVAL,
    &g_RSCMWWLS_ATTR_QOS_TID_SELECTED_STATION,
    &g_RSCMWWLS_ATTR_QOS_TID_E2E_DATA,
    &g_RSCMWWLS_ATTR_QOS_TID_PER,
    &g_RSCMWWLS_ATTR_QOS_TID_PRIORITIZATION_MODE,
    &g_RSCMWWLS_ATTR_QOS_TID_BAR_METHOD,
    &g_RSCMWWLS_ATTR_A_MPDU_SELECTED_STATION,
    &g_RSCMWWLS_ATTR_AMPDU_TX_ENABLED,
    &g_RSCMWWLS_ATTR_HEMAC_BSR_SUPPORT,
    &g_RSCMWWLS_ATTR_NDP_SOUNDING_STATION,
    &g_RSCMWWLS_ATTR_NDP_SOUNDING_FEEDBACK_METHOD,
    &g_RSCMWWLS_ATTR_NDP_SOUNDING_BANDWIDTH,
    &g_RSCMWWLS_ATTR_NDP_SOUNDING_SPATIAL_STREAMS,
    &g_RSCMWWLS_ATTR_NDP_SOUNDING_GI_LTF,
    &g_RSCMWWLS_ATTR_NDP_SOUNDING_REPORT_TYPE,
    &g_RSCMWWLS_ATTR_NDP_SOUNDING_RU_START_INDEX,
    &g_RSCMWWLS_ATTR_NDP_SOUNDING_RU_END_INDEX,
    &g_RSCMWWLS_ATTR_NDP_SOUNDING_CODEBOOK_SIZE,
    &g_RSCMWWLS_ATTR_NDP_SOUNDING_NUMBER_OF_COLUMNS,
    &g_RSCMWWLS_ATTR_NDP_SOUNDING_SUBCARRIER_GROUPING,
    &g_RSCMWWLS_ATTR_NDP_SOUNDING_TRANSMISSION_STATE,
    &g_RSCMWWLS_ATTR_NDP_SOUNDING_TRANSMISSION_INTERVAL,
    &g_RSCMWWLS_ATTR_NDP_SOUNDING_TRANSMISSION_SINGLE_SHOT,
    &g_RSCMWWLS_ATTR_CLEAN_EVENT_LOG,
    &g_RSCMWWLS_ATTR_FADING_AWGN_ENABLED,
    &g_RSCMWWLS_ATTR_FADING_AWGN_BANDWIDTH_RATIO,
    &g_RSCMWWLS_ATTR_FADING_AWGN_SIGNAL_NOISE_RATIO,
    &g_RSCMWWLS_ATTR_FADING_SIMULATOR_ENABLED,
    &g_RSCMWWLS_ATTR_FADING_SIMULATOR_INSERTION_LOSS,
    &g_RSCMWWLS_ATTR_FADING_SIMULATOR_PROFILE,
    &g_RSCMWWLS_ATTR_TRIGGER_SLOPE,
    &g_RSCMWWLS_ATTR_TX_TRIGGER_SLOPE,
    &g_RSCMWWLS_ATTR_RX_TRIGGER_SLOPE,
    &g_RSCMWWLS_ATTR_TRIGGER_PULSE_LENGTH,
    &g_RSCMWWLS_ATTR_TX_TRIGGER_PULSE_LENGTH,
    &g_RSCMWWLS_ATTR_RX_TRIGGER_PULSE_LENGTH,
    &g_RSCMWWLS_ATTR_TRIGGER_PULSE_LENGTH_VALUE,
    &g_RSCMWWLS_ATTR_TX_TRIGGER_PULSE_LENGTH_VALUE,
    &g_RSCMWWLS_ATTR_RX_TRIGGER_PULSE_LENGTH_VALUE,
    &g_RSCMWWLS_ATTR_TRIGGER_MODE,
    &g_RSCMWWLS_ATTR_RX_TRIGGER_BANDWIDTH,
    &g_RSCMWWLS_ATTR_RX_TRIGGER_RATE,
    &g_RSCMWWLS_ATTR_RX_TRIGGER_DELAY_TYPE,
    &g_RSCMWWLS_ATTR_RX_TRIGGER_RATE_RESTRICTION,
    &g_RSCMWWLS_ATTR_RX_TRIGGER_SPATIAL_STREAMS,
    &g_RSCMWWLS_ATTR_IPV4_CMW,
    &g_RSCMWWLS_ATTR_IPV4_SELECTED_STATION,
    &g_RSCMWWLS_ATTR_IPV4_IP_ADDRESS,
    &g_RSCMWWLS_ATTR_PACKET_GENERATOR_PROTOCOL,
    &g_RSCMWWLS_ATTR_PACKET_GENERATOR_IP_VERSION,
    &g_RSCMWWLS_ATTR_PACKET_GENERATOR_DESTINATION,
    &g_RSCMWWLS_ATTR_QUERY_SECOND_STATE,
    &g_RSCMWWLS_ATTR_QUERY_THIRD_STATE,
    &g_RSCMWWLS_ATTR_QUERY_PACKET_SWITCHED_STATE,
    &g_RSCMWWLS_ATTR_QUERY_STATION_SSID,
    &g_RSCMWWLS_ATTR_QUERY_RX_POWER_INDICATOR,
    &g_RSCMWWLS_ATTR_UE_CAPABILITY_SELECTED_STATION,
    &g_RSCMWWLS_ATTR_QUERY_UE_CAPABILITY_MAC_ADDRESS,
    &g_RSCMWWLS_ATTR_QUERY_UE_CAPABILITY_MAC_VERSION,
    &g_RSCMWWLS_ATTR_QUERY_UE_ASSIGNED_IP_ADDRESS,
    &g_RSCMWWLS_ATTR_QUERY_UE_RX_BURST_POWER,
    &g_RSCMWWLS_ATTR_IP_VERSION_4_DHCP,
    &g_RSCMWWLS_ATTR_IP_VERSION_6_PREFIX,
    &g_RSCMWWLS_ATTR_MESSAGE_MONITORING_ADD_WLAN_SIGNALING_TO_LOGGING,
    &g_RSCMWWLS_ATTR_MESSAGE_MONITORING_LOGGING_PC_IPV4_ADDRESS,
    &g_RSCMWWLS_ATTR_DUT_SELECTED_STATION,
    &g_RSCMWWLS_ATTR_DUT_UE_MAC,
    &g_RSCMWWLS_ATTR_DUT_UE_IP4_ADDRESS,
    &g_RSCMWWLS_ATTR_DUT_UE_IP6_ADDRESS,
    &g_RSCMWWLS_ATTR_DUT_CMW_IP4_ADDRESS,
    &g_RSCMWWLS_ATTR_DUT_CMW_IP6_ADDRESS,
    &g_RSCMWWLS_ATTR_HE_TB_SELECTED_STATION,
    &g_RSCMWWLS_ATTR_HE_TB_UPH_INFO,
    &g_RSCMWWLS_ATTR_HE_TB_UE_CAPABILITY,
    &g_RSCMWWLS_ATTR_QUERY_RX_TRIGGER_FRAMES,
    &g_RSCMWWLS_ATTR_RESET_STATISTICS,
    &g_RSCMWWLS_ATTR_STATISTICS_SETTINGS,
    &g_RSCMWWLS_ATTR_STATISTICS_RX_PSDU_HEMU,
    &g_RSCMWWLS_ATTR_STATISTICS_RX_PSDU_HESU,
    &g_RSCMWWLS_ATTR_STATISTICS_RX_PSDU_HETB,
    &g_RSCMWWLS_ATTR_STATISTICS_RX_PSDU_HT,
    &g_RSCMWWLS_ATTR_STATISTICS_RX_PSDU_NHT,
    &g_RSCMWWLS_ATTR_STATISTICS_RX_PSDU_VHT,
    &g_RSCMWWLS_ATTR_PER_MODULATION_CODING_RATE,
    &g_RSCMWWLS_ATTR_PER_ACKNOWLEDGEMENT_TYPE,
    &g_RSCMWWLS_ATTR_PER_DATA_PATTERN,
    &g_RSCMWWLS_ATTR_PER_NUMBER_OF_PACKETS,
    &g_RSCMWWLS_ATTR_PER_DATA_INTERVAL,
    &g_RSCMWWLS_ATTR_PER_PAYLOAD_SIZE,
    &g_RSCMWWLS_ATTR_PER_QOS_TID,
    &g_RSCMWWLS_ATTR_PER_DESTINATION_STATION,
    &g_RSCMWWLS_ATTR_PER_LINK_TO_SIG_FRAME_SETTINGS,
    &g_RSCMWWLS_ATTR_PER_DATA_HEMU_FRAME_USER_MCS,
    &g_RSCMWWLS_ATTR_PER_DATA_HEMU_FRAME_USER_CODING_TYPE,
    &g_RSCMWWLS_ATTR_PER_DATA_HEMU_FRAME_USER_STREAMS,
    &g_RSCMWWLS_ATTR_PER_DATA_HEMU_FRAME_DUMMY_USER_MCS,
    &g_RSCMWWLS_ATTR_PER_MEASUREMENT_INITIATE,
    &g_RSCMWWLS_ATTR_PER_MEASUREMENT_ABORT,
    &g_RSCMWWLS_ATTR_PER_MEASUREMENT_STOP,
    &g_RSCMWWLS_ATTR_PER_LAST_ACK_RATE,
    &g_RSCMWWLS_ATTR_HETB_NUMBER_OF_FRAMES,
    &g_RSCMWWLS_ATTR_HETB_MEASUREMENT_INITIATE,
    &g_RSCMWWLS_ATTR_HETB_MEASUREMENT_ABORT,
    &g_RSCMWWLS_ATTR_HETB_MEASUREMENT_STOP,
    &g_RSCMWWLS_ATTR_HETB_MEASUREMENT_STATE,
    &g_RSCMWWLS_ATTR_SYSTEM_VERSION,
    &g_RSCMWWLS_ATTR_SYSTEM_ERROR,
    &g_RSCMWWLS_ATTR_SYSTEM_ALL_ERRORS,
    &g_RSCMWWLS_ATTR_SYSTEM_PRESET,
    &g_RSCMWWLS_ATTR_ID_QUERY_RESPONSE
  };
